<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\x64\141\x69\154\x79"; private const CONFIG_DIRECTORY = "\57\x72\157\x6f\164\x2f\56\x63\x6f\156\x66\x69\x67\x2f\162\x63\154\157\x6e\145\57"; private const CLP_USER_CONFIG_DIRECTORY = "\57\150\x6f\x6d\145\57\143\154\160\x2f\56\143\x6f\156\x66\x69\147\57"; private const CLP_USER = "\x63\x6c\160"; public const CREDENTIALS_DIRECTORY = "\57\150\157\155\145\57\143\x6c\160\57\56\x63\x6f\156\146\151\x67\57\162\x63\154\x6f\x6e\x65\x2f\x63\162\145\144\145\156\x74\x69\141\154\x73\x2f"; private const CONFIG_FILE = "\x2f\162\x6f\x6f\x74\x2f\56\x63\157\x6e\x66\151\x67\x2f\x72\x63\x6c\x6f\x6e\145\57\x72\143\154\157\x6e\x65\56\143\x6f\x6e\x66"; private const CRON_JOB_FILE = "\57\x65\164\x63\57\x63\162\157\156\x2e\144\57\143\x6c\x70\x2d\162\143\154\x6f\156\x65"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto cc26f; dc1a9: $this->configFile = self::CONFIG_FILE; goto ae9fc; cc26f: if (!(true === is_null($this->configFile))) { goto b18d1; } goto dc1a9; Fac6e: return $this->configFile; goto Facc4; ae9fc: b18d1: goto Fac6e; Facc4: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\x6c\141\147" => $flag, "\166\x61\x6c\165\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto F404c; da96c: $configFile = $this->getConfigFile(); goto A02da; c2d5c: $rcloneCopyCommand->setSource($source); goto a9342; cca8f: $rcloneCopyCommand->setConfigFile($configFile); goto c2d5c; c8732: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto Eb08b; Eb08b: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto C6c0c; A02da: $rcloneCopyCommand = new RcloneCopyCommand(); goto cca8f; F404c: $flags = $this->getFlags(); goto da96c; a9342: $rcloneCopyCommand->setDestination($destination); goto c8732; C6c0c: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto af651; d4098: return $files; goto C46cf; e67b3: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto B76b3; D0772: $rcloneLsJsonCommand->setRemotePath($remotePath); goto ba941; B76b3: $rcloneLsJsonCommand->setConfigFile($configFile); goto D0772; d9f13: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto ec5f7; ba941: if (!(true === $directoriesOnly)) { goto b1f87; } goto df1a4; E75e3: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto d9f13; db5cf: b1f87: goto E75e3; af651: $flags = $this->getFlags(); goto E1ca5; df1a4: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto db5cf; ec5f7: $files = $rcloneLsJsonCommand->getFiles(); goto d4098; E1ca5: $configFile = $this->getConfigFile(); goto e67b3; C46cf: } public function purge(string $remotePath) { goto Ccb09; ae253: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto Eeb29; D36b3: $rclonePurgeCommand->setRemotePath($remotePath); goto Ba0f3; Ccb09: $flags = $this->getFlags(); goto e55c0; Ba0f3: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto ae253; e55c0: $rclonePurgeCommand = new RclonePurgeCommand(); goto D36b3; Eeb29: } public function writeConfig(string $config) : void { goto Ffbfa; ae29e: $writeConfigFileCommand->setFile($configFile); goto d814d; d814d: $writeConfigFileCommand->setContent($config); goto C6676; D1582: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto Da107; C6676: $this->commandExecutor->execute($createConfigDirectoryCommand); goto Efa6f; Da107: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto e571f; Ffbfa: $configFile = $this->getConfigFile(); goto D1582; Efa6f: $this->commandExecutor->execute($writeConfigFileCommand); goto f8ad2; e571f: $writeConfigFileCommand = new WriteFileCommand(); goto ae29e; f8ad2: } public function writeCredentialsFile(string $file, string $content) : void { goto C76e1; C76e1: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto e82e7; e1f87: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto A7011; f90b0: file_put_contents($file, $content); goto C64b6; C687e: $chownConfigDirectoryCommand->setRecursive(true); goto Bb774; A7011: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto C0258; F48a1: $chmodConfigDirectoryCommand->setFileChmod(770); goto b90bd; C0258: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto D1046; F6cea: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto f90b0; e82e7: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto F1c79; F1c79: $chownConfigDirectoryCommand = new ChownCommand(); goto Cc871; Bb774: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto e1f87; C67ae: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto F6cea; D1046: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto F48a1; Cc871: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto C687e; b90bd: $this->commandExecutor->execute($credentialsDirectoryCommand); goto C67ae; C64b6: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto C9e13; F887d: if (self::FREQUENCY_DAILY == $frequency) { goto Bfb2e; } goto cd60a; C9e13: $cronJobContent = sprintf("\x4d\x41\111\x4c\x54\x4f\x3d\42\42\x25\163", PHP_EOL); goto F887d; b8767: $writeCronJobFileCommand->setContent($cronJobContent); goto e5ab1; fa3c6: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto b8767; F5254: Bfb2e: goto d7eb7; cd60a: $cronJobContent .= sprintf("\x30\x20\52\57\45\163\x20\x2a\40\52\x20\52\40\143\x6c\x70\40\x2f\165\163\x72\x2f\x62\151\156\x2f\x62\x61\163\x68\x20\55\143\x20\x22\57\x75\x73\162\x2f\x62\151\156\57\x63\x6c\x70\143\164\154\40\162\145\x6d\x6f\164\145\55\142\x61\143\x6b\165\160\x3a\143\x72\x65\x61\164\x65\40\55\x2d\144\145\154\x61\x79\x3d\164\x72\x75\145\x22\40\x26\x3e\40\57\x64\x65\x76\x2f\x6e\x75\x6c\x6c", $frequency); goto D37c6; d7eb7: $cronJobContent .= sprintf("\60\40\x25\x73\x20\x2a\40\x2a\40\52\40\143\x6c\160\40\x2f\165\163\162\57\142\151\156\x2f\x62\141\x73\150\x20\x2d\x63\40\x22\57\165\163\x72\x2f\x62\151\x6e\x2f\143\x6c\160\x63\x74\154\x20\x72\x65\x6d\157\164\145\55\x62\x61\143\x6b\165\160\72\x63\x72\x65\141\164\145\x20\x2d\55\x64\145\x6c\x61\171\x3d\x74\162\x75\145\42\x20\x26\x3e\x20\57\x64\x65\166\57\x6e\165\x6c\x6c", $executionTime); goto A0bd8; D37c6: goto Cbe32; goto F5254; e5ab1: $this->commandExecutor->execute($writeCronJobFileCommand); goto b27c5; ae376: $writeCronJobFileCommand = new WriteFileCommand(); goto fa3c6; A0bd8: Cbe32: goto ae376; b27c5: } private function addFlagsToCommand(array $flags, $command) : void { goto E4821; E4821: if (!(false === empty($flags))) { goto Cc9e0; } goto c7fb3; c7fb3: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\154\x61\x67"], $flagData["\x76\x61\x6c\x75\x65"]); D38e7: } goto bb94d; c3ee3: Cc9e0: goto ee082; bb94d: bc2e9: goto c3ee3; ee082: } public function deleteCronJob() : void { goto e5c52; bd6c7: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto a438a; e5c52: $deleteCronJobFileCommand = new DeleteFileCommand(); goto bd6c7; a438a: $this->commandExecutor->execute($deleteCronJobFileCommand); goto E0e43; E0e43: } public function deleteCredentials() : void { goto Eeac8; Fc566: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto d9031; Eeac8: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto dd3a8; dd3a8: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto Fc566; d9031: } }
