<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto A64c3; A64c3: $this->siteEntityManager = $siteEntityManager; goto d7410; Bdcd7: $this->validator = $validator; goto eb81b; A7cc5: $this->databaseUserEntityManager = $databaseUserEntityManager; goto ceb07; eb81b: parent::__construct(); goto dd4bd; ceb07: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Bdcd7; d7410: $this->databaseEntityManager = $databaseEntityManager; goto A7cc5; dd4bd: } protected function configure() : void { goto ee954; c90d1: $this->setDescription("\143\154\160\x63\x74\154\40\144\x62\72\141\144\144\x20\x2d\x2d\x64\x6f\155\x61\151\156\x4e\141\155\x65\75\167\x77\x77\56\144\x6f\x6d\x61\x69\x6e\56\x63\157\155\x20\x2d\x2d\x64\x61\x74\x61\x62\141\163\145\x4e\x61\155\145\x3d\155\171\x2d\x64\x61\x74\x61\142\x61\163\x65\40\55\55\x64\x61\x74\141\142\141\163\145\x55\163\x65\162\116\x61\x6d\x65\x3d\152\157\x68\x6e\40\55\55\144\141\x74\x61\x62\x61\163\145\x55\x73\145\162\x50\141\x73\x73\x77\157\x72\x64\x3d\47\41\x73\x65\143\162\x65\x74\120\141\x73\163\x77\x6f\162\x64\x21\47"); goto A032d; bc799: $this->addOption("\x64\x61\x74\x61\x62\141\163\145\x55\x73\x65\162\x4e\141\155\x65", null, InputOption::VALUE_REQUIRED); goto f5b84; ee954: $this->setName("\144\x62\x3a\x61\x64\144"); goto c90d1; F7c2a: $this->addOption("\144\x61\164\141\x62\141\x73\145\116\x61\155\145", null, InputOption::VALUE_REQUIRED); goto bc799; A032d: $this->addOption("\144\x6f\155\141\x69\156\116\141\x6d\x65", null, InputOption::VALUE_REQUIRED); goto F7c2a; f5b84: $this->addOption("\144\x61\164\x61\142\x61\163\145\x55\163\x65\x72\x50\141\x73\x73\167\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto Ded49; Ded49: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto A859f; a1a82: return BaseCommand::FAILURE; goto C0c6c; E43df: ac80b: goto fb9e4; fb9e4: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Fd0be; ff401: $databaseUserEntity->setUserName($databaseUserName); goto b1c90; b65be: $databaseName = trim($input->getOption("\x64\x61\164\141\x62\x61\x73\x65\x4e\x61\x6d\145")); goto Dd8a8; b1a8b: if (!(true === is_null($siteEntity))) { goto c3139; } goto f5e8e; a0183: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto ac80b; } goto F9036; A859f: $this->validateInput($input); goto E075c; d63dd: $databaseManager->createUser($databaseUserEntity); goto Bcb8e; C2ed7: $databaseEntity->setName($databaseName); goto F602e; Bcb8e: $this->siteEntityManager->updateEntity($siteEntity); goto fff11; fec98: $databaseUserPassword = trim($input->getOption("\144\x61\x74\x61\142\x61\x73\x65\125\x73\145\162\x50\141\163\x73\x77\x6f\x72\x64")); goto D57af; e6f28: $databaseConstraints = $this->validator->validate($databaseEntity); goto C0f75; acbb9: $constraints->addAll($databaseConstraints); goto d0384; E075c: $domainName = trim($input->getOption("\144\x6f\155\x61\151\156\x4e\x61\x6d\x65")); goto b65be; D54d5: if (!(false === is_null($activeDatabaseServerEntity))) { goto D52f1; } goto e7558; Ac71b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto D54d5; fff11: $output->writeln(sprintf("\74\x69\156\146\x6f\x3e\104\141\x74\141\142\x61\163\x65\x3c\57\x69\x6e\146\x6f\x3e\40\74\x63\157\155\x6d\x65\x6e\164\76\x25\x73\x3c\57\x63\157\x6d\155\x65\156\x74\x3e\40\x3c\151\x6e\x66\x6f\76\x68\x61\163\x20\142\x65\145\x6e\40\141\x64\144\x65\x64\56\x3c\57\151\156\x66\x6f\76", $databaseName)); goto D8d53; Dd8a8: $databaseUserName = trim($input->getOption("\144\x61\x74\141\142\x61\x73\145\x55\x73\x65\x72\116\x61\x6d\x65")); goto fec98; E1609: $databaseUserEntity->setDatabase($databaseEntity); goto cf9ab; b1c90: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto B9bab; C0f75: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto a0183; c1b0a: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto C2ed7; e8f62: c3139: goto Ac71b; cfda9: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto ff401; D8d53: return BaseCommand::SUCCESS; goto Cd05d; F5e41: $siteEntity->addDatabase($databaseEntity); goto e6f28; cd8b0: return $this->renderConstraints($constraints, $output); goto c6fe9; Fd0be: $databaseManager->createDatabase($databaseEntity); goto d63dd; cf9ab: $databaseEntity->addUser($databaseUserEntity); goto F5e41; f5e8e: throw new \Exception(sprintf("\104\x6f\x6d\141\x69\x6e\x4e\141\155\x65\x20\x22\x25\163\x22\40\144\x6f\145\x73\x20\156\x6f\164\40\145\170\151\163\164\x2e", $domainName)); goto e8f62; Cd05d: b1774: goto f149a; e7558: $databaseEntity = $this->databaseEntityManager->createEntity(); goto c1b0a; d0384: $constraints->addAll($databaseUserConstraints); goto cd8b0; D57af: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto b1a8b; B9bab: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto E1609; F9036: $constraints = new ConstraintViolationList(); goto acbb9; F602e: $databaseEntity->setSite($siteEntity); goto cfda9; c6fe9: goto b1774; goto E43df; f149a: D52f1: goto a1a82; C0c6c: } catch (\Exception $e) { goto fde3f; b1e13: return BaseCommand::FAILURE; goto b7f66; Dcfe8: $output->writeln(sprintf("\x3c\x65\x72\162\157\162\76\45\163\74\x2f\145\162\x72\x6f\x72\76", $errorMessage)); goto b1e13; fde3f: $errorMessage = $e->getMessage(); goto Dcfe8; b7f66: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\141\155\145", "\x64\141\164\x61\x62\141\x73\145\116\141\x6d\x65", $constraints); $this->changePropertyPath("\165\x73\145\162\x4e\141\155\x65", "\144\141\164\141\x62\x61\163\x65\125\163\145\x72\x4e\x61\155\145", $constraints); } }
