<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto cab13; c524d: $this->databaseEntityManager = $databaseEntityManager; goto D6cbd; cab13: $this->siteEntityManager = $siteEntityManager; goto c524d; B698d: $this->validator = $validator; goto e7e13; D6cbd: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ee833; e7e13: parent::__construct(); goto c35cc; Ee833: $this->commandExecutor = new CommandExecutor(); goto B698d; c35cc: } protected function configure() : void { goto C6a8b; fec56: $this->addOption("\x69\147\156\x6f\162\x65\104\141\x74\141\x62\141\x73\x65\163", null, InputOption::VALUE_OPTIONAL); goto f5330; f5330: $this->addOption("\x72\145\164\x65\156\x74\x69\x6f\156\120\145\162\x69\157\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto Aec9a; C6a8b: $this->setName("\x64\x62\72\x62\141\x63\153\x75\x70"); goto Fd6a6; Fd6a6: $this->setDescription("\x63\154\160\x63\164\x6c\40\x64\x62\x3a\x62\141\x63\x6b\x75\x70\40\55\55\151\x67\156\157\x72\145\x44\141\x74\141\x62\x61\x73\x65\163\75\47\x64\142\61\x2c\144\x62\x32\47\40\55\55\162\x65\164\x65\156\x74\x69\x6f\156\120\145\x72\151\157\x64\x3d\x37"); goto fec56; Aec9a: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto E0efa; f50a3: $ignoredDatabases = explode("\x2c", $input->getOption("\x69\147\x6e\157\x72\x65\104\141\164\x61\142\141\163\x65\163")); goto ce917; f7c8e: fac25: goto E65e8; F4b07: if (!count($siteEntities)) { goto fac25; } goto D3291; b91a6: $siteEntities = $this->siteEntityManager->findAll(); goto F4b07; D3291: foreach ($siteEntities as $siteEntity) { goto B6fc5; b79d9: if (!count($databaseEntities)) { goto dce73; } goto d254d; d254d: foreach ($databaseEntities as $databaseEntity) { goto A5d78; Dfb0c: $this->createDatabaseDump($databaseEntity); goto e45b5; B1ab4: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto A9107; } goto Dfb0c; e45b5: A9107: goto Efede; A5d78: $databaseName = $databaseEntity->getName(); goto B1ab4; Efede: cff4d: goto B4a92; B4a92: } goto dbf47; B6fc5: $databaseEntities = $siteEntity->getDatabases(); goto b79d9; B9f42: dce73: goto Ad373; dbf47: dda3e: goto B9f42; Ad373: faef6: goto B69e7; B69e7: } goto Dffa3; E0efa: $this->validateInput($input); goto f50a3; ce917: $this->retentionPeriod = (int) $input->getOption("\x72\x65\164\145\156\164\151\157\156\120\x65\x72\151\157\x64"); goto b91a6; Dffa3: Bb9a6: goto f7c8e; E65e8: return BaseCommand::SUCCESS; goto c4f64; c4f64: } catch (\Exception $e) { goto bf704; F4e2d: return BaseCommand::FAILURE; goto f3c8a; bf704: $errorMessage = $e->getMessage(); goto F4f70; F4f70: $output->writeln(sprintf("\x3c\145\162\162\x6f\162\76\45\163\x3c\57\x65\x72\x72\x6f\x72\76", $errorMessage)); goto F4e2d; f3c8a: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto c0f7c; d337e: $databaseExporter = new DatabaseExporter($databaseEntity); goto e567d; d6b8c: $outputFile = sprintf("\45\163\x2f\45\x73", rtrim($outputDirectory, "\x2f"), sprintf("\45\x73\137\45\x73\x2e\163\161\x6c\x2e\147\x7a", $databaseName, $dateTime->getTimestamp())); goto d337e; bd06f: $this->resetPermissions($databaseEntity); goto D0dc0; e5cde: $outputDirectory = sprintf("\45\163\x2f\x25\163\57\x25\163\57", rtrim($backupDirectory, "\57"), $databaseName, $dateTime->format("\x59\55\155\x2d\x64")); goto d6b8c; e567d: $databaseExporter->setFile($outputFile); goto ebb7e; A64ea: $backupDirectory = sprintf("\57\150\x6f\155\145\57\45\163\x2f\142\141\143\153\x75\x70\x73\x2f\144\141\x74\141\142\141\x73\x65\163\x2f", $siteUser); goto e5cde; c0f7c: $dateTime = new \DateTime("\x6e\x6f\167", new \DateTimeZone("\x55\124\103")); goto E2731; ebb7e: $databaseExporter->createOutputDirectory(); goto D59f2; b9c67: $siteUser = $siteEntity->getUser(); goto aed55; D59f2: $databaseExporter->export(); goto bd06f; E2731: $siteEntity = $databaseEntity->getSite(); goto b9c67; D0dc0: $this->cleanUpBackups($databaseEntity); goto F73ff; aed55: $databaseName = $databaseEntity->getName(); goto A64ea; F73ff: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto Df446; B3451: $backupDirectory = sprintf("\x2f\x68\x6f\x6d\x65\x2f\x25\x73\x2f\142\141\143\x6b\x75\160\163\x2f\144\x61\164\141\142\141\x73\x65\163\57", $siteUser); goto A133a; a3440: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto Bb933; ccda8: $backupDirectoryChownCommand->setRecursive(true); goto C9e12; a3ae1: $backupDirectoryChmodCommand->setFile($backupDirectory); goto a3440; a9859: $backupDirectoryChownCommand->setGroup($siteUser); goto Cd028; ce775: $siteUser = $siteEntity->getUser(); goto B3451; F0098: $backupDirectoryChownCommand->setFile($backupDirectory); goto ccda8; Bb933: $backupDirectoryChmodCommand->setFileChmod(760); goto D08c3; C08c1: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto a2c63; A133a: $backupDirectoryChownCommand = new ChownCommand(); goto F0098; C9e12: $backupDirectoryChownCommand->setUser($siteUser); goto a9859; Df446: $siteEntity = $databaseEntity->getSite(); goto ce775; D08c3: $this->commandExecutor->execute($backupDirectoryChownCommand); goto C08c1; Cd028: $backupDirectoryChmodCommand = new FindChmodCommand(); goto a3ae1; a2c63: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto a8f52; D09b8: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto ba153; Ec2e8: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto e1517; a1d53: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto D09b8; e1517: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto a1d53; a8f52: $siteEntity = $databaseEntity->getSite(); goto ac4ed; ac4ed: $siteUser = $siteEntity->getUser(); goto E6080; E6080: $databaseBackupDirectory = sprintf("\x2f\150\x6f\x6d\145\x2f\x25\163\x2f\142\141\143\153\165\160\x73\57\x64\x61\x74\141\142\141\x73\145\163\57", $siteUser); goto Ec2e8; ba153: } }
