<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto f2b97; Ab08d: $this->validator = $validator; goto e5c86; da48e: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ab08d; A4ca2: $this->databaseEntityManager = $databaseEntityManager; goto c594f; f2b97: $this->siteEntityManager = $siteEntityManager; goto A4ca2; e5c86: parent::__construct(); goto E1153; c594f: $this->databaseUserEntityManager = $databaseUserEntityManager; goto da48e; E1153: } protected function configure() : void { goto B5a48; B5a48: $this->setName("\144\x62\72\x64\x65\x6c\x65\x74\x65"); goto aeb60; Caaa1: $this->addOption("\x64\141\x74\141\142\x61\x73\145\116\141\x6d\x65", null, InputOption::VALUE_REQUIRED); goto e317b; aeb60: $this->setDescription("\x63\154\160\x63\x74\154\x20\144\142\72\x64\145\x6c\x65\164\145\x20\55\55\x64\x61\164\141\x62\141\x73\x65\116\141\x6d\x65\75\x6d\171\55\144\x61\164\141\x62\141\x73\x65"); goto Caaa1; e317b: $this->addOption("\146\157\162\x63\145", "\146", InputOption::VALUE_NONE); goto Ac403; Ac403: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto D99a8; d2df1: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto C5092; C3d12: e9f9a: goto D5808; D1b8c: $databaseName = trim($input->getOption("\x64\141\164\x61\142\x61\x73\145\116\141\x6d\145")); goto Ce795; D99a8: $this->validateInput($input); goto D1b8c; f39f9: if (!(false === $answer)) { goto Ee515; } goto A9ba9; A9ba9: return BaseCommand::SUCCESS; goto df362; D2095: $this->siteEntityManager->updateEntity($siteEntity); goto f5ff5; A0c61: return BaseCommand::SUCCESS; goto Ea42b; Bd591: $siteEntity->removeDatabase($databaseEntity); goto D2095; E824b: $question = new ConfirmationQuestion(sprintf("\74\151\x6e\146\157\x3e\x43\157\156\146\x69\162\x6d\40\x74\157\40\x64\145\x6c\x65\x74\x65\x20\164\x68\x65\40\144\141\164\x61\x62\141\x73\x65\72\x20\45\163\74\x2f\151\156\146\x6f\76\x20\x3c\x63\x6f\155\x6d\145\x6e\164\x3e\x28\x79\145\163\x2f\x6e\x6f\x29\72\x3c\57\x63\x6f\x6d\x6d\x65\156\164\76\x20", $databaseName), false, "\57\136\50\x79\145\x73\x29\x2f\x69"); goto e9652; b2ea6: throw new \Exception(sprintf("\104\141\x74\141\142\141\163\x65\x20\42\45\x73\x22\40\144\x6f\145\x73\x20\x6e\x6f\x74\40\145\x78\x69\163\x74\x2e", $databaseName)); goto F5cef; Ce795: $force = $input->getOption("\x66\157\x72\x63\x65") === true; goto d2df1; df362: Ee515: goto C3d12; f5ff5: $output->writeln(sprintf("\x3c\151\156\146\x6f\76\x44\x61\x74\x61\x62\141\x73\x65\74\x2f\x69\156\146\x6f\76\40\x3c\143\x6f\x6d\155\145\156\x74\x3e\45\x73\74\57\143\x6f\155\155\x65\156\x74\76\40\x3c\151\x6e\x66\x6f\x3e\x68\141\x73\40\142\145\x65\156\40\144\x65\x6c\145\164\x65\x64\56\x3c\x2f\x69\156\146\157\76", $databaseName)); goto A0c61; C5092: if (!(true === is_null($databaseEntity))) { goto E22a9; } goto b2ea6; A0c7d: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto F016a; F9fb2: if (!(false === $force)) { goto e9f9a; } goto Fc537; Fc537: $helper = $this->getHelper("\161\165\145\x73\x74\151\x6f\x6e"); goto E824b; F5cef: E22a9: goto F9fb2; e9652: $answer = $helper->ask($input, $output, $question); goto f39f9; D5808: $siteEntity = $databaseEntity->getSite(); goto A0c7d; D78d9: $databaseManager->deleteDatabase($databaseEntity, true); goto Bd591; F016a: $databaseManager = new DatabaseManager($databaseServerEntity); goto D78d9; Ea42b: } catch (\Exception $e) { goto f34f2; fb99c: $output->writeln(sprintf("\74\x65\162\162\x6f\x72\76\x25\x73\74\x2f\145\x72\162\x6f\162\76", $errorMessage)); goto A5ec3; A5ec3: return BaseCommand::FAILURE; goto e149a; f34f2: $errorMessage = $e->getMessage(); goto fb99c; e149a: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\156\x61\x6d\145", "\144\141\x74\141\142\x61\x73\145\116\141\155\145", $constraints); $this->changePropertyPath("\x75\x73\x65\x72\116\141\155\x65", "\144\141\164\x61\142\x61\163\145\125\163\x65\162\116\141\x6d\145", $constraints); } }
