<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto Da713; Da713: $this->siteEntityManager = $siteEntityManager; goto bae36; Cb07e: $this->validator = $validator; goto b369c; d9741: $this->logger = $logger; goto Cb07e; bae36: $this->commandExecutor = new CommandExecutor(); goto d9741; b369c: parent::__construct(); goto dae97; dae97: } protected function configure() : void { goto C137a; Ef32c: $this->addOption("\x64\145\x6c\x61\x79", null, InputOption::VALUE_OPTIONAL, false); goto f79b6; C137a: $this->setName("\x72\145\x6d\x6f\x74\x65\x2d\x62\141\x63\x6b\x75\x70\72\143\162\145\141\164\145"); goto A610b; A610b: $this->setDescription("\x63\154\x70\143\164\x6c\x20\162\145\155\157\x74\145\x2d\142\141\x63\153\x75\160\x3a\143\x72\x65\x61\x74\x65"); goto Ef32c; f79b6: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Ed526; E18b5: F0d02: goto A9a41; E0901: Faa69: goto A6d6e; Bc681: $this->cleanBackups(); goto E0901; a3a24: if (!count($siteEntities)) { goto a7e4d; } goto a9d32; Ca14b: $isEnabled = (bool) $this->getConfigValue("\162\x65\155\157\164\145\x5f\142\141\143\153\x75\x70\137\x65\x6e\x61\x62\x6c\145\x64"); goto B23f6; a9d32: $this->backupDatabases(clone $input, clone $output); goto f1c76; C75dd: Cabcf: goto b7c87; F7141: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto Faa69; } goto A0ed9; f1c76: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Cabcf; } goto a23cd; A6d6e: return BaseCommand::SUCCESS; goto cf7ce; a23cd: $delay = (bool) $input->getOption("\x64\x65\x6c\x61\x79"); goto F7d4b; A9a41: a7e4d: goto Bc681; Ed526: $this->validateInput($input); goto Ca14b; A0ed9: $siteEntities = $this->siteEntityManager->findAll(); goto a3a24; B23f6: $this->storageProvider = $this->getConfigValue("\162\x65\x6d\x6f\x74\x65\137\x62\141\143\x6b\165\x70\137\x73\164\157\162\x61\x67\x65\x5f\x70\x72\x6f\166\151\144\x65\162"); goto F7141; F7d4b: $this->refreshDropboxAccessToken($delay); goto C75dd; b7c87: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); eadc6: } goto E18b5; cf7ce: } catch (\Exception $e) { goto d9622; Dfb3a: return BaseCommand::FAILURE; goto feee2; e54ac: $output->writeln(sprintf("\74\x65\162\x72\x6f\162\x3e\45\x73\x3c\57\x65\x72\162\157\x72\x3e", $errorMessage)); goto Dfb3a; d9622: $errorMessage = $e->getMessage(); goto e54ac; feee2: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto D2353; aa6e4: $exitCode = $command->run($input, $output); goto B1fb4; D2353: $application = $this->getApplication(); goto daffd; daffd: $command = $application->find("\x64\142\x3a\142\x61\143\x6b\x75\160"); goto aa6e4; B1fb4: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto Baa7d; Ac56a: if (!(false === $isSiteExcluded)) { goto cad80; } goto A8bfa; e04e3: cad80: goto baf0b; A8bfa: try { try { goto De99b; Bde7c: $siteUser = $siteEntity->getUser(); goto F6399; dbc10: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto D72d4; C2b95: $siteSettingsFile = sprintf("\57\150\157\155\x65\x2f\x25\163\x2f\163\151\x74\x65\55\x73\145\x74\x74\x69\x6e\x67\x73\56\152\163\157\156", $siteUser); goto dea5a; cf06e: $siteExcludes = $this->getSiteExcludes($siteEntity); goto ffd34; a9939: $vhostFile = sprintf("\x2f\145\164\143\x2f\x6e\147\151\x6e\170\x2f\x73\151\x74\145\163\x2d\x65\156\141\x62\154\x65\144\57\45\x73\x2e\143\157\x6e\146", $domainName); goto C7dd8; Daf3b: C16b8: goto A8bb3; De99b: $excludes = ["\56\x73\163\150", "\x74\155\x70", "\154\x6f\147\163"]; goto cf06e; F6399: $domainName = $siteEntity->getDomainName(); goto A47a4; Da403: a5b7a: goto Daf3b; F39d6: $destination = $this->getDestination($siteEntity); goto fbba4; F0f94: $excludes = array_merge($excludes, $siteExcludes); goto d3205; D72d4: $sources = [$homeDirectory, $vhostFile]; goto D1c7d; d3205: Bab9a: goto Bde7c; A8bb3: $rclone->copy($destinationFile, $destination); goto fee33; dcab0: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto b093a; b9515: goto C16b8; goto E655f; b093a: $email = $this->getConfigValue("\162\x65\x6d\x6f\164\145\x5f\x62\141\143\x6b\165\160\137\145\155\141\x69\154"); goto Da3f0; Da3f0: $rclone->addFlag("\x2d\x2d\144\162\x69\166\145\55\151\x6d\x70\x65\162\x73\x6f\x6e\x61\x74\x65", $email); goto b9515; E655f: } goto Da403; ffd34: if (!(false === empty($siteExcludes))) { goto Bab9a; } goto F0f94; e0fda: $tarCreator->create($sources, $destinationFile, $excludes); goto F39d6; dea5a: $siteVhostFile = sprintf("\57\x68\x6f\155\x65\57\x25\x73\57\x73\x69\164\x65\x2d\x76\150\157\163\164", $siteUser); goto d66c1; d66c1: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto dbc10; D1c7d: $tarCreator = new TarCreator(); goto e0fda; fbba4: $rclone = new Rclone(); goto dcab0; C7dd8: $destinationFile = sprintf("\x2f\150\157\155\x65\x2f\45\x73\x2f\x74\155\160\57\x62\x61\143\x6b\x75\x70\56\x74\141\x72", $siteUser); goto C2b95; A47a4: $homeDirectory = sprintf("\57\150\157\x6d\x65\x2f\x25\x73\57", $siteUser); goto a9939; fee33: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto be0ad; be0ad: $deleteFileCommand = new DeleteFileCommand(); goto A4242; F349b: $this->commandExecutor->execute($deleteFileCommand, 60); goto Ce83c; Ce83c: c1114: goto Ec8b0; A4242: $deleteFileCommand->setFile($file); goto F349b; Ec8b0: } D206d: } } catch (\Exception $e) { goto Ead2b; bf2d2: $subject = sprintf("\122\145\x6d\x6f\x74\x65\40\x42\x61\x63\153\165\x70\x20\x66\141\x69\154\145\144\x3a\40\45\163", $domainName); goto B6cbc; B6cbc: $this->addNotification($subject, $errorMessage); goto b0b0c; Ead2b: $errorMessage = $e->getMessage(); goto bf2d2; b0b0c: } goto e04e3; Baa7d: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto Ac56a; baf0b: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto a1e01; a1e01: $siteType = $siteEntity->getType(); goto cd13c; Bfc1b: Ef88f: goto f2f06; cb566: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto Eb733; Ca111: goto Ef88f; goto a4790; B4524: $nodejsSettings = ["\166\x65\162\163\151\x6f\156" => $nodejsSettingsEntity->getNodejsVersion(), "\x70\157\x72\164" => $nodejsSettingsEntity->getPort()]; goto E265f; E265f: $settings["\156\x6f\x64\x65\x6a\163\x53\x65\x74\164\x69\156\x67\163"] = $nodejsSettings; goto Ca111; Eb733: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto B4524; a4790: case SiteEntity::TYPE_PHP: goto C184b; Cbf07: $phpSettings = ["\166\145\x72\x73\x69\x6f\x6e" => $phpSettingsEntity->getPhpVersion(), "\x6d\145\155\157\162\171\114\x69\x6d\151\x74" => $phpSettingsEntity->getMemoryLimit(), "\155\141\170\105\x78\145\x63\165\x74\x69\x6f\x6e\x54\151\155\145" => $phpSettingsEntity->getMaxExecutionTime(), "\x6d\x61\170\111\x6e\160\x75\x74\124\151\155\x65" => $phpSettingsEntity->getMaxInputTime(), "\x6d\141\170\x49\156\160\165\164\x56\141\x72\163" => $phpSettingsEntity->getMaxInputVars(), "\x70\157\x73\164\x4d\141\x78\123\151\172\145" => $phpSettingsEntity->getPostMaxSize(), "\x75\x70\154\157\x61\144\x4d\x61\170\x46\151\x6c\145\123\x69\172\x65" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\x64\x64\151\164\x69\157\x6e\x61\x6c\x43\x6f\x6e\146\x69\147\x75\162\x61\164\151\157\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto f55b0; C184b: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto Cbf07; E9514: goto Ef88f; goto E0b16; f55b0: $settings["\x70\150\160\x53\145\x74\164\151\156\x67\163"] = $phpSettings; goto E9514; E0b16: case SiteEntity::TYPE_PYTHON: goto c6195; a6845: goto Ef88f; goto b8c9d; e2453: $pythonSettings = ["\166\x65\x72\x73\x69\x6f\156" => $pythonSettingsEntity->getPythonVersion(), "\160\x6f\x72\164" => $pythonSettingsEntity->getPort()]; goto F4b89; F4b89: $settings["\x70\x79\x74\x68\x6f\x6e\x53\145\x74\164\x69\156\x67\x73"] = $pythonSettings; goto a6845; c6195: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto e2453; b8c9d: case SiteEntity::TYPE_REVERSE_PROXY: goto A56d8; Acc11: $settings["\162\145\x76\145\x72\163\x65\120\162\x6f\x78\x79\123\x65\x74\164\151\156\x67\163"] = $reverseProxySettings; goto E5e59; E5e59: goto Ef88f; goto d5aa4; A56d8: $reverseProxySettings = ["\x75\162\154" => $siteEntity->getReverseProxyUrl()]; goto Acc11; d5aa4: } goto Fe004; eae4f: $writeFileCommand->setContent($fileContent); goto c8230; cd13c: $settings = ["\x74\x79\160\145" => $siteType, "\144\x6f\x6d\141\x69\156\x4e\x61\155\x65" => $siteEntity->getDomainName(), "\x72\x6f\x6f\x74\x44\x69\162\x65\143\x74\157\x72\171" => $siteEntity->getRootDirectory(), "\x73\151\x74\145\125\163\x65\x72" => $siteEntity->getUser(), "\x70\141\x67\x65\x53\160\x65\x65\x64" => $siteEntity->getPageSpeedSettings()]; goto cb566; Fe004: f2f8d: goto Bfc1b; Ba421: $writeFileCommand->setFile($siteSettingsFile); goto eae4f; c699c: $writeFileCommand = new WriteFileCommand(); goto Ba421; c8230: $this->commandExecutor->execute($writeFileCommand, 15); goto Dfb22; f2f06: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto c699c; Dfb22: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto Fb6f8; Fb6f8: $vhost = $siteEntity->getVhostTemplate(); goto Ec3ed; Fa17d: $this->commandExecutor->execute($writeFileCommand, 15); goto a65fe; f10b7: $writeFileCommand->setContent($vhost); goto Fa17d; Ec3ed: $writeFileCommand = new WriteFileCommand(); goto e17b6; e17b6: $writeFileCommand->setFile($siteVhostFile); goto f10b7; a65fe: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto d8e3a; Ce439: $siteUser = $siteEntity->getUser(); goto C9cf1; d8e3a: $isSiteExcluded = false; goto ea209; c7fd9: foreach ($excludes as $exclude) { goto A0b3b; ee7ae: $isSiteExcluded = true; goto B4602; A0b3b: $exclude = rtrim($exclude, "\x2f"); goto bcf82; E0311: a3baa: goto b3c5a; bcf82: if (!($homeDirectory == $exclude)) { goto fbf83; } goto ee7ae; ffc37: fbf83: goto E0311; B4602: goto f6698; goto ffc37; b3c5a: } goto C4be7; ea209: $excludes = $this->getExcludes(); goto d61b6; C4be7: f6698: goto e5067; e5067: b6108: goto E3a25; E3a25: return $isSiteExcluded; goto A70bc; C9cf1: $homeDirectory = sprintf("\x2f\150\157\155\145\x2f\45\x73", $siteUser); goto c7fd9; d61b6: if (!(false === empty($excludes))) { goto b6108; } goto Ce439; A70bc: } private function getExcludes() : array { goto d66b8; E60b4: if (!(false === empty($excludes))) { goto C55e3; } goto b675a; ade04: F5a2f: goto E9b11; ff9cc: $excludes = $this->getConfigValue("\162\145\x6d\157\164\x65\137\x62\141\x63\153\x75\160\137\x65\170\x63\x6c\165\x64\145\163"); goto E60b4; E9b11: return $this->excludes; goto da68d; b675a: $this->excludes = json_decode($excludes); goto f68d9; f68d9: C55e3: goto ade04; d66b8: if (!(true === empty($this->excludes))) { goto F5a2f; } goto ff9cc; da68d: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto B99b9; b4721: ea219: goto d4147; d4147: Ffef0: goto f9bd4; C9229: foreach ($excludes as $exclude) { goto C8788; e9e0c: $siteExcludes[] = rtrim(ltrim($exclude, "\x2f"), "\x2f"); goto c95e3; C8788: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto F8e9b; } goto Ce38e; A5d09: F8e9b: goto c9b51; Ce38e: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto df1cd; c9b51: Cd41a: goto Bb449; c95e3: Ecfbe: goto A5d09; df1cd: if (!(false === empty($exclude))) { goto Ecfbe; } goto e9e0c; Bb449: } goto b4721; dd4fc: $siteUser = $siteEntity->getUser(); goto ac604; ac604: $homeDirectory = sprintf("\x2f\150\x6f\155\145\57\x25\163\x2f", $siteUser); goto C9229; bcd5e: $excludes = $this->getExcludes(); goto a48ad; B99b9: $siteExcludes = []; goto bcd5e; f9bd4: return $siteExcludes; goto bc12b; a48ad: if (!(false === empty($excludes))) { goto Ffef0; } goto dd4fc; bc12b: } private function getServerDateTime() : \DateTime { goto e2e47; f039f: $this->serverDateTime->setTimezone(new \DateTimeZone("\125\124\x43")); goto D6933; e2e47: if (!(true === is_null($this->serverDateTime))) { goto B2b0e; } goto Fbd20; Fbd20: $timezone = $this->getConfigValue("\164\x69\155\x65\172\157\156\145"); goto bb7e5; bb7e5: $this->serverDateTime = new \DateTime("\x6e\157\167"); goto f039f; bd907: B2b0e: goto D9788; D6933: if (!(false === empty($timezone))) { goto e3b94; } goto E25de; D9788: return $this->serverDateTime; goto fd519; eb164: e3b94: goto bd907; E25de: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto eb164; fd519: } private function getDestination(SiteEntity $siteEntity) : string { goto a4ce6; e38c0: $siteUser = $siteEntity->getUser(); goto fbbc3; D5ede: d6736: goto e38c0; Dd62d: Dae71: goto d4512; a4ce6: $destination = ''; goto Fe8ae; d4512: return $destination; goto A7a14; Dd5ac: $destination = ltrim($destination, "\57"); goto Dd62d; fbbc3: $storageDirectory = $this->getConfigValue("\162\145\155\x6f\164\145\137\142\141\143\x6b\165\x70\137\x73\164\x6f\162\141\147\x65\x5f\144\151\162\145\143\x74\157\x72\171"); goto A95dd; a4bc7: $destination = sprintf("\45\x73\57\45\163\57\x25\163\57\45\163\x2f\150\157\x6d\145\57\x25\163\x2f", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\57"), $serverDateTime->format("\131\x2d\x6d\55\144"), $serverDateTime->format("\110\x2e\151"), $siteUser); goto e5fde; e5fde: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Dae71; } goto Dd5ac; e437f: da419: goto D5ede; A95dd: $serverDateTime = $this->getServerDateTime(); goto a4bc7; Fe8ae: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\x65\155\157\164\x65\137\142\x61\143\x6b\165\160\137\x62\165\143\x6b\x65\x74"); goto d6736; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\x72\145\155\157\164\145\x5f\142\x61\143\153\x75\x70\x5f\x73\x70\141\x63\145"); goto d6736; } goto e437f; A7a14: } private function cleanBackups() : void { goto Ad986; E3888: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\x6f\164\145\137\142\x61\x63\x6b\165\x70\x5f\x73\164\x6f\162\x61\147\x65\x5f\144\x69\x72\x65\x63\164\157\162\x79"); goto B72d6; Ad986: $retentionPeriod = (int) $this->getConfigValue("\x72\145\x6d\157\x74\145\137\x62\141\143\153\165\160\137\162\x65\164\145\x6e\164\151\x6f\x6e\137\x70\145\x72\x69\x6f\144"); goto E3888; B72d6: if (!($retentionPeriod && false === empty($storageDirectory))) { goto c6b25; } goto c21b8; c21b8: try { goto A1c94; d763c: $deleteDateTime->modify(sprintf("\x2d\x25\163\40\144\141\171\x73", $retentionPeriod)); goto Cc93b; Dbe42: $remotePath = sprintf("\45\x73\57\45\163\57", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\x2f")); goto Cb2bf; D0847: if (!(false === empty($directories))) { goto D53f9; } goto a5627; A1c94: $dateTime = new \DateTime(); goto c2874; Cc49a: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\162\x65\x6d\x6f\164\145\x5f\142\x61\x63\x6b\165\x70\x5f\142\165\143\153\x65\164"); goto c9b28; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\162\145\x6d\157\x74\145\x5f\x62\x61\x63\x6b\x75\x70\x5f\x73\160\x61\x63\x65"); goto c9b28; case StorageProvider::GOOGLE_DRIVE: goto Dad00; Dad00: $email = $this->getConfigValue("\162\145\155\x6f\x74\x65\x5f\142\141\143\153\165\160\137\145\x6d\141\x69\x6c"); goto ee2d4; ee2d4: $rclone->addFlag("\55\x2d\144\162\x69\x76\x65\x2d\x69\155\x70\145\162\163\x6f\156\x61\x74\x65", $email); goto cf78d; cf78d: goto c9b28; goto d4d2d; d4d2d: } goto D1156; E581f: $rclone = new Rclone(); goto Cc49a; Cc93b: $deleteDateTime->setTimezone(new \DateTimeZone("\125\x54\x43")); goto D7dd6; d164a: c9b28: goto Dbe42; c2874: $deleteDateTime = clone $dateTime; goto d763c; e5c6a: B94d9: goto f87ce; a5627: foreach ($directories as $directory) { goto dd959; c1d1f: $purgeRemotePath = sprintf("\57\45\x73", ltrim($purgeRemotePath, "\57")); goto d4aa5; Ac6bf: if (!(true === $isValidDate)) { goto f902c; } goto a11e4; bdd8a: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto Ac6bf; C5777: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Bc294; } goto Ce454; d2af8: bbe88: goto f3138; A5068: if (!(false === is_null($directoryName))) { goto bbe88; } goto bdd8a; dd959: $directoryName = $directory["\116\x61\155\x65"] ?? null; goto A5068; b2b05: f902c: goto d2af8; f068b: $rclone->purge($purgeRemotePath); goto Eddb6; C3a94: $purgeRemotePath = sprintf("\x25\x73\x2f\x25\x73\x2f", rtrim(ltrim($remotePath, "\57"), "\57"), $directoryName); goto C5777; f3138: bf302: goto Ae4bd; Eddb6: e266d: goto b2b05; a11e4: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto e266d; } goto C3a94; d4aa5: E215d: goto f068b; Ce454: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto d27ad; Dbdcf: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto E215d; } goto c1d1f; d27ad: Bc294: goto Dbdcf; Ae4bd: } goto e5c6a; D7dd6: $deleteDateTime->setTime(0, 0, 0, 0); goto a1f36; D1156: c0f44: goto d164a; f87ce: D53f9: goto D713a; fb370: d1f30: goto Efc0a; C4d0f: $remotePath = ltrim($remotePath, "\x2f"); goto fb370; Cb2bf: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto d1f30; } goto C4d0f; Efc0a: $directories = (array) $rclone->lsJson($remotePath, true); goto D0847; a1f36: $remotePath = ''; goto E581f; D713a: } catch (\Exception $e) { goto b3dd0; F7e19: $subject = sprintf("\x52\145\155\x6f\164\145\40\x42\x61\x63\x6b\x75\160\x20\x63\154\x65\x61\156\165\x70\40\146\141\151\x6c\145\144\x2e"); goto b6d72; b3dd0: $errorMessage = $e->getMessage(); goto F7e19; b6d72: $this->addNotification($subject, $errorMessage); goto Ec2cf; Ec2cf: } goto E6da1; E6da1: c6b25: goto Cda87; Cda87: } private function refreshDropboxAccessToken(bool $delay) { try { goto fe4fd; C18cb: goto e0a44; goto d9ce6; f525a: $rcloneConfigTemplate->setToken($token); goto C91dc; A2749: $rcloneConfig = $rcloneConfigBuilder->build(); goto Dc80f; a708c: throw new \Exception("\x41\x63\x63\145\163\x73\x20\x54\157\x6b\145\x6e\x20\x63\141\x6e\x6e\157\x74\x20\142\145\40\145\x6d\160\164\171\56"); goto C18cb; cb6cd: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto f525a; cd792: $dropboxClient = new DropboxClient(); goto B4a2f; d9ce6: E907d: goto cb6cd; a95a7: sleep(rand(5, 60)); goto Ec67d; fe4fd: if (!(true === $delay)) { goto b00d0; } goto a95a7; Bf248: $refreshToken = $this->getConfigValue("\x72\x65\x6d\157\x74\x65\x5f\x62\x61\143\153\165\160\x5f\x72\145\146\162\145\x73\x68\x5f\164\x6f\153\145\156"); goto cd792; Ec67d: b00d0: goto Bf248; bb790: e0a44: goto f625e; Dc80f: $rclone = new Rclone(); goto f0050; B4a2f: $token = $dropboxClient->getAccessToken($refreshToken); goto da070; da070: if (false === empty($token)) { goto E907d; } goto a708c; f0050: $rclone->writeConfig($rcloneConfig); goto bb790; C91dc: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto A2749; f625e: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\145\x66\162\145\163\150\x69\156\147\40\104\162\157\x70\x62\x6f\x78\x20\101\143\x63\145\x73\x73\x20\x54\x6f\x6b\x65\156\40\106\141\151\x6c\x65\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto db820; db820: $notification = new Notification(); goto Ac881; Ac881: $notification->setSubject($subject); goto F01a5; F01a5: $notification->setMessage($errorMessage); goto eb245; eb245: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto Aa8d1; Aa8d1: NotificationQueue::addNotification($notification); goto A336d; A336d: } }
