<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\x6f\144\145\152\x73"; protected function configure() : void { goto ad013; a714c: $this->setComment("\x41\x64\144\151\x6e\147\40\141\40\x4e\x6f\144\x65\x2e\152\x73\x20\123\151\164\145"); goto bf74e; A9c61: $this->addOption("\141\x70\160\120\157\162\x74", null, InputOption::VALUE_REQUIRED); goto E84c3; E84c3: $this->addOption("\163\151\164\x65\125\163\x65\162", null, InputOption::VALUE_REQUIRED); goto E77e4; bf74e: $this->addOption("\144\157\155\141\x69\x6e\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto D4818; D4818: $this->addOption("\x6e\157\x64\145\x6a\x73\x56\145\162\163\151\157\156", null, InputOption::VALUE_REQUIRED); goto A9c61; ad013: $this->setName("\163\151\x74\145\x3a\x61\x64\x64\x3a\x6e\x6f\144\x65\152\x73"); goto D9a99; D9a99: $this->setDescription("\x63\154\x70\x63\164\x6c\x20\x73\151\x74\x65\72\x61\144\x64\x3a\x6e\157\144\145\152\x73\40\x2d\x2d\144\157\x6d\x61\151\156\116\x61\x6d\145\x3d\x77\x77\167\56\144\157\x6d\x61\151\x6e\56\x63\157\155\40\x2d\55\x6e\x6f\x64\x65\x6a\163\126\145\x72\x73\x69\x6f\x6e\x3d\62\x32\40\x2d\x2d\x61\x70\160\x50\157\x72\164\x3d\63\x30\x30\60\40\55\x2d\163\x69\x74\x65\125\x73\x65\162\x3d\x6a\x6f\150\x6e\x20\55\x2d\163\x69\x74\x65\125\163\145\x72\120\141\163\x73\x77\157\162\x64\x3d\47\x21\x73\145\x63\x72\x65\164\x50\141\x73\163\x77\x6f\162\144\41\47"); goto a714c; E77e4: $this->addOption("\163\x69\x74\x65\x55\163\145\x72\x50\x61\x73\163\x77\157\162\144", null, InputOption::VALUE_REQUIRED); goto ae4a0; ae4a0: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto A785a; Fa81e: Bb233: goto E76bd; E8708: $siteEntity->setVhostTemplate($vhostTemplate); goto f7edd; F3b54: $nodejsVersion = (int) $input->getOption("\x6e\157\x64\145\152\163\126\x65\x72\x73\151\x6f\156"); goto D5b05; D5b05: $appPort = (int) $input->getOption("\141\160\160\x50\157\x72\164"); goto B64a2; f7edd: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto d18d9; F8a57: $output->writeln(sprintf("\x3c\151\156\x66\x6f\x3e\x53\x69\164\145\x3c\57\151\x6e\x66\x6f\x3e\40\x3c\x63\x6f\x6d\x6d\x65\x6e\x74\x3e\x25\x73\x3c\x2f\143\157\155\x6d\145\156\x74\76\x20\74\x69\x6e\x66\x6f\x3e\x68\141\x73\40\142\x65\x65\x6e\x20\x61\144\x64\x65\144\x2e\x3c\57\151\156\x66\157\x3e", $domainName)); goto afcaf; Cde4a: e6a14: goto b97fe; F81d0: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto ac97f; Fade8: $subjectAlternativeNames = []; goto Ba0c4; b9000: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto d0af6; c7403: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto cf54c; c368c: $certificateEntity->setCsr($csr); goto b2591; Beb5f: $csr = $csrGenerator->generate(); goto cf146; C9ab6: $nodejsSiteCreator->installNodejs(); goto F5519; d0af6: if (!(false === empty($redirectionVhostTemplate))) { goto Bb233; } goto Cccc0; bcff2: if (!(true === is_null($subdomain) || "\167\x77\167" == $subdomain)) { goto c7078; } goto C28ea; F5519: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto E159c; b97fe: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\x2e\57\x2e\56\x2f\162\145\163\x6f\x75\x72\143\145\163\57\156\x67\151\x6e\x78\57\166\x68\x6f\163\164\x5f\x74\x65\x6d\x70\154\x61\x74\145\x2f\162\x65\x64\151\x72\145\x63\164\55\150\164\164\160\63"); goto accac; e4980: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\56\57\56\x2e\x2f\162\145\163\157\165\162\143\145\x73\x2f\x6e\147\151\156\x78\x2f\x76\x68\x6f\x73\x74\x5f\x74\x65\155\x70\154\x61\164\145\57\162\145\x64\x69\162\x65\x63\x74"); goto f7a98; f56c4: $nodejsSite->setRegistrableDomain($registrableDomain); goto c935a; B91de: $subjectAlternativeNames[] = $registrableDomain; goto e473d; B64a2: $siteUser = trim($input->getOption("\x73\151\164\145\x55\163\145\x72")); goto b2a8d; Ea560: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto ecad8; b2591: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto Dbf3c; afee0: $constraints->addAll($nodejsSettingsConstraints); goto a129c; Bc23c: $subdomain = $resolvedDomainName->subDomain()->toString(); goto dbf12; C31b9: $nodejsSite = new NodejsSite(); goto c0680; Df92c: $vhostTemplate->build(); goto Ea560; D20f4: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto d936f; edb14: $nodejsSiteCreator->createNvmDirectory(); goto C9ab6; f793c: $siteEntity->setUser($siteUser); goto Cdaa4; C28ea: if (true === isset($_ENV["\101\120\120\x5f\110\124\124\120\63"]) && "\x74\x72\165\145" === $_ENV["\101\x50\120\137\110\124\x54\x50\63"]) { goto e6a14; } goto e4980; E5680: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Beb5f; ac79c: $constraints = new ConstraintViolationList(); goto eaf15; dff8c: $certificateEntity = $this->certificateEntityManager->createEntity(); goto C2e57; Cdaa4: $siteEntity->setUserPassword($siteUserPassword); goto bcff2; a8b3c: C5c06: goto F98e9; E159c: $nodejsSiteCreator->createNginxVhost(); goto b0ab5; bdc4b: $siteEntity->setDomainName($domainName); goto D965a; dd66f: $rootDirectory = $domainName; goto F3b54; Ec565: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto c96fb; } goto ac79c; f8c24: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto Df92c; b0ab5: $nodejsSiteCreator->reloadNginxService(); goto B221b; ac97f: $nodejsSiteCreator->createUser(); goto c388a; D1628: ee6d7: goto d5c9f; Cc0b4: $this->siteEntityManager->updateEntity($siteEntity); goto F8a57; Cf6cf: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto b893e; b75ee: $rsaKeyGenerator = new RsaKeyGenerator(); goto adf3b; cf54c: $nodejsSite->setDomainName($domainName); goto f56c4; E5082: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto c368c; E7f7d: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto F1ed7; F98e9: E1c79: goto d938c; b2a8d: $siteUserPassword = trim($input->getOption("\163\151\x74\x65\x55\163\x65\162\120\x61\x73\x73\x77\157\162\x64")); goto Cf6cf; d936f: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto f8c24; c0680: $nodejsSite->setUser($siteEntity->getUser()); goto c7403; E4d79: goto E1c79; goto C1291; f7a98: goto B7411; goto Cde4a; accac: B7411: goto b9000; F94bc: $subjectAlternativeNames[] = sprintf("\167\x77\167\x2e\45\x73", $domainName); goto D1628; Feb5a: $vhostTemplate->resetProcessors(); goto D20f4; Bbb5d: $siteConstraints = $this->validator->validate($siteEntity); goto F2ac3; d4685: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto B2cbe; C2e57: $certificateEntity->setSite($siteEntity); goto b75ee; F774c: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto b9c48; C76ce: $siteEntity = $this->siteEntityManager->createEntity(); goto f855c; a129c: return $this->renderConstraints($constraints, $output); goto d68b2; c935a: $nodejsSite->setSubdomain($subdomain); goto feba4; A785a: $this->validateInput($input); goto Aabd8; adf3b: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Fade8; E6f8c: $nodejsSiteCreator->createLogrotateFile(); goto edb14; b9c48: if (false === is_null($vhostTemplateEntity)) { goto F4639; } goto E7093; e473d: e7cdb: goto d412e; Dbf3c: $certificateEntity->setCertificate($selfSignedCertificate); goto de0d7; B221b: $nodejsSiteCreator->resetPermissions(); goto F20d5; cf146: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Bb21c; ecad8: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto Cc0b4; Cccc0: $vhostTemplate = sprintf("\45\x73\45\x73", $redirectionVhostTemplate, $vhostTemplate); goto Fa81e; d68b2: goto C5c06; goto da7ae; ae212: $nodejsSettingsEntity->setSite($siteEntity); goto Bbb5d; F2ac3: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto Ec565; d412e: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto E5680; dbf12: $subdomain = false === empty($subdomain) ? $subdomain : null; goto F774c; d5c9f: if (!(false === is_null($subdomain) && "\x77\167\x77" == $subdomain)) { goto e7cdb; } goto B91de; c388a: $nodejsSiteCreator->createRootDirectory(); goto E6f8c; C1291: F4639: goto bd602; de0d7: $siteEntity->setCertificate($certificateEntity); goto C31b9; f855c: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto bdc4b; b893e: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Bc23c; B2cbe: $nodejsSite->setCertificate($certificateEntity); goto C71e2; Bb21c: $certificateEntity->setDefaultCertificate(true); goto E5082; F1ed7: $nodejsSettingsEntity->setPort($appPort); goto ae212; da7ae: c96fb: goto dff8c; feba4: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto d4685; afcaf: return SiteCommand::SUCCESS; goto a8b3c; D965a: $siteEntity->setRootDirectory($rootDirectory); goto f793c; E7093: throw new \Exception(sprintf("\x56\x68\157\163\164\x20\124\x65\155\160\x6c\x61\x74\145\40\42\45\163\42\40\144\157\x65\163\x20\x6e\157\164\x20\x65\x78\x69\x73\x74\56", $vhostTemplate)); goto E4d79; ad49e: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto Feb5a; bd602: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto C76ce; c60c3: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto dd66f; F20d5: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto ad49e; Ba0c4: if (!(true === is_null($subdomain))) { goto ee6d7; } goto F94bc; d18d9: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto E7f7d; C71e2: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto F81d0; eaf15: $constraints->addAll($siteConstraints); goto afee0; Aabd8: $domainName = mb_strtolower(trim($input->getOption("\144\157\x6d\141\x69\156\x4e\141\155\x65"))); goto c60c3; E76bd: c7078: goto E8708; d938c: } catch (\Exception $e) { goto c06fc; D45f8: $output->writeln(sprintf("\x3c\145\x72\x72\x6f\162\76\x25\163\x3c\x2f\x65\x72\162\x6f\162\76", $errorMessage)); goto bc718; bc718: return SiteCommand::FAILURE; goto A891d; c06fc: $errorMessage = $e->getMessage(); goto D45f8; A891d: } } }
