<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\PythonSettings as PythonSettingsEntity; use App\Site\PythonSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\PythonTemplate as PythonVhostTemplate; use App\Site\Creator\PythonSite as PythonSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddPythonCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x50\x79\x74\x68\157\156"; protected function configure() : void { goto D5713; fba0f: $this->addOption("\163\151\164\x65\125\163\145\162\x50\141\163\163\x77\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto e8860; b9d11: $this->addOption("\x64\x6f\155\141\151\156\x4e\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto cbc2b; d6f81: $this->setDescription("\143\154\x70\x63\x74\154\x20\x73\151\164\x65\72\141\144\x64\x3a\160\171\164\150\157\x6e\40\55\x2d\144\x6f\x6d\x61\151\156\116\x61\155\x65\x3d\167\167\x77\56\x64\x6f\155\x61\x69\x6e\56\x63\x6f\x6d\x20\x2d\x2d\160\171\x74\x68\x6f\x6e\126\x65\x72\x73\x69\x6f\x6e\x3d\63\56\61\62\x20\55\x2d\x61\160\160\120\x6f\162\164\75\x38\60\70\60\40\55\55\x73\x69\x74\x65\x55\x73\x65\x72\75\152\157\x68\x6e\x20\x2d\x2d\x73\151\164\145\x55\x73\x65\x72\x50\141\x73\163\x77\157\162\144\x3d\x27\41\163\145\x63\162\145\x74\x50\x61\x73\163\167\x6f\162\x64\41\x27"); goto ab33b; ab33b: $this->setComment("\101\144\144\151\x6e\x67\x20\x61\x20\x50\171\164\150\x6f\156\40\123\x69\164\145"); goto b9d11; C91e5: $this->addOption("\141\x70\x70\120\157\x72\x74", null, InputOption::VALUE_REQUIRED); goto e65f6; D5713: $this->setName("\163\151\164\x65\72\141\144\x64\x3a\160\x79\164\150\x6f\156"); goto d6f81; e65f6: $this->addOption("\x73\151\164\145\x55\x73\145\162", null, InputOption::VALUE_REQUIRED); goto fba0f; cbc2b: $this->addOption("\x70\x79\164\x68\157\x6e\x56\x65\x72\x73\151\157\156", null, InputOption::VALUE_REQUIRED); goto C91e5; e8860: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ffdd7; B2181: $pythonSite->setUserPassword($siteEntity->getUserPassword()); goto Aaeb9; d8cca: $constraints->addAll($siteConstraints); goto C5a43; f13bb: $appPort = (int) $input->getOption("\141\160\160\120\x6f\162\x74"); goto B7738; C3e5f: $csr = $csrGenerator->generate(); goto ef35d; A0a4c: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto C7a25; F3c1c: $constraints = new ConstraintViolationList(); goto d8cca; D8ead: d7e8b: goto f15a0; e8831: $pythonSiteCreator->writePythonVersionFile(); goto f5d4d; e8f93: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto C594b; ef35d: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto B92e9; d2303: $subjectAlternativeNames = []; goto d6e0c; A2e45: $siteEntity->setType(SiteEntity::TYPE_PYTHON); goto e1b23; F7041: goto e8ffa; goto c1abf; E0319: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\57\x2e\56\x2f\162\x65\163\157\165\x72\x63\145\x73\57\156\147\151\156\170\57\x76\x68\x6f\x73\x74\x5f\164\145\x6d\x70\154\x61\164\145\x2f\x72\x65\x64\151\162\145\143\x74"); goto F7041; Ccc48: $pythonSiteCreator->createUser(); goto a8067; e66e3: $siteEntity->setUser($siteUser); goto B1ce4; a0867: $vhostTemplate = new PythonVhostTemplate($pythonSite); goto Fd198; e02bb: $pythonSiteCreator->createNginxVhost(); goto D0286; C8a42: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto e6fe5; f5d4d: $pythonSiteCreator->createPrivateKeyAndCertificate(); goto e02bb; ea0d7: if (false === is_null($vhostTemplateEntity)) { goto E8851; } goto F575c; d5fb5: $certificateEntity->setCertificate($selfSignedCertificate); goto a8462; B4c59: $pythonSettingsConstraints = $this->validator->validate($pythonSettingsEntity); goto f2af8; D0286: $pythonSiteCreator->reloadNginxService(); goto b5b11; C436d: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto ea0d7; B1fa7: b2848: goto b5072; d8848: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto e6f1b; cb531: $siteEntity->setPythonSettings($pythonSettingsEntity); goto D6e22; C2302: $subdomain = false === empty($subdomain) ? $subdomain : null; goto C436d; c4c1e: $subdomain = $resolvedDomainName->subDomain()->toString(); goto C2302; D5195: if (true === isset($_ENV["\x41\x50\120\137\110\124\x54\120\x33"]) && "\164\162\165\145" === $_ENV["\x41\x50\x50\137\x48\x54\124\x50\x33"]) { goto Bed82; } goto E0319; Aaeb9: $pythonSite->setDomainName($domainName); goto Bfa18; df96c: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto E48db; d36a2: goto d7e8b; goto C746e; c5ea2: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto cd80a; c9357: $certificateEntity = $this->certificateEntityManager->createEntity(); goto Cd400; B9ea9: $output->writeln(sprintf("\x3c\x69\156\x66\x6f\x3e\123\151\164\x65\x3c\x2f\x69\156\146\x6f\x3e\x20\x3c\x63\x6f\155\x6d\145\156\x74\76\x25\x73\74\57\143\x6f\x6d\155\145\x6e\x74\x3e\40\x3c\151\156\146\x6f\76\150\x61\x73\x20\142\145\145\156\x20\141\x64\144\x65\x64\56\x3c\x2f\x69\156\146\x6f\x3e", $domainName)); goto A5df3; fd368: $pythonSite->setSubdomain($subdomain); goto fac9e; f6844: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto c4c1e; Cde17: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto f6844; Eccb1: $pythonSite->setUser($siteEntity->getUser()); goto B2181; Be481: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto C3e5f; B7738: $siteUser = trim($input->getOption("\163\x69\x74\x65\125\163\145\x72")); goto d70aa; ecaeb: $pythonSettingsEntity = new PythonSettingsEntity(); goto cb531; F6d82: $pythonSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto a32ce; c5702: e8ffa: goto e8f93; C7a25: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto df96c; c30fc: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto ca7c9; Cd400: $certificateEntity->setSite($siteEntity); goto Fe237; D6e22: $pythonSettingsEntity->setPythonVersion($pythonVersion); goto b696d; Ff7e9: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto d2303; fe256: $this->siteEntityManager->updateEntity($siteEntity); goto B9ea9; a8462: $siteEntity->setCertificate($certificateEntity); goto A7e97; B81a9: $vhostTemplate->resetProcessors(); goto A0a4c; Ce944: e5827: goto D3297; C746e: Dde6a: goto c9357; ce55f: if (!(true === is_null($subdomain) || "\x77\x77\x77" == $subdomain)) { goto b2848; } goto D5195; e1b23: $siteEntity->setDomainName($domainName); goto A950b; B1ce4: $siteEntity->setUserPassword($siteUserPassword); goto ce55f; cd0f4: return $this->renderConstraints($constraints, $output); goto d36a2; A7e97: $pythonSite = new PythonSite(); goto Eccb1; b514c: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\x2e\x2f\56\x2e\x2f\162\145\x73\x6f\165\162\143\145\163\57\156\147\151\156\x78\x2f\x76\150\x6f\x73\164\x5f\x74\x65\x6d\160\154\x61\x74\x65\57\162\145\x64\x69\162\145\x63\164\55\150\164\x74\160\63"); goto c5702; d6e0c: if (!(true === is_null($subdomain))) { goto c2086; } goto d14d8; F04af: $pythonSite->setPythonSettings($pythonSettingsEntity); goto A75e2; d14d8: $subjectAlternativeNames[] = sprintf("\167\167\167\x2e\45\163", $domainName); goto c7d45; A5df3: return SiteCommand::SUCCESS; goto D8ead; f15a0: ad699: goto fc7d1; e6fe5: $siteEntity = $this->siteEntityManager->createEntity(); goto A2e45; b696d: $pythonSettingsEntity->setPort($appPort); goto b9593; e6f1b: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto fe256; B92e9: $certificateEntity->setDefaultCertificate(true); goto c5ea2; A950b: $siteEntity->setRootDirectory($rootDirectory); goto e66e3; D3297: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto Be481; b5b11: $pythonSiteCreator->resetPermissions(); goto a0867; ffdd7: $this->validateInput($input); goto F4056; Fd198: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto B81a9; A75e2: $pythonSite->setCertificate($certificateEntity); goto F6d82; Afd35: $pythonVersion = $input->getOption("\x70\x79\x74\150\157\x6e\126\145\162\x73\151\x6f\156"); goto f13bb; cd80a: $certificateEntity->setCsr($csr); goto A6427; F575c: throw new \Exception(sprintf("\126\150\157\x73\x74\40\124\x65\x6d\160\x6c\x61\x74\x65\x20\42\x25\163\42\40\144\157\145\x73\40\156\x6f\x74\40\x65\x78\151\163\x74\x2e", $vhostTemplate)); goto fdab8; f966e: if (!(false === is_null($subdomain) && "\167\x77\167" == $subdomain)) { goto e5827; } goto da156; A6427: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto d5fb5; a8067: $pythonSiteCreator->createRootDirectory(); goto A1db8; Fe237: $rsaKeyGenerator = new RsaKeyGenerator(); goto Ff7e9; c1abf: Bed82: goto b514c; da156: $subjectAlternativeNames[] = $registrableDomain; goto Ce944; c7d45: c2086: goto f966e; C5a43: $constraints->addAll($pythonSettingsConstraints); goto cd0f4; d00bd: E8851: goto C8a42; b9593: $pythonSettingsEntity->setSite($siteEntity); goto D40e6; ca7c9: $rootDirectory = $domainName; goto Afd35; b5072: $siteEntity->setVhostTemplate($vhostTemplate); goto ecaeb; F4056: $domainName = mb_strtolower(trim($input->getOption("\144\x6f\x6d\x61\151\x6e\x4e\x61\x6d\145"))); goto c30fc; a32ce: $pythonSiteCreator = new PythonSiteCreator($pythonSite); goto Ccc48; E48db: $vhostTemplate->build(); goto d8848; C594b: if (!(false === empty($redirectionVhostTemplate))) { goto d383c; } goto F275d; A1db8: $pythonSiteCreator->createLogrotateFile(); goto e8831; fdab8: goto ad699; goto d00bd; f2af8: if (0 == count($siteConstraints) && 0 == count($pythonSettingsConstraints)) { goto Dde6a; } goto F3c1c; Bfa18: $pythonSite->setRegistrableDomain($registrableDomain); goto fd368; F275d: $vhostTemplate = sprintf("\x25\x73\45\163", $redirectionVhostTemplate, $vhostTemplate); goto dae0c; D40e6: $siteConstraints = $this->validator->validate($siteEntity); goto B4c59; fac9e: $pythonSite->setRootDirectory($siteEntity->getRootDirectory()); goto F04af; d70aa: $siteUserPassword = trim($input->getOption("\x73\151\x74\145\x55\163\x65\x72\120\141\x73\163\167\x6f\162\x64")); goto Cde17; dae0c: d383c: goto B1fa7; fc7d1: } catch (\Exception $e) { goto E1c5a; E1c5a: $errorMessage = $e->getMessage(); goto Ee691; Ee691: $output->writeln(sprintf("\74\145\162\x72\x6f\162\76\x25\163\74\57\x65\162\x72\x6f\x72\76", $errorMessage)); goto B14cb; B14cb: return SiteCommand::FAILURE; goto Dcbe0; Dcbe0: } } }
