<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto F4956; Aab0a: $this->databaseServerEntityManager = $databaseServerEntityManager; goto fb3a6; ca41a: $this->certificateEntityManager = $certificateEntityManager; goto Aab0a; F4956: $this->domainNameParser = $domainNameParser; goto c4d66; cc631: parent::__construct(); goto C0298; c4d66: $this->siteEntityManager = $siteEntityManager; goto ca41a; fb3a6: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto fa3f8; fa3f8: $this->validator = $validator; goto cc631; C0298: } protected function configure() : void { $this->setName("\163\151\164\145\x3a\164\155\160"); } protected function getSite(string $domainName) : ?Site { goto Def1e; e35d5: $site->setBlockedIps($siteEntity->getBlockedIps()); goto C2165; ba6f3: $site->setFtpUsers($siteEntity->getFtpUsers()); goto A408d; Ce81c: $site->setBasicAuth($siteEntity->getBasicAuth()); goto D0fc0; Acf8d: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto Ef079; Af4fe: $siteEntity = $this->getSiteEntity($domainName); goto C20ef; a5637: if (!(false === is_null($site))) { goto d316f; } goto ece60; C2165: $site->setCertificate($siteEntity->getCertificate()); goto b4fd7; d8c13: $site->setRootDirectory($siteEntity->getRootDirectory()); goto A1e1f; E8c08: $site->setRegistrableDomain($registrableDomain); goto ffd87; f806c: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto A2e14; C20ef: if (false === is_null($siteEntity)) { goto f85ea; } goto c0498; e21b8: goto c74a3; goto E6ec3; C154e: $subdomain = false === empty($subdomain) ? $subdomain : null; goto E5cb6; E5cb6: $siteDatabases = $this->getSiteDatabases($siteEntity); goto E9971; Ef079: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto f806c; Def1e: $site = null; goto Af4fe; f60bc: c74a3: goto A9b4c; ef5b3: Beede: goto a5637; c0c7f: $site->setDomainName($siteEntity->getDomainName()); goto E8c08; ece60: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto B2a94; A36dd: $subdomain = $resolvedDomainName->subDomain()->toString(); goto C154e; A408d: $site->setSshUsers($siteEntity->getSshUsers()); goto d4991; Adeed: D9697: goto ef5b3; Ef0cf: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto Ab0c1; b0070: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto E2694; Ab0c1: $site = new NodejsSite(); goto b0070; E2694: goto Beede; goto c21de; c21de: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto Beede; case SiteEntity::TYPE_PHP: goto cc584; E9911: goto Beede; goto e1bcc; e732b: $site->setVarnishCache($siteEntity->getVarnishCache()); goto E9911; cc584: $site = new PhpSite(); goto f4956; f4956: $site->setPhpSettings($siteEntity->getPhpSettings()); goto e732b; e1bcc: case SiteEntity::TYPE_PYTHON: goto aa6c0; E85cd: $site->setPythonSettings($siteEntity->getPythonSettings()); goto Adec3; Adec3: goto Beede; goto D79ae; aa6c0: $site = new PythonSite(); goto E85cd; D79ae: case SiteEntity::TYPE_REVERSE_PROXY: goto Cb416; d8208: goto Beede; goto A5066; Db0dc: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto d8208; Cb416: $site = new ReverseProxySite(); goto Db0dc; A5066: } goto Adeed; E8ee9: $site->setCronJobs($siteEntity->getCronJobs()); goto ba6f3; A1e1f: $site->setDatabases($siteDatabases); goto Ce81c; A2e14: d316f: goto f60bc; c0498: throw new \Exception(sprintf("\123\151\164\x65\x20\x22\45\x73\x22\x20\144\x6f\x65\163\40\x6e\x6f\164\x20\x65\170\x69\x73\164\x2e", $domainName)); goto e21b8; ffd87: $site->setSubdomain($subdomain); goto d8c13; d4991: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto Acf8d; D0fc0: $site->setBlockedBots($siteEntity->getBlockedBots()); goto e35d5; B2a94: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto A36dd; A9b4c: return $site; goto B7c1a; b4fd7: $site->setCertificates($siteEntity->getCertificates()); goto E8ee9; dd139: $siteType = $siteEntity->getType(); goto Ef0cf; E9971: $site->setUser($siteEntity->getUser()); goto c0c7f; E6ec3: f85ea: goto dd139; B7c1a: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto Bc8c7; b2df1: foreach ($databaseEntities as $databaseEntity) { goto Ca0ac; c5408: $siteDatabases->add($databaseEntity); goto C667d; Ca0ac: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto C7730; C7730: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto bd4ac; } goto c5408; Dbe60: f8eaa: goto bee77; C667d: bd4ac: goto Dbe60; bee77: } goto Ea6c8; d7603: $databaseEntities = $siteEntity->getDatabases(); goto b2df1; Ea6c8: F0174: goto b0967; b0967: return $siteDatabases; goto Ee811; Bc8c7: $siteDatabases = new ArrayCollection(); goto a1ffc; a1ffc: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d7603; Ee811: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto D357b; ae629: D2c0a: goto bd05a; C05f2: $siteType = $site->getType(); goto fa7f8; D357b: $siteDeleter = null; goto C05f2; Fdda9: bddb9: goto ae629; bd05a: return $siteDeleter; goto d7c2c; fa7f8: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto D2c0a; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto D2c0a; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto D2c0a; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto D2c0a; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto D2c0a; } goto Fdda9; d7c2c: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto eebad; d4caf: return $siteUpdater; goto A158e; C5be8: $siteType = $site->getType(); goto dc343; dc343: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto C42a8; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto C42a8; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto C42a8; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto C42a8; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto C42a8; } goto a7772; a7772: e04d9: goto b63bf; eebad: $siteUpdater = null; goto C5be8; b63bf: C42a8: goto d4caf; A158e: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x75\x73\145\x72", "\x73\x69\x74\x65\x55\163\x65\162", $constraints); $this->changePropertyPath("\165\x73\145\162\120\x61\x73\163\x77\x6f\162\144", "\x73\151\164\145\x55\x73\x65\162\120\x61\x73\163\167\x6f\162\x64", $constraints); } }
