<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto F3408; A2622: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto F3536; c32cb: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto Cb4fc; Cb4fc: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto A2622; F3408: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto c32cb; F3536: parent::__construct($translator, $logger); goto c04d6; c04d6: } public function index(Request $request) : Response { goto C13a9; b1731: d7814: goto D495e; f356c: $cpuChart->setInformation($cpuInformation); goto b8703; b6a35: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto e3d2f; be4ef: $memoryChart->setData($memoryData); goto a59b2; Aa103: $environment = $instance->getEnvironment(); goto e1c2a; B6519: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto A6e59; B043b: $diskData = [["\x6e\141\155\145" => sprintf("\x2f\x20\50\45\163\51", $rootDiskSize), "\x63\157\154\157\162" => "\x23\67\63\x62\146\64\x63", "\144\x61\x74\x61" => $diskData["\x72\157\157\164"] ?: []]]; goto e9ec1; Fdee4: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto d4e62; A8809: $loadAverageChart->setCategories($categories); goto e3e0d; ac514: f4853: goto fe699; F0ed2: if ($homeDiskSize != $rootDiskSize) { goto d7814; } goto B043b; C13a9: $user = $this->getUser(); goto b2e63; e0646: $loadAverageChart = new LoadAverageChart("\114\x6f\x61\144\x20\x41\x76\x65\162\141\147\145"); goto Dc7ee; b8703: $cpuChart->setData($cpuData); goto f31b3; A6e59: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\x47\102", 0); goto B1af3; a55fe: return $response; goto Af32e; Dc7ee: $loadAverageChart->setInformation($loadAverageChartInformation); goto ab718; a59b2: $memoryChart->setCategories($categories); goto a9c0a; E0d2d: ae200: goto A2c2f; A2c2f: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto F1f9b; C9aec: $cpuChart = new Chart("\x43\120\125\x20\125\163\x61\147\x65"); goto f356c; b70fb: $diskChart->setCategories($categories); goto ca83a; d4e62: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto F2063; F2063: $minuteInterval = 5; goto Ad5c8; Ad5c8: $startTime = (clone $endTime)->modify("\x2d\x33\60\40\155\151\156\x75\x74\x65\x73"); goto Dc5b4; Dc5b4: goto f4853; goto bbfe3; bbfe3: case self::TIME_RANGE_LAST_HOUR: goto bf9b3; a6756: goto f4853; goto a2eff; f3d06: $startTime = (clone $endTime)->modify("\55\x31\x20\150\x6f\165\162"); goto a6756; bf9b3: $minuteInterval = 10; goto f3d06; a2eff: case self::TIME_RANGE_LAST_THREE_HOURS: goto a4b22; a4b22: $minuteInterval = 30; goto e2d7b; e2d7b: $startTime = (clone $dateTime)->modify("\x2d\63\x20\x68\x6f\x75\x72\163"); goto C25e5; C25e5: goto f4853; goto Ac7c5; Ac7c5: case self::TIME_RANGE_LAST_SIX_HOURS: goto Cee63; Db5bf: $startTime = (clone $dateTime)->modify("\x2d\x36\40\150\x6f\x75\162\163"); goto b629f; Cee63: $minuteInterval = 60; goto Db5bf; b629f: goto f4853; goto C46d7; C46d7: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto Acb35; f8c3d: goto f4853; goto fe1ac; Acb35: $minuteInterval = 120; goto db7db; db7db: $startTime = (clone $dateTime)->modify("\55\x31\x32\x20\150\x6f\x75\162\x73"); goto f8c3d; fe1ac: } goto D7f4e; B1af3: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto B0b67; Aaaff: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto fe275; e3d2f: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto d6bb6; D7f4e: Efa1e: goto ac514; E1208: try { goto e565d; a1af6: $commandExecutor->execute($memoryInformationCommand); goto F21ef; e565d: $commandExecutor = new CommandExecutor(); goto Acca6; A9ca4: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto f210b; F21ef: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto Fe290; e1d3c: $processorCoresCommand = new ProcessorCoresCommand(); goto c8550; Fe290: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\x42", 0); goto e1d3c; Acca6: $memoryInformationCommand = new MemoryInformationCommand(); goto a1af6; c8550: $commandExecutor->execute($processorCoresCommand); goto A9ca4; f210b: } catch (\Exception $e) { $this->logger->exception($e); } goto B6519; b97ef: $memoryChart->setInformation($totalMemory); goto be4ef; fe275: $totalMemory = ''; goto cba3d; ab718: $loadAverageChart->setData($loadAverageData); goto A8809; fe699: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto b6a35; e9ec1: goto ae200; goto b1731; c066b: $memoryChart = new Chart("\115\145\155\x6f\162\171\x20\x55\x73\x61\147\x65"); goto b97ef; B2c5e: $diskChart->setData($diskData); goto b70fb; ca83a: $loadAverageChartInformation = sprintf("\45\x73\x20\45\163", $numberOfProcessorCores, $this->translator->trans("\x43\120\125")); goto e0646; f92d1: $dateTime = new \DateTime(); goto Fdee4; b2e63: $instance = $request->attributes->get("\151\x6e\163\x74\x61\156\143\x65"); goto Aa103; d6bb6: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto F0ed2; e3e0d: $response = $this->render("\106\x72\157\x6e\x74\x65\x6e\144\57\104\x61\163\150\142\x6f\x61\x72\x64\x2f\151\x6e\144\x65\170\x2e\x68\164\155\154\x2e\164\x77\151\147", ["\143\x6c\157\x75\144" => $cloud, "\151\x6e\163\164\x61\156\x63\145" => $instance, "\x75\x73\x65\162" => $user, "\164\151\x6d\x65\122\x61\156\x67\145" => $timeRange, "\x63\x70\165\x43\x68\x61\162\164" => $cpuChart, "\155\145\x6d\157\162\x79\103\150\141\x72\x74" => $memoryChart, "\x64\151\x73\x6b\103\x68\141\162\x74" => $diskChart, "\x6c\157\x61\x64\101\166\145\162\141\x67\145\x43\150\141\162\x74" => $loadAverageChart]); goto a55fe; D495e: $diskData = [["\156\141\155\145" => sprintf("\x2f\x20\50\x25\163\51", $rootDiskSize), "\143\157\154\x6f\162" => "\x23\67\63\x62\146\64\143", "\x64\x61\x74\141" => $diskData["\162\x6f\x6f\164"] ?: []], ["\x6e\x61\x6d\x65" => sprintf("\57\150\157\x6d\145\40\50\x25\x73\x29", $homeDiskSize), "\143\x6f\x6c\157\162" => "\x23\x66\x33\142\x66\x30\60", "\144\141\164\141" => $diskData["\150\x6f\x6d\145"] ?: []]]; goto E0d2d; Ee6c9: $cpuInformation = sprintf("\45\x73\x20\45\x73", $numberOfProcessorCores, $this->translator->trans("\x43\120\125")); goto C9aec; F1f9b: $loadAverageData = [["\156\141\155\x65" => $this->translator->trans("\x31\x20\115\x69\156\x75\x74\x65"), "\x63\157\x6c\157\x72" => "\43\67\67\64\x61\x61\x34", "\144\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\x6e\x61\155\145" => $this->translator->trans("\65\x20\115\x69\x6e\165\164\145\163"), "\x63\x6f\x6c\157\x72" => "\x23\x65\142\x35\x38\x36\143", "\x64\141\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\x61\x6d\145" => $this->translator->trans("\x31\65\x20\115\x69\156\x75\164\145\163"), "\143\x6f\x6c\157\x72" => "\x23\x30\x30\67\x38\x64\64", "\x64\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto Ee6c9; a9c0a: $diskChart = new Chart("\x44\151\x73\153\40\125\x73\x61\147\x65"); goto B2c5e; f31b3: $cpuChart->setCategories($categories); goto c066b; cba3d: $numberOfProcessorCores = 0; goto E1208; e1c2a: $cloud = $environment->getCloudProvider(); goto A35b1; A35b1: $timeRange = $request->get("\164\x69\155\x65\x52\x61\x6e\x67\145"); goto Aaaff; B0b67: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\x42", 0); goto f92d1; Af32e: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto dec1b; be385: $endDataDate->modify(sprintf("\x2b\x25\60\65\144\x20\155\x69\x6e\165\x74\145\x73", $minuteInterval)); goto E7151; C0eaa: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\144\40\155\151\156\x75\164\x65\x73", $minuteInterval)); goto be385; b333b: $categoryDateTime = clone $endDataDate; goto ebca9; Dee56: Da5fc: goto f42d6; f42d6: return $categories; goto Fc161; e7e00: $categories[] = $categoryDateTime->format("\x48\x3a\x69"); goto C0eaa; ebca9: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto e7e00; E7151: goto Ca348; goto Dee56; E11fa: Ca348: goto C076a; A64a8: $endDataDate = clone $startTime; goto E11fa; dec1b: $categories = []; goto De95b; De95b: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\x35\144\x20\x6d\151\156\165\x74\x65\x73", $minuteInterval)); goto A64a8; C076a: if (!($endDataDate <= $endTime)) { goto Da5fc; } goto b333b; Fc161: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto E077a; A1c64: $endDataDate = clone $startTime; goto B9b1e; C1817: goto e2650; goto Aa336; B16e2: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\144\x20\155\151\x6e\165\x74\145\x73", $minuteInterval)); goto F36ef; E077a: $cpuData = []; goto Bbf32; Aa336: d506e: goto Aab48; B9b1e: e2650: goto f95bc; F36ef: $endDataDate->modify(sprintf("\x2b\x25\x30\65\144\x20\x6d\x69\x6e\165\164\145\163", $minuteInterval)); goto C1817; b87a2: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto Db7e2; Aab48: return $cpuData; goto f2956; Bbf32: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\65\144\40\155\x69\156\x75\164\x65\x73", $minuteInterval)); goto A1c64; Db7e2: $cpuData[] = $averageCpuValue; goto B16e2; f95bc: if (!($endDataDate <= $endTime)) { goto d506e; } goto b87a2; f2956: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto e1335; e2e73: c1b6c: goto a63fd; De9bf: db895: goto e015d; b8c43: goto c1b6c; goto De9bf; a63fd: if (!($endDataDate <= $endTime)) { goto db895; } goto f38c8; f38c8: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto b8d83; Dd09f: $startDataDate->modify(sprintf("\x2b\45\x30\65\144\x20\155\x69\156\165\x74\145\x73", $minuteInterval)); goto cbbce; a392a: $endDataDate = clone $startTime; goto e2e73; e015d: return $memoryData; goto ba180; a55ed: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\x30\65\x64\40\x6d\x69\156\x75\x74\x65\x73", $minuteInterval)); goto a392a; cbbce: $endDataDate->modify(sprintf("\x2b\45\60\x35\144\x20\155\x69\156\x75\164\145\163", $minuteInterval)); goto b8c43; b8d83: $memoryData[] = (int) $averageMemoryValue; goto Dd09f; e1335: $memoryData = []; goto a55ed; ba180: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto A13a0; e395b: return $diskData; goto b7327; F24b5: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\65\x64\40\x6d\x69\156\165\x74\145\x73", $minuteInterval)); goto D590e; Dff8a: ee21d: goto e395b; D590e: $endDataDate = clone $startTime; goto F52fd; B0850: $endDataDate->modify(sprintf("\x2b\x25\60\65\x64\40\x6d\x69\x6e\x75\x74\x65\163", $minuteInterval)); goto fa02b; F0c46: foreach (["\x2f", "\x2f\x68\157\155\145"] as $disk) { goto df065; fa30e: ab763: goto c0d42; c8b53: if ("\x2f" == $disk) { goto ab763; } goto de581; de581: $diskData["\150\157\x6d\145"][] = (int) $averageDiskSizeValue; goto Cc2a2; c0d42: $diskData["\162\157\157\164"][] = (int) $averageDiskSizeValue; goto Cb8d0; df065: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto c8b53; Cb8d0: D4c98: goto be410; be410: A1a1f: goto b6438; Cc2a2: goto D4c98; goto fa30e; b6438: } goto Be873; A8195: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\144\x20\155\x69\156\x75\164\145\x73", $minuteInterval)); goto B0850; F52fd: B006c: goto b1c0b; fa02b: goto B006c; goto Dff8a; b1c0b: if (!($endDataDate <= $endTime)) { goto ee21d; } goto F0c46; Be873: eafce: goto A8195; A13a0: $diskData = []; goto F24b5; b7327: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Ce9f0; B79ca: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\65\144\40\x6d\151\x6e\x75\x74\145\163", $minuteInterval)); goto e4afe; e4afe: $endDataDate = clone $startTime; goto deab6; a7a73: E3411: goto E9688; Ca814: if (!($endDataDate <= $endTime)) { goto Effcb; } goto C79ed; E9688: $startDataDate->modify(sprintf("\x2b\45\60\x35\144\x20\x6d\151\156\x75\x74\145\163", $minuteInterval)); goto dfbe9; db395: goto F0fe2; goto C7376; deab6: F0fe2: goto Ca814; dfbe9: $endDataDate->modify(sprintf("\x2b\x25\60\x35\144\x20\x6d\x69\x6e\x75\x74\145\163", $minuteInterval)); goto db395; c046a: return $loadAverageData; goto a0eba; Ce9f0: $loadAverageData = []; goto B79ca; C7376: Effcb: goto c046a; C79ed: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto e8c4f; de759: $loadAverageData[$period][] = round($loadAverageValue, 2); goto E981f; e8c4f: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto de759; E981f: A85c5: goto a759f; a759f: } goto a7a73; a0eba: } }
