<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto ae3ad; cf145: $this->certificateEntityManager = $certificateEntityManager; goto ad1e2; b2e05: $this->siteEntityManager = $siteEntityManager; goto d9876; Ad8de: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto B6e3e; Df445: parent::__construct($translator, $logger); goto ac64a; ad1e2: $this->cronJobEntityManager = $cronJobEntityManager; goto D5ab1; C8765: $this->databaseUserEntityManager = $databaseUserEntityManager; goto c70ab; d9876: $this->basicAuthEntityManager = $basicAuthEntityManager; goto d675d; B6e3e: $this->ftpUserEntityManager = $ftpUserEntityManager; goto E8d82; D5ab1: $this->databaseEntityManager = $databaseEntityManager; goto C8765; c70ab: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ad8de; D182c: $this->domainNameParser = $domainNameParser; goto Df445; d675d: $this->blockedIpEntityManager = $blockedIpEntityManager; goto afe37; E8d82: $this->sshUserEntityManager = $sshUserEntityManager; goto D182c; ae3ad: $this->configManager = $configManager; goto b2e05; afe37: $this->blockedBotEntityManager = $blockedBotEntityManager; goto cf145; ac64a: } public function index(Request $request) : Response { goto B8316; bed5c: $response = $this->render("\106\162\157\x6e\164\x65\x6e\144\x2f\x53\151\164\145\57\x69\156\144\x65\x78\x2e\150\164\x6d\x6c\56\x74\167\x69\x67", ["\x75\163\145\x72" => $user, "\x73\151\164\145\163" => $sites]); goto c1b95; B8316: $user = $this->getUser(); goto Cdb08; Cdb08: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\x6f\155\141\x69\156\116\x61\155\x65" => "\141\163\143"]); goto bed5c; c1b95: return $response; goto Cced1; Cced1: } public function fileManager(Request $request) : Response { goto b8362; daee7: $cookieExpirationDate->modify(sprintf("\x2b\45\x73\40\x68\157\165\x72\163", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto e47a1; F58e3: goto ccea7; goto e9124; d0f64: $fileManagerUrl = sprintf("\45\x73\57\x66\151\154\145\x2d\155\x61\156\141\147\x65\162\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto ac309; F46d8: $session->set("\x63\x6c\x70\x2d\146\151\154\x65\x2d\x6d\x61\x6e\x61\x67\x65\162", $data); goto d0f64; Afa21: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\163")); goto F58e3; ac309: $response = $this->render("\106\162\x6f\156\164\145\156\x64\57\x53\151\x74\x65\x2f\146\x69\154\145\x2d\x6d\x61\156\x61\147\145\162\x2e\150\164\155\154\x2e\164\167\151\147", ["\163\151\164\x65" => $site, "\x66\x69\x6c\x65\x4d\x61\156\x61\147\x65\162\x55\162\x6c" => $fileManagerUrl, "\146\x6f\x72\155\105\162\162\x6f\x72\x73" => $this->formErrors]); goto ce4f3; A4aad: $session = $request->getSession(); goto F371b; Bfe16: return $response; goto d3ee2; b8362: $site = $this->getSite($request); goto Bffd7; e47a1: $data = ["\x75\x73\x65\x72" => $siteUser, "\x6c\x6f\143\x61\x6c\145" => $locale]; goto F46d8; e9124: De248: goto fdf49; fdf49: $siteUser = $site->getUser(); goto A4aad; Bffd7: if (false === is_null($site)) { goto De248; } goto Afa21; F371b: $locale = $request->getLocale(); goto E4de5; ce4f3: ccea7: goto Bfe16; E4de5: $cookieExpirationDate = new \DateTime("\x6e\x6f\x77"); goto daee7; d3ee2: } public function view(Request $request) : Response { goto B04ae; B04ae: $domainName = $request->get("\144\157\155\x61\151\156\x4e\141\155\145"); goto efe65; E1c5e: return $response; goto Aa88f; efe65: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\137\163\145\x74\x74\151\156\147\163", ["\x64\x6f\x6d\x61\x69\x6e\116\141\x6d\x65" => $domainName])); goto E1c5e; Aa88f: } public function logs(Request $request) : Response { goto B591e; Bbf1e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\145\163")); goto b47db; e5eab: a7874: goto cf996; A1d97: $form = $this->createLogsForm($siteEntity); goto db766; db766: $response = $this->render("\x46\x72\157\156\x74\145\x6e\x64\57\x53\x69\164\145\57\x6c\157\x67\x73\x2e\150\x74\155\154\56\164\167\151\147", ["\163\151\164\x65" => $site, "\146\x6f\x72\155\x45\x72\x72\157\x72\163" => $this->formErrors, "\146\157\x72\155" => $form->createView()]); goto d0ea3; e4a05: return $response; goto a0ab9; cf996: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A1d97; b47db: goto d8b96; goto e5eab; b3c6c: if (false === is_null($site)) { goto a7874; } goto Bbf1e; d0ea3: d8b96: goto e4a05; B591e: $site = $this->getSite($request); goto b3c6c; a0ab9: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto b9901; bf270: $form->add("\x75\x70\144\x61\x74\x65", ButtonType::class, ["\x61\164\x74\162" => ["\143\154\x61\x73\x73" => "\x62\x74\x6e\x20\x62\x74\x6e\55\x6c\x67\x20\142\164\156\55\x62\x6c\x75\x65\x20\x62\x74\x6e\55\165\x70\144\141\x74\x65"], "\154\x61\142\145\x6c" => "\125\160\x64\141\164\x65"]); goto ab4a6; ab4a6: return $form; goto Bdfdd; b9901: $form = $this->createForm("\101\160\160\x5c\x46\157\x72\x6d\x5c\123\151\x74\x65\114\x6f\x67\x73\x54\x79\160\145", [], ["\x61\143\164\151\157\156" => $this->generateUrl("\x63\154\160\x5f\x73\x69\x74\145\x5f\154\x6f\x67\163", ["\144\157\x6d\x61\x69\156\116\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\x6f\144" => "\120\x4f\x53\124", "\x61\x74\x74\x72" => []]); goto bf270; Bdfdd: } public function logFileContent(Request $request, Twig $twig) : Response { goto F017e; A7d07: daae4: goto C1733; b04ff: try { goto A0d51; F8d90: if (!("\x70\x68\160" == $service)) { goto F99fa; } goto a8596; ec3c1: A6c9e: goto A642a; dd52d: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto c44c9; C59eb: $logfile = sprintf("\x2f\150\x6f\x6d\145\57\x25\x73\57\154\x6f\147\163\57\x25\163\57\x25\163", $site->getUser(), $service, $logfileName); goto be8d2; a6284: $data["\154\157\147\115\x65\x73\163\x61\x67\x65\163\x48\x74\x6d\x6c"] = $logMessagesHtml; goto Bbd47; be8d2: $logfileReader = new LogfileReader($logfile); goto E2807; c4b30: $logMessages = $nginxAccessLogParser->parse(); goto d7613; A0d51: $service = basename($service); goto C59eb; Cc28c: if (!("\156\147\x69\156\x78" == $service)) { goto Bede3; } goto a7b1e; C5af2: goto adcc9; goto ec3c1; c44c9: $logMessages = $nginxErrorLogParser->parse(); goto dc37a; E2807: $logLines = $logfileReader->getLines($numberOfLines); goto Ba36c; Ba36c: $logMessagesHtml = ''; goto e1f60; dc37a: $logMessagesHtml = $twig->render("\106\x72\157\x6e\x74\x65\x6e\x64\57\123\x69\x74\x65\57\114\x6f\x67\x73\x2f\156\147\x69\x6e\x78\x2d\145\162\x72\157\x72\55\154\x6f\x67\55\155\x65\x73\163\141\147\x65\163\x2e\x68\164\155\x6c\56\x74\167\151\x67", ["\154\x6f\x67\115\145\163\163\x61\x67\x65\163" => $logMessages]); goto C5af2; cf384: adcc9: goto c70a3; Bd098: F99fa: goto a6284; c70a3: Bede3: goto F8d90; Ef9ec: $logMessagesHtml = $twig->render("\106\x72\x6f\x6e\164\145\x6e\x64\x2f\123\151\164\145\57\x4c\x6f\x67\163\x2f\x70\x68\x70\x2d\x66\x70\x6d\x2d\145\x72\x72\157\x72\x2d\x6c\x6f\x67\55\x6d\x65\163\163\x61\147\x65\x73\x2e\150\x74\x6d\x6c\x2e\164\167\x69\147", ["\x6c\x6f\x67\115\x65\163\163\141\147\145\x73" => $logMessages]); goto Bd098; a8596: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto dd9e0; e1f60: $user = $this->getUser(); goto Cc28c; d7613: $logMessagesHtml = $twig->render("\106\x72\157\156\164\x65\156\144\57\x53\x69\164\x65\x2f\114\x6f\x67\163\x2f\156\147\151\x6e\170\x2d\141\143\x63\x65\163\163\x2d\154\157\147\x2d\x6d\145\163\163\141\147\145\x73\56\x68\x74\155\154\x2e\x74\167\151\147", ["\x6c\157\147\115\x65\x73\163\141\x67\x65\163" => $logMessages]); goto cf384; A642a: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto Eceb5; bdde7: if ("\141\143\x63\x65\x73\163\x2e\x6c\157\x67" == substr($logfileName, 0, 10)) { goto A6c9e; } goto dd52d; dd9e0: $logMessages = $phpFpmErrorLogParser->parse(); goto Ef9ec; Eceb5: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto c4b30; a7b1e: $userTimezone = $user->getTimezone(); goto bdde7; Bbd47: } catch (\Exception $e) { $this->logger->exception($e); } goto c7da2; A87c9: $numberOfLines = (int) $request->get("\156\165\155\142\145\162\x4f\146\x4c\151\156\x65\163"); goto afb58; F017e: $data = []; goto f0fe2; D0c62: if (!(false === is_null($site))) { goto daae4; } goto De319; bddbb: return $response; goto fe896; afb58: if (!(false === empty($service) && false === empty($logfileName))) { goto e367b; } goto b04ff; C1733: $response = $this->json($data); goto bddbb; bf03b: $logfileName = trim($request->get("\x6c\x6f\147\106\151\154\x65")); goto A87c9; f0fe2: $site = $this->getSite($request); goto D0c62; De319: $service = trim($request->get("\x73\145\162\166\x69\143\145")); goto bf03b; c7da2: e367b: goto A7d07; fe896: } public function loadLogfilesForService(Request $request) : Response { goto Acac4; C6113: $response = $this->json($data); goto Bd794; cb15a: d0679: goto a1e1d; d70e8: $service = trim($request->get("\x73\x65\x72\x76\151\x63\x65")); goto A601c; A601c: if (!(false === empty($service))) { goto d0679; } goto c9545; c9545: try { goto A0e8a; f242b: $logsFinder = new LogsFinder($logfilesDirectory); goto Fce49; ffd80: $data["\x6c\157\x67\x66\x69\154\145\x73"] = $logfiles; goto Caaa4; A0e8a: $service = basename($service); goto Ef5b8; Caaa4: d8fab: goto a957f; Ef5b8: $logfilesDirectory = sprintf("\57\x68\157\x6d\145\57\45\x73\57\154\x6f\x67\x73\x2f\x25\163\x2f", $site->getUser(), $service); goto f242b; dee47: if (!(false === empty($logfiles))) { goto d8fab; } goto ffd80; Fce49: $logfiles = $logsFinder->getLogfiles(); goto dee47; a957f: } catch (\Exception $e) { $this->logger->exception($e); } goto cb15a; c6c5d: $site = $this->getSite($request); goto D3bd0; Acac4: $data = []; goto c6c5d; Bd794: return $response; goto f8454; a1e1d: d198c: goto C6113; D3bd0: if (!(false === is_null($site))) { goto d198c; } goto d70e8; f8454: } public function cronJobs(Request $request) : Response { goto B2fd2; Ec18b: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\145\x73")); goto cb494; a2e78: return $response; goto adc6e; F4a97: F7f68: goto c5305; B2fd2: $site = $this->getSite($request); goto E6ae8; Ae0dd: Db5bd: goto a2e78; cb494: goto Db5bd; goto F4a97; E6ae8: if (false === is_null($site)) { goto F7f68; } goto Ec18b; c5305: $response = $this->render("\x46\x72\x6f\x6e\164\x65\x6e\x64\x2f\123\151\164\145\x2f\x63\x72\157\x6e\x2d\152\x6f\x62\163\56\x68\x74\155\x6c\56\164\x77\x69\x67", ["\163\x69\x74\145" => $site, "\x66\x6f\162\x6d\105\162\162\157\x72\163" => $this->formErrors]); goto Ae0dd; adc6e: } public function newCronJob(Request $request) : Response { goto b3ba3; df29f: c06a4: goto D33e3; A3f9b: if (!(true === $form->isSubmitted())) { goto ef00f; } goto aec1c; C529e: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\145\163")); goto c8f36; eaa90: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ae21e; aec1c: $response = $this->handleCronJobForm($request, $form, $site); goto E9aa3; D33e3: $response = $this->render("\x46\162\x6f\156\164\145\156\x64\x2f\123\151\164\x65\57\156\x65\x77\x2d\x63\x72\x6f\x6e\55\152\x6f\x62\x2e\x68\164\155\x6c\x2e\x74\x77\151\x67", ["\x73\151\164\145" => $site, "\146\157\162\x6d" => $form->createView(), "\146\x6f\162\x6d\x45\x72\162\157\x72\163" => $this->formErrors]); goto d667e; c8f36: goto Fd640; goto A62fe; A62fe: e271e: goto eaa90; Ae21e: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto e9323; d667e: Fd640: goto b9c5a; b9c5a: return $response; goto fc684; db0ad: if (false === is_null($site)) { goto e271e; } goto C529e; b77a0: $form->handleRequest($request); goto A3f9b; Ba00d: F7f32: goto D54b1; E9aa3: if (!(false === is_null($response))) { goto F7f32; } goto db7cf; db7cf: return $response; goto Ba00d; b3ba3: $site = $this->getSite($request); goto db0ad; D54b1: ef00f: goto df29f; e9323: $cronJobEntity->setSite($siteEntity); goto C6fda; E5b09: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto c06a4; } goto b77a0; C6fda: $form = $this->createCronJobForm($cronJobEntity); goto E5b09; fc684: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto f9c45; F76cb: $form = $this->createForm("\x41\160\x70\134\106\157\x72\x6d\x5c\123\x69\164\145\103\x72\x6f\x6e\x4a\x6f\142\x54\x79\160\145", $cronJobEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\x65\x5f\143\x72\157\x6e\137\x6a\157\142\137\156\145\167", ["\x64\157\155\x61\x69\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\x68\x6f\x64" => "\120\117\x53\x54", "\141\x74\164\x72" => []]); goto D7e88; D25ab: return $form; goto A63b8; D7e88: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\141\163\163" => "\x62\164\156\x20\142\x74\x6e\x2d\x62\x6c\165\145\40\x62\x74\156\55\x6c\x67"], "\154\x61\x62\145\154" => "\x41\x64\x64\x20\103\x72\157\156\x20\112\157\x62"]); goto D25ab; f9c45: $siteEntity = $cronJobEntity->getSite(); goto F76cb; A63b8: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto C24e8; F3c8b: efdd7: goto Ce836; C24e8: if (true === $form->isValid()) { goto e3ed0; } goto c9dd9; F0adf: goto efdd7; goto Ae3a7; c9dd9: $this->formErrors = $this->getErrorMessages($form); goto F0adf; F94af: try { goto e7937; c835a: return $response; goto a4f1c; E0f07: $this->siteEntityManager->updateEntity($siteEntity); goto Fb4ec; A5cfc: Fd727: goto c835a; D086e: $user = $this->getUser(); goto ad812; Fb4ec: $siteUpdater = $this->getSiteUpdater($site); goto B480a; B039a: $siteEntity = $this->getSiteEntity($domainName); goto Cb9d8; fbd78: $eventData = ["\163\151\x74\145" => $domainName, "\x63\162\157\156\164\141\142\x45\x78\x70\162\145\163\163\x69\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto e63ec; e7937: $session = $request->getSession(); goto B940f; B940f: $domainName = $site->getDomainName(); goto B039a; Cb9d8: if (false === is_null($siteEntity)) { goto Ef8cd; } goto D4c19; B0e12: $session->getFlashBag()->set("\163\165\143\143\145\163\x73", $this->translator->trans("\x43\x72\x6f\156\40\x4a\x6f\142\x20\x68\x61\x73\40\142\145\145\156\x20\141\x64\144\x65\144\x2e")); goto B5093; e63ec: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto B0e12; B5093: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\x65\x5f\x63\x72\157\156\x5f\152\x6f\142\163", ["\144\157\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto A5cfc; Fa7bc: goto Fd727; goto aa8f9; D4c19: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\145\x73")); goto Fa7bc; B0f61: $siteEntity->addCronJob($cronJobEntity); goto B7d6b; ad812: $cronJobEntity = $form->getData(); goto B0f61; B7d6b: $site->setCronJobs($siteEntity->getCronJobs()); goto E0f07; aa8f9: Ef8cd: goto D086e; B480a: $siteUpdater->updateUserCrontab(); goto fbd78; a4f1c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\162\40\x68\141\x73\40\157\143\143\x75\162\162\x65\x64\x2c\x20\145\162\162\157\162\x20\x6d\145\x73\163\141\x67\x65\x3a\40\45\x65\162\162\157\x72\115\x65\x73\163\x61\x67\145\45", ["\x25\x65\x72\162\x6f\x72\x4d\x65\163\x73\x61\147\145\45" => $e->getMessage()])); } goto F3c8b; Ae3a7: e3ed0: goto F94af; Ce836: } public function deleteCronJob(Request $request) : Response { goto B404c; c31ba: fb6e1: goto Ae266; A1e9f: if (!(false === is_null($site))) { goto fb6e1; } goto F0647; fa9bc: return $response; goto D951b; B404c: $site = $this->getSite($request); goto F5d18; F0647: try { goto Bf94c; a06f1: f6a70: goto D7e50; dac15: $user = $this->getUser(); goto dff58; e34bb: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto b556d; dff58: $siteEntity->removeCronJob($cronJobEntity); goto d1ac6; e0b3f: $cronJobSiteEntity = $cronJobEntity->getSite(); goto C5591; Ff0eb: $this->siteEntityManager->updateEntity($siteEntity); goto db15c; Bf94c: $session = $request->getSession(); goto ae57d; Bb0ea: return $response; goto eff69; Df813: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto f6a70; } goto e0b3f; Dcf85: $siteEntity = $this->getSiteEntity($domainName); goto cf764; Ac1f7: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\145\137\143\x72\157\x6e\137\152\x6f\x62\163", ["\x64\157\155\x61\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto Bb0ea; ae57d: $id = (int) $request->get("\x69\144"); goto D4de0; b556d: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\x43\x72\157\x6e\40\112\x6f\x62\x20\x68\x61\163\40\142\145\x65\x6e\40\x64\145\154\x65\164\x65\144\56")); goto Ac1f7; cf764: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto Df813; d1ac6: $site->setCronJobs($siteEntity->getCronJobs()); goto Ff0eb; C5591: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto Fb118; } goto dac15; eff69: Fb118: goto a06f1; D4de0: $domainName = $site->getDomainName(); goto Dcf85; db15c: $siteUpdater = $this->getSiteUpdater($site); goto D47b4; A3600: $evenData = ["\x73\x69\x74\x65" => $domainName, "\x63\x6f\x6d\x6d\x61\156\x64" => $cronJobEntity->getCommand()]; goto e34bb; D47b4: $siteUpdater->updateUserCrontab(); goto A3600; D7e50: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\101\156\x20\x65\162\162\157\162\40\x68\141\x73\x20\157\x63\x63\x75\162\x72\145\x64\x2c\40\x65\x72\162\157\162\40\155\145\163\x73\x61\147\145\72\40\45\x65\x72\x72\x6f\162\115\145\163\x73\x61\x67\145\45", ["\45\145\x72\162\x6f\x72\x4d\145\163\x73\141\147\145\x25" => $e->getMessage()])); } goto c31ba; F5d18: $this->checkCsrfToken($request, "\143\162\x6f\156\152\x6f\x62\55\144\x65\x6c\x65\164\145"); goto A1e9f; Ae266: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\164\145\x73")); goto fa9bc; D951b: } public function editCronJob(Request $request) : Response { goto C8374; C448e: return $response; goto B98e9; D7d80: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto Fdb7b; } goto Fb0aa; C537c: $form = $this->createCronJobEditForm($cronJobEntity); goto Bcc3a; D071d: Fc69e: goto F2265; d9f77: B11cb: goto C448e; dc52f: return $response; goto cf0e2; d2f77: Fdb7b: goto C537c; D0925: $form->handleRequest($request); goto A4b53; Bd3f8: $response = $this->handleCronJobEditForm($request, $form, $site); goto f7537; cf0e2: a0261: goto D071d; dc416: $response = $this->render("\106\162\x6f\x6e\x74\x65\x6e\144\x2f\123\151\164\145\x2f\x65\144\151\x74\55\x63\x72\157\156\x2d\x6a\157\x62\x2e\150\x74\x6d\x6c\x2e\x74\x77\151\147", ["\163\x69\x74\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\146\x6f\162\x6d\x45\162\162\157\162\163" => $this->formErrors]); goto d9f77; A4b53: if (!(true === $form->isSubmitted())) { goto Fc69e; } goto Bd3f8; Ff848: $site = $this->getSite($request); goto A9b24; f7537: if (!(false === is_null($response))) { goto a0261; } goto dc52f; E36d6: goto B11cb; goto d2f77; Fb0aa: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\x74\145\x73")); goto E36d6; C8374: $id = (int) $request->get("\151\144"); goto Ff848; F2265: C76fc: goto dc416; Bcc3a: if (!(true === $request->isMethod("\120\117\123\124"))) { goto C76fc; } goto D0925; A9b24: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto D7d80; B98e9: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto a753b; D85c0: $form = $this->createForm("\x41\x70\x70\134\x46\157\162\155\x5c\123\151\164\x65\103\162\x6f\x6e\112\x6f\x62\105\144\151\x74\124\x79\x70\x65", $cronJobEntity, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\143\154\x70\x5f\163\x69\x74\x65\x5f\x63\162\157\x6e\137\152\x6f\142\137\x65\x64\151\x74", ["\x64\157\x6d\x61\x69\156\116\141\x6d\145" => $siteEntity->getDomainName(), "\151\x64" => $cronJobEntity->getId()]), "\155\x65\164\150\157\144" => "\x50\117\123\124", "\x61\x74\164\162" => []]); goto c2391; c2391: $form->add("\x73\x75\142\155\x69\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\x6c\141\163\x73" => "\x62\164\x6e\x20\x62\x74\x6e\x2d\x62\154\x75\x65\40\142\164\156\55\154\x67"], "\x6c\x61\x62\x65\x6c" => "\x53\141\166\145"]); goto E796f; E796f: return $form; goto B4914; a753b: $siteEntity = $cronJobEntity->getSite(); goto D85c0; B4914: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto be049; be049: if (true === $form->isValid()) { goto D9c99; } goto A75d5; A0ae0: fd8d0: goto E2f29; D46a3: goto fd8d0; goto c48fe; A75d5: $this->formErrors = $this->getErrorMessages($form); goto D46a3; D56c3: try { goto d431c; cef3e: $siteEntity = $this->getSiteEntity($domainName); goto D680b; fb8cb: $cronJobEntity = $form->getData(); goto ef3ac; Cf388: $site->setCronJobs($siteEntity->getCronJobs()); goto Af20c; b0579: return $response; goto e34ba; ef6a6: $siteUpdater = $this->getSiteUpdater($site); goto be98f; d03e9: $domainName = $site->getDomainName(); goto cef3e; d431c: $session = $request->getSession(); goto d03e9; e4472: goto b160e; goto Ce52c; Ce52c: ab9da: goto c4e7e; bb9b6: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\163", $this->translator->trans("\x43\162\x6f\156\40\112\157\142\40\x68\x61\x73\x20\x62\145\145\156\40\163\141\x76\145\x64\56")); goto Dc69c; D0eaf: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\x74\x65\x73")); goto e4472; Dcd37: b160e: goto b0579; c4e7e: $user = $this->getUser(); goto fb8cb; Af20c: $this->siteEntityManager->updateEntity($siteEntity); goto ef6a6; ef3ac: $siteEntity->addCronJob($cronJobEntity); goto Cf388; Dc69c: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\x65\x5f\x63\x72\x6f\156\137\x6a\157\x62\163", ["\x64\x6f\155\141\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Dcd37; be98f: $siteUpdater->updateUserCrontab(); goto edbe9; edbe9: $eventData = ["\163\151\x74\x65" => $domainName, "\x63\162\x6f\156\x74\x61\142\105\x78\x70\x72\x65\163\x73\151\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto a35fd; D680b: if (false === is_null($siteEntity)) { goto ab9da; } goto D0eaf; a35fd: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto bb9b6; e34ba: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\x41\x6e\40\x65\x72\162\x6f\162\x20\150\141\163\40\157\143\143\x75\x72\x72\145\x64\x2c\x20\145\162\162\157\162\40\155\145\163\163\141\x67\x65\x3a\x20\45\145\162\x72\x6f\x72\115\145\163\163\141\147\x65\45", ["\x25\x65\162\162\157\x72\115\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto A0ae0; c48fe: D9c99: goto D56c3; E2f29: } public function users(Request $request) : Response { goto C3c4d; Cb744: if (false === is_null($site)) { goto Be725; } goto bdb99; a6781: return $response; goto a4231; f151f: Be725: goto bdaab; C3c4d: $site = $this->getSite($request); goto Cb744; bdb99: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\x65\163")); goto B384d; bdaab: $response = $this->render("\x46\x72\x6f\x6e\x74\145\156\x64\57\x53\151\x74\x65\57\x75\x73\x65\x72\x73\x2e\x68\164\x6d\x6c\x2e\x74\167\151\x67", ["\x73\151\x74\x65" => $site, "\x66\157\162\155\105\x72\x72\157\x72\x73" => $this->formErrors]); goto Dc424; B384d: goto Ab6e7; goto f151f; Dc424: Ab6e7: goto a6781; a4231: } public function newFtpUser(Request $request) : Response { goto aca16; fec54: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto debed; D23f2: if (false === is_null($site)) { goto eb192; } goto Ccac8; D3053: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto Edb37; } goto E9a22; fd8ba: D044e: goto Da571; A03ac: $response = $this->render("\106\162\157\156\164\145\156\144\57\x53\151\164\x65\57\x6e\x65\x77\55\146\x74\160\x2d\x75\163\x65\x72\x2e\150\164\x6d\x6c\56\x74\x77\151\x67", ["\163\x69\164\x65" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\146\157\162\155\x45\x72\162\157\162\163" => $this->formErrors]); goto fd8ba; f0af5: $response = $this->handleFtpUserForm($request, $form, $site); goto B7990; aca16: $site = $this->getSite($request); goto D23f2; Fc362: $ftpUserEntity->setSite($siteEntity); goto E512f; debed: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto Fc362; C91be: Effaf: goto c3d77; B7990: if (!(false === is_null($response))) { goto Effaf; } goto a6044; E9a22: $form->handleRequest($request); goto f481e; Aa235: goto D044e; goto c0c14; C8d8c: Edb37: goto A03ac; Da571: return $response; goto E8e17; a6044: return $response; goto C91be; c3d77: d9a8c: goto C8d8c; c0c14: eb192: goto fec54; E512f: $form = $this->createFtpUserForm($ftpUserEntity); goto D3053; f481e: if (!(true === $form->isSubmitted())) { goto d9a8c; } goto f0af5; Ccac8: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\x65\163")); goto Aa235; E8e17: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto ba405; D81d6: $form = $this->createForm("\101\x70\160\134\106\x6f\162\x6d\x5c\x53\x69\164\145\106\164\160\x55\163\145\162\124\171\160\145", $ftpUserEntity, ["\141\143\164\151\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\x73\151\164\x65\x5f\146\x74\x70\x5f\x75\163\x65\x72\137\156\145\x77", ["\144\157\x6d\141\x69\156\116\141\155\145" => $siteEntity->getDomainName()]), "\x6d\145\164\x68\x6f\x64" => "\x50\117\x53\124", "\141\164\x74\162" => []]); goto a6c49; a6c49: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\154\x61\x73\x73" => "\x62\164\156\40\x62\x74\x6e\x2d\142\x6c\165\145\40\x62\x74\156\x2d\x6c\x67"], "\x6c\x61\142\x65\x6c" => "\101\144\144\40\125\x73\x65\162"]); goto d1189; d1189: return $form; goto D4259; ba405: $siteEntity = $ftpUserEntity->getSite(); goto D81d6; D4259: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto f76f7; Ca664: c80ba: goto B7a9e; Ed503: try { goto f78da; f78da: $session = $request->getSession(); goto A5be2; aa437: goto cfab1; goto Bf599; b3cfc: return $response; goto C21ae; A5be2: $domainName = $site->getDomainName(); goto ef907; D9138: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto db987; ef907: $siteEntity = $this->getSiteEntity($domainName); goto Df290; d208e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\145\137\165\163\x65\162\163", ["\144\x6f\155\141\151\156\116\x61\155\x65" => $site->getDomainName()])); goto Afd28; F01f0: $user = $this->getUser(); goto d2824; b45a5: $eventData = ["\x73\151\164\145" => $domainName, "\165\x73\145\x72\x4e\141\x6d\145" => $ftpUserName, "\150\x6f\x6d\145\104\x69\x72\x65\x63\x74\x6f\162\x79" => $ftpUserEntity->getHomeDirectory()]; goto D9138; d2824: $ftpUserEntity = $form->getData(); goto b8e2a; b8e2a: $ftpUserName = $ftpUserEntity->getUserName(); goto B35ee; B35ee: $ftpUserPassword = $form->get("\160\141\x73\x73\x77\x6f\x72\x64")->getData(); goto fbedf; Df290: if (false === is_null($siteEntity)) { goto A95b2; } goto A6a9d; C5311: $this->siteEntityManager->updateEntity($siteEntity); goto dad24; dad24: $siteUpdater = $this->getSiteUpdater($site); goto f6268; db987: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\x55\163\145\162\x20\x68\141\163\x20\x62\145\145\x6e\x20\x61\144\144\145\x64\56")); goto d208e; Bf599: A95b2: goto F01f0; A6a9d: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\x65\x73")); goto aa437; B165e: $siteEntity->addFtpUser($ftpUserEntity); goto C5311; fbedf: $ftpUserEntity->setPassword($ftpUserPassword); goto B165e; Afd28: cfab1: goto b3cfc; f6268: $siteUpdater->createFtpUser($ftpUserEntity); goto b45a5; C21ae: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\x6f\x72\x20\x68\141\x73\40\x6f\x63\143\x75\162\162\x65\x64\54\40\x65\162\x72\x6f\x72\x20\155\145\163\x73\x61\x67\x65\x3a\x20\45\x65\162\162\157\162\115\145\x73\x73\x61\x67\x65\45", ["\45\x65\162\162\x6f\x72\115\145\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto Ca664; f76f7: if (true === $form->isValid()) { goto C87a8; } goto B49fb; B49fb: $this->formErrors = $this->getErrorMessages($form); goto B14fe; A2608: C87a8: goto Ed503; B14fe: goto c80ba; goto A2608; B7a9e: } public function editFtpUser(Request $request) : Response { goto C1ac6; Dcdc6: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto c8ba1; } goto a8815; Ead92: return $response; goto F98e3; Fe6b8: $response = $this->render("\106\x72\x6f\x6e\x74\145\156\x64\x2f\x53\x69\x74\145\57\x65\144\151\164\x2d\x66\x74\160\55\x75\163\145\x72\x2e\150\x74\x6d\x6c\x2e\x74\167\151\x67", ["\x73\x69\x74\145" => $site, "\146\x6f\162\155" => $form->createView(), "\146\x6f\x72\x6d\x45\x72\162\x6f\x72\x73" => $this->formErrors]); goto D2f38; F98e3: a6471: goto Ba43c; d225b: return $response; goto A4f34; dc7ca: $site = $this->getSite($request); goto E833a; Ba43c: Ff5c2: goto f50a1; a8815: $form->handleRequest($request); goto Daac2; C2ff1: if (!(false === is_null($response))) { goto a6471; } goto Ead92; C1ac6: $userName = $request->get("\165\163\x65\162\x4e\x61\x6d\x65"); goto dc7ca; Bfcf8: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto E5426; } goto a28ce; E833a: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto Bfcf8; Daac2: if (!(true === $form->isSubmitted())) { goto Ff5c2; } goto A5f47; bf1a5: $form = $this->createFtpUserEditForm($ftpUserEntity); goto Dcdc6; bd038: E5426: goto bf1a5; D2f38: C9d86: goto d225b; f50a1: c8ba1: goto Fe6b8; f0691: goto C9d86; goto bd038; a28ce: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\x73")); goto f0691; A5f47: $response = $this->handleFtpUserEditForm($request, $form, $site); goto C2ff1; A4f34: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto A4ff5; Cda27: $form = $this->createForm("\101\x70\x70\134\106\x6f\x72\155\134\123\x69\x74\145\106\164\160\x55\x73\145\x72\105\x64\151\x74\124\x79\160\x65", $ftpUserEntity, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\x5f\146\x74\160\x5f\165\x73\145\x72\137\145\144\151\164", ["\144\157\x6d\141\151\156\116\x61\x6d\145" => $siteEntity->getDomainName(), "\x75\x73\145\162\x4e\141\x6d\x65" => $ftpUserEntity->getUserName()]), "\155\x65\x74\x68\x6f\x64" => "\120\117\x53\124", "\141\164\164\x72" => []]); goto D587d; A4ff5: $siteEntity = $ftpUserEntity->getSite(); goto Cda27; D587d: $form->add("\163\x75\142\x6d\151\x74", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\141\x73\163" => "\x62\164\156\x20\142\164\x6e\55\142\154\165\x65\x20\142\x74\156\x2d\154\x67"], "\x6c\141\x62\145\154" => "\123\x61\x76\145"]); goto cba9b; cba9b: return $form; goto c9648; c9648: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto b63db; c96e8: B2ebd: goto E5a3d; d3aa8: $this->formErrors = $this->getErrorMessages($form); goto cb769; b63db: if (true === $form->isValid()) { goto B2ebd; } goto d3aa8; E5a3d: try { goto b96e9; B92ac: if (false === is_null($siteEntity)) { goto F52f1; } goto de277; aa201: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto e3421; d246f: $domainName = $site->getDomainName(); goto bb172; bb172: $siteEntity = $this->getSiteEntity($domainName); goto B92ac; baa4e: $siteUpdater = $this->getSiteUpdater($site); goto B899a; B899a: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto Ca616; f2df8: F52f1: goto e9e55; d46a5: goto A42cb; goto f2df8; C8682: $ftpUserName = $ftpUserEntity->getUserName(); goto acef3; B3419: $eventData = ["\x73\x69\x74\145" => $domainName, "\x75\163\x65\162\x4e\141\155\145" => $ftpUserName, "\150\x6f\155\145\104\151\x72\x65\143\x74\157\162\x79" => $ftpUserHomeDirectory]; goto bf64a; bf64a: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto B4e2e; b96e9: $session = $request->getSession(); goto d246f; e9e55: $user = $this->getUser(); goto b45c2; B4e2e: $session->getFlashBag()->set("\163\165\143\x63\x65\163\x73", $this->translator->trans("\x55\163\x65\x72\x20\x68\x61\163\x20\142\145\145\156\x20\x73\141\166\145\144\x2e")); goto D28cc; e3421: $this->siteEntityManager->updateEntity($siteEntity); goto baa4e; A0d8b: return $response; goto ffaa3; c163e: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto a5519; b45c2: $ftpUserEntity = $form->getData(); goto C8682; a5519: d1e34: goto B3419; de277: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\x73")); goto d46a5; acef3: $ftpUserPassword = $form->get("\x70\141\x73\163\167\157\x72\144")->getData(); goto aa201; Ca616: if (!(false === empty($ftpUserPassword))) { goto d1e34; } goto c163e; fa08a: A42cb: goto A0d8b; D28cc: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\x65\x5f\165\163\x65\162\163", ["\x64\x6f\x6d\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto fa08a; ffaa3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\x72\x20\150\x61\163\40\x6f\x63\143\165\x72\162\145\x64\x2c\x20\x65\x72\162\157\x72\x20\155\145\x73\x73\141\147\145\x3a\x20\x25\x65\162\x72\x6f\162\115\x65\163\163\141\x67\145\45", ["\45\x65\162\x72\x6f\x72\115\145\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto B7f62; B7f62: a24c8: goto C8e38; cb769: goto a24c8; goto c96e8; C8e38: } public function deleteFtpUser(Request $request) : Response { goto fdf5d; aefb5: return $response; goto db940; fdf5d: $site = $this->getSite($request); goto F0c8a; a0816: try { goto Ff72e; fc8c5: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto a6c9c; e1184: $siteUpdater->deleteUser($userName, false); goto A6dee; D7da9: $user = $this->getUser(); goto ce0d2; B6d0c: c909e: goto A43b1; Ff72e: $session = $request->getSession(); goto Df5f4; a703d: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto Ed620; af611: $session->getFlashBag()->set("\163\165\143\143\x65\163\x73", $this->translator->trans("\x55\x73\x65\162\x20\150\x61\x73\40\142\x65\145\156\x20\x64\145\154\x65\164\x65\x64\x2e")); goto Be774; A43b1: Fba41: goto Faf5b; Ed620: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto Fba41; } goto fc8c5; f649c: return $response; goto B6d0c; fc091: $domainName = $site->getDomainName(); goto e38f3; A6dee: $evenData = ["\x73\x69\164\x65" => $domainName, "\x75\x73\145\x72\x4e\141\155\x65" => $userName]; goto Bee4c; Be774: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\x5f\x75\163\x65\x72\163", ["\144\157\x6d\141\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto f649c; a8ea0: $siteEntity->removeFtpUser($ftpUserEntity); goto A1030; E63c1: $siteUpdater = $this->getSiteUpdater($site); goto e1184; A1030: $this->siteEntityManager->updateEntity($siteEntity); goto E63c1; Df5f4: $userName = $request->get("\165\163\145\162\116\x61\x6d\145"); goto fc091; Bee4c: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto af611; a6c9c: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto c909e; } goto D7da9; ce0d2: $userName = $ftpUserEntity->getUserName(); goto a8ea0; e38f3: $siteEntity = $this->getSiteEntity($domainName); goto a703d; Faf5b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\162", $this->translator->trans("\x41\156\x20\145\x72\x72\157\x72\x20\x68\x61\163\40\x6f\x63\x63\165\162\x72\145\144\x2c\40\x65\x72\x72\x6f\162\40\155\x65\x73\163\x61\x67\x65\x3a\x20\45\x65\x72\x72\x6f\x72\115\145\x73\163\141\147\145\x25", ["\45\145\162\x72\157\162\x4d\x65\163\163\141\x67\x65\x25" => $e->getMessage()])); } goto c577b; c577b: F626e: goto f6a51; f6a51: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\145\x73")); goto aefb5; Da743: if (!(false === is_null($site))) { goto F626e; } goto a0816; F0c8a: $this->checkCsrfToken($request, "\x75\163\x65\162\55\144\x65\x6c\x65\164\145"); goto Da743; db940: } public function newSshUser(Request $request) : Response { goto a12c1; eff71: B2d0c: goto a80bf; Da413: if (false === is_null($site)) { goto B2d0c; } goto c9c3b; dcac3: return $response; goto B06e1; Ed0cd: c7b4c: goto E5b65; Dd71b: if (!(false === is_null($response))) { goto da607; } goto Eeac5; E5b65: bd04c: goto ee8c3; a80bf: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A9098; a12c1: $site = $this->getSite($request); goto Da413; ffa47: $response = $this->handleSshUserForm($request, $form, $site); goto Dd71b; ee8c3: $response = $this->render("\106\x72\157\x6e\x74\145\x6e\x64\x2f\x53\151\x74\x65\57\156\x65\x77\x2d\x73\x73\x68\55\165\x73\x65\162\x2e\150\164\155\x6c\56\164\167\x69\x67", ["\x73\151\x74\145" => $site, "\146\x6f\162\x6d" => $form->createView(), "\x66\x6f\162\x6d\105\x72\162\x6f\x72\163" => $this->formErrors]); goto C92c9; C92c9: ca891: goto dcac3; Eeac5: return $response; goto ec1dd; dc8c5: goto ca891; goto eff71; A2174: $form = $this->createSshUserForm($sshUserEntity); goto e7bcf; B4f6e: $sshUserEntity->setSite($siteEntity); goto A2174; A9098: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto B4f6e; c9c3b: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\x65\163")); goto dc8c5; Ebdae: $form->handleRequest($request); goto D2b21; D2b21: if (!(true === $form->isSubmitted())) { goto c7b4c; } goto ffa47; ec1dd: da607: goto Ed0cd; e7bcf: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto bd04c; } goto Ebdae; B06e1: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto F3510; C980c: $form = $this->createForm("\x41\x70\160\x5c\106\x6f\x72\155\x5c\x53\151\x74\145\x53\163\x68\x55\x73\145\162\124\x79\x70\x65", $sshUserEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\143\x6c\160\137\163\x69\164\145\x5f\163\163\150\137\x75\x73\145\x72\137\156\145\167", ["\144\x6f\155\141\x69\156\116\141\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\144" => "\x50\117\123\x54", "\x61\x74\x74\162" => []]); goto C6dac; F3510: $siteEntity = $sshUserEntity->getSite(); goto C980c; c7ed0: return $form; goto B921c; C6dac: $form->add("\163\x75\x62\x6d\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\x6c\141\x73\x73" => "\142\164\x6e\x20\142\x74\156\x2d\142\154\x75\145\x20\x62\x74\156\x2d\x6c\x67"], "\154\x61\142\145\x6c" => "\101\144\x64\x20\125\163\x65\162"]); goto c7ed0; B921c: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto F1d66; Fcc7d: try { goto a7a5f; D61dd: E10a8: goto E428c; F63d0: $eventData = ["\x73\151\164\145" => $domainName, "\x75\163\x65\x72\116\141\x6d\145" => $sshUserName, "\163\x73\150\113\x65\x79\x73" => $sshKeys]; goto f6a6b; afe08: $session->getFlashBag()->set("\163\x75\143\x63\145\163\x73", $this->translator->trans("\125\x73\145\x72\40\x68\x61\x73\40\142\145\x65\x6e\x20\141\144\144\x65\x64\56")); goto cf42a; a7a5f: $session = $request->getSession(); goto de372; ec121: d13d6: goto F63d0; afe98: $sshUserEntity->setPassword($sshUserPassword); goto e3dca; A7a6b: $siteEntity = $this->getSiteEntity($domainName); goto D4126; E318b: a36aa: goto C703e; ed86a: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto ec121; C064e: if (!(false === empty($sshKeys))) { goto d13d6; } goto ed86a; C700f: $siteEntity->addSshUser($sshUserEntity); goto f20d8; C703e: $user = $this->getUser(); goto E38e7; f20d8: $this->siteEntityManager->updateEntity($siteEntity); goto a6f93; D4126: if (false === is_null($siteEntity)) { goto a36aa; } goto F9057; a6f93: $siteUpdater = $this->getSiteUpdater($site); goto E169a; de04b: $sshUserPassword = $form->get("\160\x61\x73\x73\x77\x6f\162\x64")->getData(); goto afe98; D159f: $sshUserName = $sshUserEntity->getUserName(); goto de04b; f6a6b: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto afe08; cf42a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\137\165\x73\145\162\163", ["\x64\x6f\155\141\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto D61dd; de372: $domainName = $site->getDomainName(); goto A7a6b; D5ab7: goto E10a8; goto E318b; F9057: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\x74\145\163")); goto D5ab7; E169a: $siteUpdater->createSshUser($sshUserEntity); goto C064e; E428c: return $response; goto d498d; E38e7: $sshUserEntity = $form->getData(); goto D159f; e3dca: $sshKeys = $sshUserEntity->getSshKeys(); goto C700f; d498d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\x41\156\40\145\162\x72\x6f\x72\x20\x68\x61\163\x20\x6f\143\x63\165\x72\x72\x65\144\54\x20\x65\x72\162\x6f\162\40\155\x65\163\x73\141\x67\145\72\40\x25\145\162\162\x6f\162\x4d\x65\163\x73\141\147\x65\45", ["\x25\x65\162\x72\x6f\162\115\x65\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } goto d1730; d2faa: goto aa1cb; goto C09c7; C09c7: e8956: goto Fcc7d; c52a8: $this->formErrors = $this->getErrorMessages($form); goto d2faa; F1d66: if (true === $form->isValid()) { goto e8956; } goto c52a8; d1730: aa1cb: goto De5fc; De5fc: } public function editSshUser(Request $request) : Response { goto Fcb8f; Ae181: $form = $this->createSshUserEditForm($sshUserEntity); goto d79ab; be7d3: return $response; goto a2489; d79ab: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto eb1b9; } goto C7101; c6f9c: if (!(true === $form->isSubmitted())) { goto A6aa3; } goto C1502; A04b0: A6aa3: goto E3022; C9591: B22f9: goto Ae181; Fcb8f: $userName = $request->get("\165\x73\145\162\116\141\x6d\145"); goto F9897; B2bf0: B8823: goto be7d3; d1fab: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto B22f9; } goto Becd3; E1b59: goto B8823; goto C9591; Becd3: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\145\x73")); goto E1b59; bc143: a4e18: goto A04b0; E3022: eb1b9: goto D91e1; F9897: $site = $this->getSite($request); goto fad5a; C1502: $response = $this->handleSshUserEditForm($request, $form, $site); goto b05eb; b05eb: if (!(false === is_null($response))) { goto a4e18; } goto F29e8; fad5a: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto d1fab; F29e8: return $response; goto bc143; C7101: $form->handleRequest($request); goto c6f9c; D91e1: $response = $this->render("\106\162\x6f\156\164\145\156\144\x2f\x53\151\164\145\x2f\145\x64\x69\164\55\163\x73\150\x2d\165\x73\x65\162\56\x68\x74\x6d\154\x2e\164\x77\x69\x67", ["\163\x69\x74\x65" => $site, "\x66\157\162\x6d" => $form->createView(), "\146\x6f\162\x6d\x45\162\x72\x6f\x72\163" => $this->formErrors]); goto B2bf0; a2489: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto Bc9ce; c6b54: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\x6c\141\163\163" => "\x62\x74\156\x20\x62\x74\x6e\x2d\x62\x6c\165\x65\x20\x62\x74\x6e\55\x6c\147"], "\154\141\x62\145\154" => "\123\141\x76\145"]); goto c8f28; a7b00: $form = $this->createForm("\101\160\x70\134\x46\x6f\x72\x6d\134\x53\x69\164\x65\x53\x73\150\x55\x73\x65\x72\105\x64\x69\164\124\171\160\145", $sshUserEntity, ["\x61\x63\164\x69\x6f\156" => $this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\x5f\x73\x73\x68\137\x75\x73\x65\x72\137\x65\x64\x69\164", ["\144\x6f\x6d\x61\x69\x6e\116\141\155\x65" => $siteEntity->getDomainName(), "\x75\x73\145\x72\x4e\141\x6d\145" => $sshUserEntity->getUserName()]), "\x6d\145\x74\x68\x6f\x64" => "\x50\x4f\123\124", "\x61\x74\164\162" => []]); goto c6b54; c8f28: return $form; goto D29a2; Bc9ce: $siteEntity = $sshUserEntity->getSite(); goto a7b00; D29a2: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto Dc619; Ff89e: $this->formErrors = $this->getErrorMessages($form); goto f7bfe; A49c4: try { goto d2180; E1592: $session->getFlashBag()->set("\163\x75\143\143\145\x73\163", $this->translator->trans("\x55\163\145\162\40\150\x61\x73\x20\x62\145\145\156\40\163\x61\166\x65\x64\56")); goto C6f43; Aeee7: goto A9a60; goto A6691; Eabad: return $response; goto E3338; febe6: $eventData = ["\x73\151\164\145" => $domainName, "\x75\x73\x65\162\116\141\155\x65" => $sshUserName, "\x73\163\150\113\145\x79\163" => $sshKeys]; goto E412f; bc78e: $this->siteEntityManager->updateEntity($siteEntity); goto C82b6; be1d6: A9a60: goto Eabad; eb0d5: $sshUserEntity = $form->getData(); goto Ac0e3; e8b2f: if (false === is_null($siteEntity)) { goto f9bba; } goto c0c04; b727d: $sshUserPassword = $form->get("\160\x61\x73\x73\167\157\x72\x64")->getData(); goto bb242; D6d82: if (!(false === empty($sshUserPassword))) { goto D334a; } goto fa54e; Faadf: $siteEntity = $this->getSiteEntity($domainName); goto e8b2f; bb242: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto bc78e; e9231: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto febe6; C82b6: $siteUpdater = $this->getSiteUpdater($site); goto D6d82; A6691: f9bba: goto Eb1cb; B743a: $domainName = $site->getDomainName(); goto Faadf; C6f43: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\145\x5f\165\163\x65\x72\x73", ["\x64\157\x6d\141\151\156\116\x61\155\145" => $site->getDomainName()])); goto be1d6; Ac0e3: $sshUserName = $sshUserEntity->getUserName(); goto b727d; Cf4b9: D334a: goto e9231; d2180: $session = $request->getSession(); goto B743a; E412f: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto E1592; c0c04: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\163")); goto Aeee7; Eb1cb: $user = $this->getUser(); goto eb0d5; fa54e: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto Cf4b9; E3338: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\101\156\40\x65\162\162\x6f\162\40\150\141\x73\x20\157\x63\143\x75\162\162\145\x64\54\40\145\162\x72\x6f\x72\40\155\x65\163\x73\x61\147\x65\x3a\x20\45\x65\x72\162\x6f\x72\115\145\x73\163\141\x67\145\45", ["\45\145\162\x72\x6f\x72\115\x65\163\163\x61\x67\145\45" => $e->getMessage()])); } goto b31ae; D109c: Befda: goto A49c4; Dc619: if (true === $form->isValid()) { goto Befda; } goto Ff89e; f7bfe: goto Ef76f; goto D109c; b31ae: Ef76f: goto c5895; c5895: } public function deleteSshUser(Request $request) : Response { goto F5b03; f78b4: try { goto d3a6b; D99ec: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto ca03b; } goto a2a11; cb915: $userName = $sshUserEntity->getUserName(); goto E3502; Bc3b1: c9cf5: goto Fa617; a2a11: $user = $this->getUser(); goto cb915; c42f5: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto a4858; d6788: $siteEntity = $this->getSiteEntity($domainName); goto cb5c8; B0db2: $domainName = $site->getDomainName(); goto d6788; Cd188: $userName = $request->get("\165\x73\x65\x72\116\141\x6d\x65"); goto B0db2; Ca3f4: $evenData = ["\163\151\164\145" => $domainName, "\165\x73\x65\x72\x4e\x61\155\x65" => $userName]; goto c42f5; A9d58: ca03b: goto Bc3b1; cb5c8: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto ae805; Cec5d: $sshUserSiteEntity = $sshUserEntity->getSite(); goto D99ec; e901d: return $response; goto A9d58; ae805: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto c9cf5; } goto Cec5d; fb1f2: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\x5f\165\163\145\162\163", ["\144\x6f\155\x61\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto e901d; c2341: $siteUpdater = $this->getSiteUpdater($site); goto E5a0b; E5a0b: $siteUpdater->deleteUser($userName, true); goto Ca3f4; d3a6b: $session = $request->getSession(); goto Cd188; F0782: $this->siteEntityManager->updateEntity($siteEntity); goto c2341; E3502: $siteEntity->removeSshUser($sshUserEntity); goto F0782; a4858: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\163", $this->translator->trans("\125\x73\x65\x72\x20\x68\x61\163\x20\x62\x65\x65\x6e\40\144\145\x6c\145\x74\145\144\x2e")); goto fb1f2; Fa617: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\x41\x6e\x20\145\162\x72\157\162\40\150\x61\x73\40\x6f\143\143\x75\x72\162\145\144\54\x20\x65\162\x72\x6f\162\40\x6d\145\163\x73\x61\x67\145\x3a\40\45\x65\162\x72\157\x72\115\x65\x73\163\141\x67\145\45", ["\x25\x65\x72\162\x6f\162\x4d\145\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto C80e8; dab87: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\145\163")); goto B23f2; Bf97a: $this->checkCsrfToken($request, "\x75\163\x65\162\55\144\145\x6c\145\164\145"); goto A2b32; F5b03: $site = $this->getSite($request); goto Bf97a; B23f2: return $response; goto B7281; C80e8: F3978: goto dab87; A2b32: if (!(false === is_null($site))) { goto F3978; } goto f78b4; B7281: } public function security(Request $request) : Response { goto f920b; fcaf0: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto e3b90; D05be: if (!(true === is_null($basicAuthEntity))) { goto Ac35a; } goto F4140; f1804: b2bfc: goto a49ba; c8ef5: $blockedBots = $site->getBlockedBots(); goto f6903; f6903: $blockedIps = $site->getBlockedIps(); goto baf1b; a7488: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto b94de; d5c31: Aa167: goto eb50e; b7f17: return $response; goto f1804; b2479: if (!(true === $basicAuthForm->isSubmitted())) { goto Cbad6; } goto F0519; F0519: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto fb1bd; b8463: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\163")); goto A7f04; baf1b: $basicAuthEntity = $site->getBasicAuth(); goto D05be; Edb86: return $response; goto C6e64; f920b: $site = $this->getSite($request); goto Ef28d; f9e3b: $cloudflareForm->handleRequest($request); goto b2479; C29f0: if (!(true === $cloudflareForm->isSubmitted())) { goto Dd63e; } goto C0c4d; A19fd: Ac35a: goto ea51c; F341d: $basicAuthForm->handleRequest($request); goto f9e3b; C0a24: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto a7488; Ef28d: if (false === is_null($site)) { goto c8b71; } goto b8463; E80f7: c8b71: goto fcaf0; C0c4d: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto C9c1a; C9c1a: if (!(false === is_null($response))) { goto fd3c2; } goto Edb86; d97ae: $response = $this->render("\x46\162\x6f\156\164\145\156\144\x2f\123\x69\x74\x65\x2f\x73\x65\143\165\x72\151\164\x79\x2e\150\x74\155\154\x2e\x74\167\151\x67", ["\x73\151\x74\x65" => $site, "\x62\x6c\157\143\x6b\x65\x64\111\x70\x73" => $blockedIps, "\142\154\157\143\x6b\x65\144\102\157\x74\163" => $blockedBots, "\142\141\x73\x69\143\101\165\164\150\x46\157\x72\x6d" => $basicAuthForm->createView(), "\x63\154\x6f\x75\x64\146\154\x61\162\x65\x46\x6f\162\x6d" => $cloudflareForm->createView(), "\146\x6f\x72\x6d\105\x72\x72\x6f\162\x73" => $this->formErrors]); goto d5c31; fb1bd: if (!(false === is_null($response))) { goto b2bfc; } goto b7f17; D4f2e: Dd63e: goto a2ac4; b94de: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto B8b11; } goto F341d; a2ac4: B8b11: goto d97ae; C6e64: fd3c2: goto D4f2e; a49ba: Cbad6: goto C29f0; F4140: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto A19fd; e3b90: $cloudflareData = ["\x61\x6c\x6c\157\x77\124\162\x61\x66\x66\x69\143\106\162\157\155\x43\154\157\165\144\x66\154\x61\162\x65\117\156\x6c\x79" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto c8ef5; ea51c: $basicAuthEntity->setSite($siteEntity); goto C0a24; eb50e: return $response; goto D46bd; A7f04: goto Aa167; goto E80f7; D46bd: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto abee9; E6c5a: return $form; goto F775e; b7eef: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\x6c\141\163\163" => "\142\x74\156\x20\142\164\x6e\55\142\x6c\165\145\x20\x62\x74\x6e\x2d\154\x67"], "\154\x61\142\x65\154" => "\x53\x61\x76\145"]); goto E6c5a; abee9: $form = $this->createForm("\101\x70\160\134\x46\x6f\162\x6d\x5c\x53\x69\x74\145\x43\154\x6f\165\x64\x66\x6c\141\162\x65\x54\x79\160\145", $data, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\145\x5f\x73\x65\x63\x75\x72\151\x74\x79", ["\x64\157\155\x61\151\x6e\x4e\141\155\145" => $siteEntity->getDomainName()]), "\155\x65\x74\150\x6f\144" => "\120\x4f\123\124", "\x61\164\164\162" => []]); goto b7eef; F775e: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto E0327; E0327: $siteEntity = $basicAuthEntity->getSite(); goto b8654; E3904: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\141\x74\x74\162" => ["\143\x6c\x61\x73\163" => "\x62\164\x6e\40\142\164\156\55\x62\x6c\165\x65\x20\142\164\156\x2d\154\x67"], "\154\141\x62\x65\x6c" => "\123\141\x76\x65"]); goto a279a; a279a: return $form; goto d954e; b8654: $form = $this->createForm("\x41\160\x70\x5c\x46\157\162\x6d\x5c\x53\151\x74\145\x42\x61\x73\x69\143\101\165\x74\150\124\x79\x70\x65", $basicAuthEntity, ["\x61\x63\164\x69\157\156" => $this->generateUrl("\143\154\160\x5f\163\x69\x74\145\137\x73\x65\143\x75\x72\x69\x74\171", ["\144\157\x6d\141\x69\x6e\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\x6d\145\164\150\x6f\x64" => "\x50\117\123\x54", "\x61\164\x74\162" => []]); goto E3904; d954e: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto bd4c4; bd4c4: if (true === $form->isValid()) { goto D3c8b; } goto aab9c; aab9c: $this->formErrors = $this->getErrorMessages($form); goto e1afe; e1afe: goto A61ea; goto fc4f9; fc4f9: D3c8b: goto d02cc; d02cc: try { goto Ff4aa; f0737: $siteEntity->setBasicAuth($basicAuthEntity); goto ac9ff; Ad92a: $siteEntity = $this->getSiteEntity($domainName); goto A6bdc; a1563: goto D6b6f; goto Dbebf; C04ec: $domainName = $site->getDomainName(); goto Ad92a; C0777: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\x65\x73")); goto a1563; b1fd7: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto f105c; D3dee: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto ab285; D53a8: $user = $this->getUser(); goto fb32c; Dbebf: E8d57: goto D53a8; Ff4aa: $session = $request->getSession(); goto C04ec; d5fe0: $this->siteEntityManager->updateEntity($siteEntity); goto Ed573; f0627: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\x74\145\137\x73\x65\x63\x75\162\x69\164\x79", ["\144\157\x6d\141\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto cfdc5; A6bdc: if (false === is_null($siteEntity)) { goto E8d57; } goto C0777; f105c: $session->getFlashBag()->set("\163\x75\x63\143\145\163\163", $this->translator->trans("\102\141\163\x69\x63\x20\101\165\164\x68\x65\x6e\164\151\143\141\x74\x69\x6f\156\x20\x73\x65\164\x74\x69\156\147\x73\x20\150\x61\166\x65\x20\142\x65\145\x6e\40\163\x61\x76\x65\x64\56")); goto f0627; ab285: $siteUpdater->updateNginxVhost(); goto E513d; cfdc5: D6b6f: goto C6a8c; ac9ff: $site->setBasicAuth($basicAuthEntity); goto d5fe0; fb32c: $basicAuthEntity = $form->getData(); goto f0737; Ed573: $siteUpdater = $this->getSiteUpdater($site); goto D3dee; C6a8c: return $response; goto A00d3; B5484: $eventData = ["\163\x69\x74\x65" => $domainName, "\x61\143\164\x69\x76\x65" => true === $basicAuthEntity->getIsActive() ? "\61" : "\x30", "\x75\163\x65\x72\116\x61\155\x65" => $basicAuthEntity->getUserName(), "\x77\150\x69\x74\x65\154\x69\163\x74\x65\144\x49\x70\x73" => $basicAuthEntity->getWhitelistedIps()]; goto b1fd7; E513d: $siteUpdater->reloadNginxService(); goto B5484; A00d3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\x41\156\40\x65\x72\162\157\162\x20\150\141\163\x20\157\x63\143\x75\x72\x72\x65\144\54\40\145\162\x72\x6f\162\40\x6d\145\163\163\141\x67\145\x3a\x20\x25\x65\162\162\157\162\x4d\x65\x73\163\141\147\x65\45", ["\x25\145\x72\x72\157\162\x4d\x65\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto D2b46; D2b46: A61ea: goto e8033; e8033: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto Acbe2; ff20e: b8fe1: goto b311e; e9a8d: C0507: goto A2e24; A2e24: try { goto C8551; Db5af: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto E7f07; e5543: $siteEntity = $this->getSiteEntity($domainName); goto Fdba0; df15f: $siteUpdater->updateNginxVhost(); goto Af7e3; B2d68: $domainName = $site->getDomainName(); goto e5543; b4ed2: $allowTrafficFromCloudflareOnly = $form->get("\141\154\154\x6f\x77\124\162\141\146\x66\151\x63\x46\x72\157\155\x43\x6c\157\165\144\146\x6c\x61\162\x65\x4f\156\x6c\x79")->getData(); goto fc4a7; Fdcec: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto D0c40; fc4a7: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto Db5af; d6c75: $user = $this->getUser(); goto b4ed2; D0c40: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\163", $this->translator->trans("\103\154\157\x75\144\146\x6c\141\x72\x65\40\x73\x65\164\x74\151\156\147\163\x20\x68\x61\x76\x65\40\142\x65\x65\x6e\40\163\x61\166\145\144\x2e")); goto F2a56; b391a: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\163")); goto ef022; D70d7: $siteUpdater = $this->getSiteUpdater($site); goto df15f; C6a51: D159b: goto d6c75; B1a78: $eventData = ["\x73\151\x74\145" => $domainName, "\141\x6c\154\157\x77\124\162\141\x66\x66\151\x63\106\162\157\x6d\x43\x6c\x6f\x75\144\146\154\141\162\145\117\156\154\171" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\x30"]; goto Fdcec; C8551: $session = $request->getSession(); goto B2d68; A97b1: A3b47: goto A4ef7; F2a56: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\x65\137\163\x65\x63\165\162\x69\x74\x79", ["\x64\x6f\x6d\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto A97b1; E7f07: $this->siteEntityManager->updateEntity($siteEntity); goto D70d7; ef022: goto A3b47; goto C6a51; Af7e3: $siteUpdater->reloadNginxService(); goto B1a78; A4ef7: return $response; goto A98e7; Fdba0: if (false === is_null($siteEntity)) { goto D159b; } goto b391a; A98e7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\101\x6e\40\145\x72\x72\157\x72\x20\150\x61\163\x20\157\143\x63\x75\162\162\x65\144\x2c\40\145\x72\x72\x6f\162\x20\x6d\145\x73\163\141\147\x65\72\x20\x25\145\162\162\x6f\162\x4d\x65\163\163\x61\147\145\x25", ["\x25\145\x72\x72\x6f\162\x4d\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } goto ff20e; D45bb: goto b8fe1; goto e9a8d; Acbe2: if (true === $form->isValid()) { goto C0507; } goto ce138; ce138: $this->formErrors = $this->getErrorMessages($form); goto D45bb; b311e: } public function newBlockedIp(Request $request) : Response { goto D8957; ee37a: A19da: goto A2fe0; Ac4e1: return $response; goto C774f; F6b83: $blockedIpEntity->setSite($siteEntity); goto b9af1; b0947: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\x65\x73")); goto cfe02; D8957: $site = $this->getSite($request); goto A840c; d23dd: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto F6b83; b9af1: $form = $this->createBlockedIpForm($blockedIpEntity); goto Cc720; A2fe0: cd667: goto Aa321; d8c59: if (!(false === is_null($response))) { goto Ccbcc; } goto Ac4e1; B47b8: return $response; goto f6d63; Cc720: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto cd667; } goto Af801; C774f: Ccbcc: goto ee37a; A840c: if (false === is_null($site)) { goto ef0e2; } goto b0947; c0414: if (!(true === $form->isSubmitted())) { goto A19da; } goto ddeb5; Aa059: a083a: goto B47b8; Aa321: $response = $this->render("\x46\162\157\x6e\x74\x65\156\x64\57\x53\x69\x74\145\57\156\145\x77\55\142\154\157\x63\153\145\144\x2d\x69\x70\56\x68\164\155\x6c\x2e\x74\x77\x69\x67", ["\x73\151\x74\x65" => $site, "\x66\157\162\x6d" => $form->createView(), "\146\157\x72\155\105\x72\x72\157\162\163" => $this->formErrors]); goto Aa059; cfe02: goto a083a; goto a3809; c2bfe: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto d23dd; Af801: $form->handleRequest($request); goto c0414; ddeb5: $response = $this->handleBlockedIpForm($request, $form, $site); goto d8c59; a3809: ef0e2: goto c2bfe; f6d63: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto Ffc6d; afdaf: $form = $this->createForm("\101\x70\160\134\106\x6f\162\155\x5c\123\x69\164\145\102\154\x6f\143\153\x65\144\x49\120\x54\171\160\x65", $blockedIpEntity, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\143\x6c\160\x5f\163\x69\164\x65\x5f\x73\145\x63\165\162\x69\x74\171\137\142\x6c\x6f\143\x6b\x65\x64\137\x69\160\x5f\x6e\x65\x77", ["\x64\x6f\155\141\151\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\157\x64" => "\x50\117\x53\x54", "\x61\x74\x74\x72" => []]); goto aa7a4; aa7a4: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\x61\163\163" => "\x62\x74\x6e\40\142\164\x6e\x2d\x62\x6c\x75\145\x20\142\x74\156\55\154\x67"], "\154\x61\142\145\x6c" => "\101\x64\144\x20\x49\x50"]); goto Ef59e; Ffc6d: $siteEntity = $blockedIpEntity->getSite(); goto afdaf; Ef59e: return $form; goto af7ad; af7ad: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto E6141; E6141: if (true === $form->isValid()) { goto F31a7; } goto E0f5c; D8858: goto a6a97; goto cb884; ebf49: try { goto B0e8d; d85a4: $this->siteEntityManager->updateEntity($siteEntity); goto Ac01b; B0e8d: $session = $request->getSession(); goto B43ec; da497: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\111\x50\40\150\141\x73\x20\x62\145\145\156\x20\x61\144\x64\x65\144\56")); goto D8ee8; A78ea: return $response; goto Cacb1; fbaf2: $siteEntity = $this->getSiteEntity($domainName); goto E89a0; ca911: D0b36: goto bc1f2; d7b3a: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto da497; E89a0: if (false === is_null($siteEntity)) { goto D0b36; } goto b0c22; ccff7: $siteEntity->addBlockedIp($blockedIp); goto d85a4; b0c22: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\x73")); goto c5fc4; B43ec: $domainName = $site->getDomainName(); goto fbaf2; bd9a6: d181f: goto A78ea; aba3b: $siteUpdater->updateNginxVhost(); goto Bd770; Bd770: $siteUpdater->reloadNginxService(); goto a510e; a510e: $eventData = ["\163\x69\164\x65" => $domainName, "\151\x70" => $blockedIp->getIp()]; goto d7b3a; D8ee8: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\x65\137\163\x65\x63\165\162\x69\x74\x79", ["\x64\x6f\x6d\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto bd9a6; Ac01b: $siteUpdater = $this->getSiteUpdater($site); goto aba3b; bc1f2: $user = $this->getUser(); goto c8493; c8493: $blockedIp = $form->getData(); goto ccff7; c5fc4: goto d181f; goto ca911; Cacb1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\x41\x6e\x20\x65\162\162\x6f\x72\40\x68\141\x73\40\x6f\x63\143\x75\x72\x72\145\x64\54\x20\145\x72\162\x6f\x72\x20\x6d\145\163\x73\141\147\x65\x3a\40\45\145\162\162\x6f\162\115\x65\x73\163\x61\x67\145\45", ["\x25\145\162\x72\157\162\115\x65\163\163\x61\147\145\x25" => $e->getMessage()])); } goto Fd99c; Fd99c: a6a97: goto C8dac; cb884: F31a7: goto ebf49; E0f5c: $this->formErrors = $this->getErrorMessages($form); goto D8858; C8dac: } public function deleteBlockedIp(Request $request) : Response { goto F3ccf; b9920: return $response; goto F2d7d; A7de3: if (!(false === is_null($site))) { goto F7b7a; } goto Af3da; F3ccf: $site = $this->getSite($request); goto d90c5; A46c1: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\163")); goto b9920; Af3da: try { goto f1516; f1516: $session = $request->getSession(); goto a7b6d; Ca4d2: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto d16d1; e099b: $siteUpdater->reloadNginxService(); goto aca2e; F9ad4: $user = $this->getUser(); goto be46c; aab29: $siteUpdater->updateNginxVhost(); goto e099b; B4bef: $siteUpdater = $this->getSiteUpdater($site); goto aab29; aac7f: return $response; goto E813c; aee25: $this->siteEntityManager->updateEntity($siteEntity); goto B4bef; be46c: $siteEntity->removeBlockedIp($blockedIpEntity); goto aee25; Af177: $siteEntity = $this->getSiteEntity($domainName); goto Ca4d2; a7b6d: $id = (int) $request->get("\x69\144"); goto C67f7; F4317: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto eaa85; E813c: bbd4e: goto a0aae; eaa85: $session->getFlashBag()->set("\163\165\143\143\x65\163\163", $this->translator->trans("\x49\x50\40\150\141\x73\40\142\145\145\x6e\40\144\x65\154\145\x74\x65\144\56")); goto a5a9a; d16d1: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto bbd4e; } goto F9ad4; a5a9a: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\137\163\x65\x63\165\162\151\164\171", ["\144\x6f\x6d\141\151\x6e\116\141\155\x65" => $site->getDomainName()])); goto aac7f; aca2e: $eventData = ["\x73\151\x74\145" => $domainName, "\x69\160" => $blockedIpEntity->getIp()]; goto F4317; C67f7: $domainName = $site->getDomainName(); goto Af177; a0aae: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\x72", $this->translator->trans("\101\156\40\145\162\x72\157\x72\40\x68\141\163\x20\x6f\x63\x63\x75\x72\162\145\144\x2c\40\x65\x72\162\x6f\x72\x20\x6d\x65\x73\x73\x61\x67\145\72\40\45\145\x72\x72\157\x72\115\145\x73\x73\141\147\x65\x25", ["\45\x65\x72\x72\157\162\x4d\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto c33fc; c33fc: F7b7a: goto A46c1; d90c5: $this->checkCsrfToken($request, "\151\160\55\144\x65\x6c\x65\x74\x65"); goto A7de3; F2d7d: } public function newBlockedBot(Request $request) : Response { goto c21dd; eb607: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto E720c; A1398: return $response; goto b443d; c21dd: $site = $this->getSite($request); goto F139c; af39a: $blockedBotEntity->setSite($siteEntity); goto Dad73; E720c: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto af39a; cc082: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto f4c2f; } goto d675c; F139c: if (false === is_null($site)) { goto b8cc0; } goto Dc841; e70d9: $response = $this->handleBlockedBotForm($request, $form, $site); goto Ff5b1; a6af9: Dc2b2: goto A1398; f06f0: goto Dc2b2; goto C8b7c; f106a: A5217: goto Bc2c2; b39bb: $response = $this->render("\106\x72\157\156\164\x65\x6e\x64\57\x53\x69\164\145\x2f\x6e\145\x77\x2d\142\x6c\x6f\x63\x6b\145\x64\55\142\x6f\x74\x2e\x68\x74\x6d\x6c\56\x74\167\x69\147", ["\163\x69\164\x65" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\x66\x6f\162\155\105\162\162\x6f\x72\x73" => $this->formErrors]); goto a6af9; Bc2c2: c2109: goto A886d; e5993: if (!(true === $form->isSubmitted())) { goto c2109; } goto e70d9; Bbcdb: return $response; goto f106a; Dad73: $form = $this->createBlockedBotForm($blockedBotEntity); goto cc082; C8b7c: b8cc0: goto eb607; A886d: f4c2f: goto b39bb; Ff5b1: if (!(false === is_null($response))) { goto A5217; } goto Bbcdb; d675c: $form->handleRequest($request); goto e5993; Dc841: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x73")); goto f06f0; b443d: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto ffa15; Beff8: $form = $this->createForm("\101\160\x70\x5c\106\157\x72\x6d\x5c\123\x69\x74\x65\x42\154\157\x63\x6b\145\x64\x42\157\x74\124\171\160\145", $blockedBotEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\137\x73\x65\143\x75\x72\x69\164\171\x5f\x62\x6c\157\x63\153\145\x64\137\142\157\164\137\x6e\145\x77", ["\x64\157\x6d\141\151\x6e\116\x61\155\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\x6f\x64" => "\x50\x4f\123\x54", "\141\x74\164\162" => []]); goto E87de; A54a6: return $form; goto Fb4b5; ffa15: $siteEntity = $blockedBotEntity->getSite(); goto Beff8; E87de: $form->add("\163\x75\142\x6d\x69\164", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\154\x61\x73\x73" => "\142\x74\156\x20\x62\x74\x6e\x2d\142\154\x75\145\x20\x62\x74\156\x2d\x6c\147"], "\x6c\141\142\145\154" => "\x41\x64\x64\x20\102\157\x74"]); goto A54a6; Fb4b5: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto C60bd; Cfad3: fdb5c: goto e3bc5; C60bd: if (true === $form->isValid()) { goto Dde9c; } goto A5439; A5439: $this->formErrors = $this->getErrorMessages($form); goto D5a88; Ef553: Dde9c: goto a3fd9; a3fd9: try { goto Bb219; add5e: $siteEntity->addBlockedBot($blockedBot); goto a3712; D23d8: if (false === is_null($siteEntity)) { goto ab58e; } goto e115e; A976b: $domainName = $site->getDomainName(); goto E2489; Eb9b3: $siteUpdater = $this->getSiteUpdater($site); goto d47e3; a5ae5: return $response; goto c21cd; e115e: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\x74\x65\163")); goto bfa8b; a3712: $this->siteEntityManager->updateEntity($siteEntity); goto Eb9b3; fe924: $eventData = ["\x73\x69\x74\145" => $domainName, "\x6e\141\x6d\x65" => $blockedBot->getName()]; goto cde98; bfa8b: goto dd225; goto F5700; Aa180: dd225: goto a5ae5; Bb219: $session = $request->getSession(); goto A976b; F5700: ab58e: goto D0d01; cde98: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto E5f42; Ecefb: $siteUpdater->reloadNginxService(); goto fe924; E5f42: $session->getFlashBag()->set("\163\165\143\x63\145\163\x73", $this->translator->trans("\x42\157\164\x20\150\x61\163\x20\x62\x65\x65\156\40\141\144\x64\145\144\56")); goto B67b5; E2489: $siteEntity = $this->getSiteEntity($domainName); goto D23d8; B67b5: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\137\x73\x65\x63\x75\162\x69\x74\171", ["\144\x6f\155\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()])); goto Aa180; d47e3: $siteUpdater->updateNginxVhost(); goto Ecefb; B8602: $blockedBot = $form->getData(); goto add5e; D0d01: $user = $this->getUser(); goto B8602; c21cd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\40\145\x72\162\157\x72\40\150\x61\163\x20\157\143\143\165\x72\x72\145\x64\x2c\40\x65\x72\162\157\x72\x20\x6d\145\163\x73\141\x67\x65\72\40\x25\x65\162\x72\x6f\162\115\145\x73\x73\x61\147\x65\x25", ["\45\x65\x72\162\x6f\x72\115\145\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto Cfad3; D5a88: goto fdb5c; goto Ef553; e3bc5: } public function deleteBlockedBot(Request $request) : Response { goto b84a3; e0dba: $this->checkCsrfToken($request, "\x62\x6f\x74\x2d\x64\145\154\145\164\x65"); goto C6c64; D59c4: return $response; goto F3921; c9ed4: A03ff: goto F956b; F956b: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\x65\x73")); goto D59c4; b00dd: try { goto Aa068; C6e92: $siteEntity = $this->getSiteEntity($domainName); goto C2152; a8510: b08a0: goto d1554; f064c: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\x73", $this->translator->trans("\x42\157\x74\40\x68\141\163\40\142\145\145\x6e\x20\x64\145\154\x65\x74\x65\144\56")); goto a9afa; E28d8: $this->siteEntityManager->updateEntity($siteEntity); goto ca78d; a9afa: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\x65\137\163\x65\x63\x75\x72\151\164\x79", ["\144\x6f\155\x61\151\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto Afc44; C4b60: $user = $this->getUser(); goto B19e6; Afc44: return $response; goto a8510; A598d: $eventData = ["\x73\151\164\x65" => $domainName, "\156\141\x6d\145" => $blockedBotEntity->getName()]; goto c6d88; A3646: $siteUpdater->updateNginxVhost(); goto B2318; af289: $domainName = $site->getDomainName(); goto C6e92; B2318: $siteUpdater->reloadNginxService(); goto A598d; Fb301: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto b08a0; } goto C4b60; C2152: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto Fb301; Aa068: $session = $request->getSession(); goto Ce6d5; B19e6: $siteEntity->removeBlockedBot($blockedBotEntity); goto E28d8; ca78d: $siteUpdater = $this->getSiteUpdater($site); goto A3646; Ce6d5: $id = (int) $request->get("\151\x64"); goto af289; c6d88: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto f064c; d1554: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\x72", $this->translator->trans("\101\x6e\40\145\x72\162\157\x72\x20\150\x61\x73\x20\x6f\x63\143\165\x72\x72\145\144\54\40\x65\x72\x72\x6f\162\x20\x6d\145\x73\x73\141\147\x65\72\40\x25\145\162\x72\x6f\x72\115\x65\163\x73\x61\147\x65\x25", ["\45\145\x72\162\x6f\x72\x4d\x65\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto c9ed4; C6c64: if (!(false === is_null($site))) { goto A03ff; } goto b00dd; b84a3: $site = $this->getSite($request); goto e0dba; F3921: } public function certificates(Request $request) : Response { goto c942c; c942c: $site = $this->getSite($request); goto D57d8; B4d34: b9789: goto Af65e; D57d8: if (false === is_null($site)) { goto D7229; } goto Ad8f1; bef0a: $response = $this->render("\x46\x72\x6f\156\x74\145\x6e\x64\x2f\x53\151\164\x65\57\143\x65\162\164\151\x66\151\143\x61\164\x65\x73\56\x68\164\155\x6c\56\164\x77\x69\147", ["\x73\151\164\145" => $site, "\x69\x6e\163\x74\141\x6c\154\145\x64\103\145\x72\x74\x69\146\x69\x63\141\x74\x65" => $installedCertificate, "\x63\145\162\x74\x69\x66\x69\143\x61\x74\145\x73" => $certificates]); goto B4d34; a851a: goto b9789; goto Ef4e9; Ad8f1: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\163")); goto a851a; b637e: $installedCertificate = $site->getCertificate(); goto aadbc; Ef4e9: D7229: goto b637e; aadbc: $certificates = $site->getCertificates(); goto bef0a; Af65e: return $response; goto afa79; afa79: } public function importCertificate(Request $request) : Response { goto bd1ec; Ce9b8: Df0a5: goto Bf95e; Ba5b5: return $response; goto dc7af; E3e30: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto E6d78; e83d3: goto Df0a5; goto e2ff9; bd1ec: $site = $this->getSite($request); goto F6e71; F06b9: if (!(false === is_null($response))) { goto F5e3c; } goto Ba5b5; dc7af: F5e3c: goto e6adb; daa6e: ea5d6: goto Dd574; Bceda: $form = $this->createImportCertificateForm($certificateEntity); goto d1364; e2ff9: D9b94: goto B6fe7; B6fe7: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto a29d7; e6adb: fb260: goto daa6e; F6e71: if (false === is_null($site)) { goto D9b94; } goto b5244; Bf95e: return $response; goto D30ad; ee209: if (!(true === $form->isSubmitted())) { goto fb260; } goto b21be; d1364: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto ea5d6; } goto caa02; a29d7: $certificateEntity = $this->certificateEntityManager->createEntity(); goto E3e30; b21be: $response = $this->handleImportCertificateForm($request, $form, $site); goto F06b9; E6d78: $certificateEntity->setSite($siteEntity); goto Bceda; caa02: $form->handleRequest($request); goto ee209; Dd574: $response = $this->render("\x46\x72\x6f\x6e\x74\145\x6e\x64\57\x53\x69\x74\145\57\x69\x6d\160\x6f\x72\x74\55\x63\x65\162\x74\x69\x66\x69\x63\x61\164\x65\56\150\164\155\154\56\x74\167\151\x67", ["\x73\151\164\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\x66\157\x72\x6d\x45\x72\x72\157\162\163" => $this->formErrors]); goto Ce9b8; b5244: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\x74\145\x73")); goto e83d3; D30ad: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto df74a; Af953: return $form; goto a5edb; F4b8e: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\x72\155\x5c\x53\151\164\145\111\155\160\157\162\164\x43\145\162\x74\151\146\x69\143\x61\164\x65\124\171\x70\145", $certificateEntity, ["\141\x63\164\151\157\x6e" => $this->generateUrl("\x63\154\x70\137\163\x69\x74\x65\x5f\x63\145\x72\164\151\x66\151\143\x61\x74\145\137\x69\155\x70\157\x72\164", ["\144\157\x6d\x61\151\156\x4e\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\145\x74\x68\157\144" => "\x50\117\123\x54", "\x61\164\164\162" => []]); goto cc226; df74a: $siteEntity = $certificateEntity->getSite(); goto F4b8e; cc226: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\141\x73\x73" => "\142\164\156\x20\142\x74\x6e\x2d\x62\x6c\x75\145\x20\142\164\x6e\x2d\154\x67"], "\154\x61\142\x65\154" => "\111\155\x70\x6f\x72\x74\x20\141\156\144\40\111\x6e\x73\x74\141\154\154"]); goto Af953; a5edb: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto e12b6; E4f66: cda05: goto Cd1cf; c64b1: goto d4129; goto E4f66; bb289: d4129: goto e2874; d1ab2: $this->formErrors = $this->getErrorMessages($form); goto c64b1; e12b6: if (true === $form->isValid()) { goto cda05; } goto d1ab2; Cd1cf: try { goto D1bc1; eedf9: d82c4: goto E7e74; D764b: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\x73", $this->translator->trans("\x43\145\x72\x74\x69\x66\151\x63\141\x74\x65\x20\x68\141\163\40\142\x65\145\156\40\151\x6e\163\x74\x61\x6c\154\145\x64\56")); goto Ab81d; Ab81d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\145\137\143\x65\x72\x74\151\146\x69\143\141\x74\145\x73", ["\144\157\x6d\141\151\156\116\x61\155\145" => $site->getDomainName()])); goto F2728; cb94b: $siteEntity = $this->getSiteEntity($domainName); goto cf6dd; c28b3: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto D764b; cf6dd: if (false === is_null($siteEntity)) { goto d82c4; } goto dfcda; E2f6e: $this->siteEntityManager->updateEntity($siteEntity); goto b33d6; f2e11: return $response; goto F3f89; D930e: $siteUpdater = $this->getSiteUpdater($site); goto dcfa4; daf94: $domainName = $site->getDomainName(); goto cb94b; E7e74: $user = $this->getUser(); goto b217d; b33d6: $evenData = ["\163\x69\164\x65" => $domainName]; goto c28b3; D1bc1: $session = $request->getSession(); goto daf94; dfcda: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\x65\x73")); goto bf982; bf982: goto aa898; goto eedf9; dcfa4: $siteUpdater->installCertificate($certificateEntity); goto Ef9b1; Ef9b1: $siteEntity->setCertificate($certificateEntity); goto e2e09; e2e09: $siteEntity->addCertificate($certificateEntity); goto E2f6e; F2728: aa898: goto f2e11; b217d: $certificateEntity = $form->getData(); goto D930e; F3f89: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\156\x20\145\162\x72\x6f\162\40\x68\x61\163\40\x6f\143\143\x75\x72\162\145\144\x2c\x20\x65\x72\162\x6f\162\40\x6d\145\163\163\141\147\x65\72\40\45\145\x72\x72\157\162\115\145\163\x73\x61\x67\145\45", ["\x25\x65\x72\162\x6f\162\115\145\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto bb289; e2874: } public function newLetsEncryptCertificate(Request $request) : Response { goto F0d23; Be78e: bbc52: goto B9f68; A0266: if (true === $request->isMethod("\120\x4f\x53\x54")) { goto dcc0e; } goto Adcb4; Fafc1: $form->handleRequest($request); goto e31eb; Ae8b9: if (true === is_null($subdomain) || "\167\167\x77" == $subdomain) { goto fc257; } goto Cfc58; Cfc58: $domains = [$domainName]; goto Eb4f2; Bbb72: $response = $this->render("\106\x72\157\156\164\145\x6e\144\57\123\151\x74\145\x2f\156\145\167\55\x6c\x65\x74\163\55\x65\x6e\x63\162\171\160\164\x2d\143\145\x72\164\x69\x66\151\x63\x61\x74\x65\56\x68\x74\x6d\154\x2e\x74\x77\x69\x67", ["\x73\x69\164\x65" => $site, "\144\157\x6d\x61\151\156\x73" => $domains, "\146\157\x72\x6d" => $form->createView(), "\146\157\162\155\x45\x72\x72\157\162\163" => $this->formErrors]); goto A9bde; C2c4d: goto fca0c; goto Be78e; acf18: $subdomain = $resolvedDomainName->subDomain()->toString(); goto ea4f4; e741d: goto ac09b; goto Ed958; D934e: ac09b: goto Bbb72; F2885: return $response; goto A81e0; b4fdc: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\145\163")); goto C2c4d; B26ef: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto f561d; ae490: $domains = [$registrableDomain, sprintf("\x77\x77\167\56\x25\163", $registrableDomain)]; goto ad693; D64b5: $domains = []; goto A0266; e31eb: if (!(true === $form->isSubmitted())) { goto Afe76; } goto Bdceb; Eb4f2: goto B4416; goto A287e; A287e: fc257: goto ae490; Effe6: $domains = array_map("\x74\162\x69\155", $domains); goto ccf28; A9bde: fca0c: goto b9439; D739f: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto acf18; ccf28: $domains = array_unique($domains); goto B26ef; ea4f4: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Ae8b9; Bdceb: $domains = (array) $request->get("\144\157\155\x61\x69\156\163"); goto C7523; B9f68: $domainName = $site->getDomainName(); goto Fb9c8; ad693: B4416: goto e741d; F0d23: $site = $this->getSite($request); goto d809c; C7523: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto Effe6; Adcb4: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto D739f; A81e0: D32b5: goto Ba041; d809c: if (false === is_null($site)) { goto bbc52; } goto b4fdc; Ed958: dcc0e: goto Fafc1; f561d: if (!(false === is_null($response))) { goto D32b5; } goto F2885; Ba041: Afe76: goto D934e; Fb9c8: $form = $this->createLetsEncryptCertificateForm($domainName); goto D64b5; b9439: return $response; goto D1d7e; D1d7e: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto d09b8; f149b: return $form; goto c9124; E104f: $form->add("\163\165\142\x6d\151\164", SubmitType::class, ["\x61\164\x74\162" => ["\x63\x6c\x61\163\163" => "\x62\x74\156\x20\142\164\156\x2d\142\154\x75\x65\40\x62\x74\x6e\55\154\147"], "\154\141\142\145\154" => "\x43\x72\145\x61\x74\x65\40\141\x6e\x64\40\111\x6e\163\164\x61\x6c\x6c"]); goto f149b; d09b8: $form = $this->createForm("\x41\160\x70\134\x46\157\162\155\134\x53\x69\x74\x65\114\145\164\163\105\156\143\162\x79\160\x74\x43\x65\x72\x74\x69\146\151\x63\x61\164\145\x54\171\160\x65", [], ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\137\x73\151\164\145\137\154\145\164\163\x5f\x65\156\143\x72\171\160\x74\x5f\x63\145\162\x74\151\x66\x69\x63\141\x74\x65\x5f\x6e\145\x77", ["\144\157\155\x61\151\156\x4e\141\155\145" => $domainName]), "\x6d\x65\164\x68\157\144" => "\120\117\123\x54", "\141\x74\x74\x72" => ["\151\x64" => "\143\162\145\141\164\x65\x2d\x6c\145\164\x73\55\x65\156\x63\162\171\160\164\x2d\143\145\x72\164\151\146\x69\143\x61\x74\x65\55\x66\157\162\155"]]); goto E104f; c9124: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto F6eab; Dd4c4: $this->formErrors = $this->getErrorMessages($form); goto F6b64; Daf21: fff1d: goto Dd4c4; F6eab: if (!(true === $form->isValid())) { goto fff1d; } goto Bfb52; Bfb52: try { goto Efe03; E7cb0: $letsEncryptClient = new LetsEncryptClient($privateKey); goto c52c7; A0567: $evenData = ["\x73\x69\164\145" => $domainName]; goto F3e09; a54cc: $session->getFlashBag()->set("\x73\165\143\143\145\x73\163", $this->translator->trans("\103\145\162\x74\151\146\151\143\141\164\145\40\150\x61\163\40\142\x65\145\156\40\151\156\x73\164\141\x6c\154\145\144\56")); goto Acd57; ce38e: e1a35: goto B3a51; C127f: $siteUpdater = $this->getSiteUpdater($site); goto D6637; b11dc: goto af3a4; goto A319f; c8af6: $siteUpdater->installCertificate($certificateEntity); goto a0fdc; bc6b1: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto E7cb0; c7744: goto e1a35; goto C427c; a92b5: af3a4: goto ce38e; B9a61: $user = $this->getUser(); goto ffbb5; d2b65: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto B53ac; D6637: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto b34c5; A319f: e5f86: goto Ea6aa; Ed85b: $letsEncryptClient = new LetsEncryptClient($privateKey); goto e7db1; a5253: $siteEntity = $this->getSiteEntity($domainName); goto fef35; F3e09: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto a54cc; c3f98: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\x73")); goto a4d59; e7db1: $letsEncryptClient->registerAccount(); goto B6aca; B2f5c: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto ec9ed; Efe03: $session = $request->getSession(); goto c48ec; e1a64: $siteUpdater = $this->getSiteUpdater($site); goto B2f5c; a5238: $csr = $csrGenerator->generate(); goto e97d0; bb97f: if (!(true === empty($validationErrors))) { goto F2783; } goto Ed85b; ffbb5: $letsEncryptPrivateKey = $this->configManager->get("\154\145\137\160\x72\x69\x76\x61\x74\145\137\153\x65\171"); goto bc6b1; D3f5c: $siteEntity->addCertificate($certificateEntity); goto fcb62; E7ad5: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto e1a64; C8820: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto Df606; C427c: A7e45: goto B9a61; e97d0: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto b7405; a0fdc: $siteEntity->setCertificate($certificateEntity); goto D3f5c; a4d59: return $response; goto c7744; C5c18: $certificateEntity->setSite($siteEntity); goto Ee5a0; Ee5a0: $certificateEntity->setCsr($certificate->getCsr()); goto Cda3c; fef35: if (false === is_null($siteEntity)) { goto A7e45; } goto c3f98; F4be3: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\x73\72\x20\x25\x73", $domain, $validationErrorMessage))); e4968: } goto Dd68f; b34c5: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto C8820; c48ec: $domainName = $site->getDomainName(); goto a5253; ac47b: if (true === empty($validationErrors)) { goto e5f86; } goto F4be3; ddfa6: $commonName = array_shift($distinguishedNameDomains); goto d2b65; f120e: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto a5238; Ea6aa: $distinguishedNameDomains = $domains; goto ddfa6; Cda3c: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto E4d1a; Acd57: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\x65\137\x63\x65\162\164\x69\146\151\143\141\164\145\x73", ["\144\157\155\x61\151\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto Bea77; Dd68f: bc1a1: goto b11dc; E7085: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto bb97f; ec9ed: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto E7085; e0a08: $letsEncryptClient->registerAccount(); goto E7ad5; a2e55: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto C5c18; Bea77: return $response; goto a92b5; E4d1a: $certificateEntity->setCertificate($certificate->getCertificate()); goto A7a84; B53ac: $rsaKeyGenerator = new RsaKeyGenerator(); goto fc3f9; bb7da: $siteUpdater = $this->getSiteUpdater($site); goto c8af6; c52c7: $letsEncryptClient->setDryRun(true); goto e0a08; Df606: F2783: goto ac47b; fc3f9: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto f120e; fcb62: $this->siteEntityManager->updateEntity($siteEntity); goto A0567; b7405: $certificateEntity = $this->certificateEntityManager->createEntity(); goto a2e55; A7a84: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto bb7da; B6aca: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto C127f; B3a51: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\101\x6e\x20\145\x72\x72\157\x72\x20\x68\x61\163\x20\157\143\143\x75\x72\x72\145\x64\54\40\x65\162\162\157\162\x20\155\x65\163\x73\x61\147\x65\72\40\x25\145\x72\162\x6f\x72\x4d\145\x73\163\141\147\145\x25", ["\45\145\x72\162\157\162\115\x65\163\163\x61\x67\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto c3ec2; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); c3ec2: } goto Daf21; F6b64: } public function installCertificate(Request $request) : Response { goto b4c1e; cc7c1: try { goto Df68e; E2384: B1dae: goto c659f; Fb905: $session->getFlashBag()->set("\163\x75\143\143\x65\163\x73", $this->translator->trans("\x43\x65\x72\164\151\x66\151\143\x61\164\145\x20\150\x61\x73\40\142\145\145\x6e\40\151\156\x73\x74\141\x6c\x6c\x65\144\56")); goto c77e6; e4c36: $uid = $request->get("\165\x69\x64"); goto E9cbb; F59e1: $this->siteEntityManager->updateEntity($siteEntity); goto fdf57; fdf57: $evenData = ["\163\151\164\145" => $domainName]; goto B7d22; A5098: $siteEntity = $this->getSiteEntity($domainName); goto e467a; c77e6: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\164\145\x5f\143\x65\162\164\151\146\x69\x63\x61\164\x65\x73", ["\144\157\x6d\x61\151\x6e\116\x61\155\x65" => $site->getDomainName()])); goto aed9d; Ab939: bf930: goto E2384; fbfb7: $siteUpdater->installCertificate($certificateEntity); goto c796c; E9cbb: $domainName = $site->getDomainName(); goto A5098; Df68e: $session = $request->getSession(); goto e4c36; Ad416: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto B1dae; } goto Ec1f5; e467a: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto Ad416; Ec1f5: $certificateSiteEntity = $certificateEntity->getSite(); goto Acfd4; B7d22: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto Fb905; aed9d: return $response; goto Ab939; c796c: $siteEntity->setCertificate($certificateEntity); goto F59e1; eca16: $user = $this->getUser(); goto dbb9c; Acfd4: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto bf930; } goto eca16; dbb9c: $siteUpdater = $this->getSiteUpdater($site); goto fbfb7; c659f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\x41\x6e\40\145\x72\162\157\162\x20\x68\x61\163\40\157\x63\x63\x75\162\x72\145\x64\x2c\x20\145\162\x72\x6f\x72\x20\155\145\x73\x73\141\x67\145\72\x20\45\x65\x72\162\x6f\x72\115\145\x73\163\141\147\x65\x25", ["\x25\145\162\162\x6f\x72\115\145\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto ce6e4; F412e: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\145\163")); goto be8e0; ab29d: if (!(false === is_null($site))) { goto Cfbb7; } goto cc7c1; be8e0: return $response; goto A0f82; b4c1e: $site = $this->getSite($request); goto ab29d; ce6e4: Cfbb7: goto F412e; A0f82: } public function deleteCertificate(Request $request) : Response { goto b5723; B0c6d: $this->checkCsrfToken($request, "\x63\145\x72\164\151\146\151\x63\141\164\x65\55\x64\145\154\x65\164\x65"); goto c9160; b5723: $site = $this->getSite($request); goto B0c6d; f0ec2: try { goto F7f0a; b48d5: $user = $this->getUser(); goto C673f; e7d96: $uid = $request->get("\x75\x69\144"); goto Cfb00; D1e3f: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto Eb6b7; } goto b48d5; Fe0da: A6d56: goto A7ac1; fe94b: $this->siteEntityManager->updateEntity($siteEntity); goto Ca683; A0878: return $response; goto a61f7; F7f0a: $session = $request->getSession(); goto e7d96; ab708: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto A6d56; } goto b1d7f; e2d98: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto a879f; a61f7: Eb6b7: goto Fe0da; b97b0: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto ab708; a879f: $session->getFlashBag()->set("\163\x75\143\143\145\x73\x73", $this->translator->trans("\103\145\x72\164\151\x66\x69\x63\141\164\145\x20\x68\141\163\40\142\x65\x65\x6e\x20\144\145\x6c\x65\164\x65\144\x2e")); goto Af9f7; Ca683: $evenData = ["\163\x69\x74\x65" => $domainName]; goto e2d98; b1d7f: $certificateSiteEntity = $certificateEntity->getSite(); goto D1e3f; Cfb00: $domainName = $site->getDomainName(); goto Dbded; C673f: $siteEntity->removeCertificate($certificateEntity); goto fe94b; Dbded: $siteEntity = $this->getSiteEntity($domainName); goto b97b0; Af9f7: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\x65\137\x63\x65\162\164\151\x66\x69\143\x61\x74\145\x73", ["\x64\157\155\x61\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto A0878; A7ac1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\101\156\x20\145\x72\x72\x6f\x72\40\x68\x61\x73\40\157\143\143\165\x72\x72\145\x64\54\40\x65\x72\162\157\162\x20\155\145\163\163\x61\x67\145\x3a\40\45\145\x72\162\157\x72\115\145\x73\x73\141\x67\145\45", ["\45\145\x72\x72\x6f\162\x4d\x65\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto d125c; E2547: return $response; goto C86e8; d125c: fe2a5: goto cd4b8; c9160: if (!(false === is_null($site))) { goto fe2a5; } goto f0ec2; cd4b8: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\x65\x73")); goto E2547; C86e8: } public function databases(Request $request) : Response { goto ff6d8; E09bc: return $response; goto cccaa; a3244: $databases = $site->getDatabases(); goto Dc750; Df79c: if (false === is_null($site)) { goto Fd2bf; } goto D31d8; b90c9: cadd9: goto E09bc; ff6d8: $site = $this->getSite($request); goto Df79c; ba37a: Fd2bf: goto a3244; D31d8: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\164\x65\x73")); goto bd69c; bd69c: goto cadd9; goto ba37a; E4ca1: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); c786b: } goto efd6e; Dc750: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto bc4b4; f0cfa: $response = $this->render("\106\x72\x6f\x6e\164\145\x6e\144\57\123\151\164\145\57\144\x61\x74\x61\x62\x61\163\145\x73\x2e\x68\164\155\154\56\164\167\x69\x67", ["\163\x69\164\145" => $site, "\144\141\x74\141\142\141\x73\145\x73" => $databases, "\156\165\x6d\142\145\162\117\x66\104\141\164\141\142\x61\x73\145\x55\x73\x65\162\x73" => $numberOfDatabaseUsers, "\144\141\x74\x61\142\x61\163\145\x53\145\x72\x76\145\162" => $databaseServerEntity]); goto b90c9; bc4b4: $numberOfDatabaseUsers = 0; goto E4ca1; efd6e: cde15: goto f0cfa; cccaa: } public function newDatabase(Request $request) : Response { goto ac89e; b343b: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ee36a; b86b2: $form = $this->createDatabaseForm($site, $databaseEntity); goto E24ed; C6e82: fba2e: goto fd5f6; fd5f6: A9d73: goto A5509; F4b70: $response = $this->handleDatabaseForm($request, $form, $site); goto B20fd; Fbde6: if (!(true === $form->isSubmitted())) { goto A9d73; } goto F4b70; ef3a4: return $response; goto C6e82; c09cf: $databaseEntity->setSite($siteEntity); goto b86b2; f1021: $response = $this->render("\x46\162\157\x6e\164\145\x6e\144\x2f\x53\x69\164\x65\57\156\x65\x77\x2d\144\141\164\141\142\141\163\x65\x2e\150\164\155\154\x2e\164\167\151\x67", ["\x73\x69\x74\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\x66\157\x72\155\x45\162\162\157\x72\163" => $this->formErrors]); goto D621c; bf4e1: $form->handleRequest($request); goto Fbde6; E24ed: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto a2964; } goto bf4e1; B20fd: if (!(false === is_null($response))) { goto fba2e; } goto ef3a4; A5509: a2964: goto f1021; ac89e: $site = $this->getSite($request); goto b16eb; b16eb: if (false === is_null($site)) { goto f3a8e; } goto B6b1b; A3ea4: goto Dbd73; goto E601f; d1cd3: return $response; goto B54c2; D621c: Dbd73: goto d1cd3; E601f: f3a8e: goto b343b; Ee36a: $databaseEntity = $this->databaseEntityManager->createEntity(); goto c09cf; B6b1b: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\x73")); goto A3ea4; B54c2: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto Ddcf3; a92a2: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\x6c\x61\x73\x73" => "\x62\164\156\40\142\x74\x6e\55\142\154\x75\145\x20\142\164\156\55\154\147"], "\x6c\141\x62\x65\154" => "\101\144\x64\40\x44\x61\x74\141\142\x61\x73\145"]); goto bc7b6; Ddcf3: $form = $this->createForm("\101\160\x70\134\x46\157\x72\155\134\x53\151\164\x65\x44\141\164\x61\142\x61\x73\x65\124\171\x70\145", $databaseEntity, ["\x61\143\164\x69\x6f\156" => $this->generateUrl("\143\x6c\160\137\163\151\x74\145\137\x64\x61\x74\x61\142\x61\x73\x65\x5f\156\x65\x77", ["\144\x6f\155\141\x69\156\116\141\155\x65" => $site->getDomainName()]), "\x6d\x65\x74\x68\x6f\144" => "\x50\x4f\123\x54", "\141\164\164\162" => []]); goto a92a2; bc7b6: return $form; goto d1b0e; d1b0e: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto A776a; c2146: goto a8c4c; goto Ca8d0; Ca8d0: b8d18: goto eeaad; F7a8b: $this->formErrors = $this->getErrorMessages($form); goto c2146; bdafd: a8c4c: goto A9a1e; A776a: if (true === $form->isValid()) { goto b8d18; } goto F7a8b; eeaad: try { goto Df1d8; Ff54b: return $response; goto Cbc83; A1f70: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\x5f\x64\141\x74\x61\142\141\x73\145\137\156\145\x77", ["\x64\157\155\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto Efc00; a4d4d: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto C4faa; fff26: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\x44\x61\x74\141\142\141\163\145\x20\150\x61\163\40\142\x65\145\156\40\141\144\144\145\x64\56")); goto eaa29; a69ed: $databaseEntity->setSite($siteEntity); goto C70d2; Eb566: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto fff26; E107b: $domainName = $site->getDomainName(); goto Add74; D34da: f8535: goto Ffe76; C70d2: $databaseUserName = $form->get("\165\163\x65\x72\116\141\x6d\145")->getData(); goto E4c3b; c25b8: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a4d4d; dcb9a: $eventData = ["\163\151\164\x65" => $domainName, "\x64\x61\164\141\x62\x61\x73\145" => $databaseEntity->getName(), "\144\141\x74\x61\x62\x61\x73\145\125\163\145\x72\x4e\141\155\x65" => $databaseUserEntity->getUserName()]; goto Eb566; ac2d2: $databaseManager->createDatabase($databaseEntity); goto c78e0; cd56b: $databaseUserEntity->setDatabase($databaseEntity); goto ca226; Efc00: goto a4ace; goto D34da; c78e0: $databaseManager->createUser($databaseUserEntity); goto E24c9; Df1d8: $user = $this->getUser(); goto fc832; eaa29: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\137\x64\141\x74\x61\142\141\x73\145\x73", ["\144\x6f\155\x61\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto Ca620; Df385: if (false === is_null($siteEntity)) { goto f8535; } goto A1f70; Add74: $siteEntity = $this->getSiteEntity($domainName); goto Df385; E4c3b: $databaseUserPassword = $form->get("\x75\163\145\162\120\x61\x73\x73\x77\x6f\x72\144")->getData(); goto Cf09c; E24c9: $this->siteEntityManager->updateEntity($siteEntity); goto dcb9a; C4faa: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto a69ed; Cf09c: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto ae49a; ca226: $databaseEntity->addUser($databaseUserEntity); goto D6f51; Eaa2c: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto cd56b; D6f51: $siteEntity->addDatabase($databaseEntity); goto ac2d2; e3586: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto Eaa2c; Ca620: a4ace: goto Ff54b; Ffe76: $databaseEntity = $form->getData(); goto c25b8; fc832: $session = $request->getSession(); goto E107b; ae49a: $databaseUserEntity->setUserName($databaseUserName); goto e3586; Cbc83: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\101\x6e\x20\145\162\x72\157\162\x20\150\x61\x73\40\x6f\143\143\165\162\x72\145\x64\54\x20\x65\x72\162\x6f\x72\40\155\145\163\163\141\147\x65\x3a\x20\x25\x65\162\162\x6f\x72\x4d\x65\x73\163\141\x67\x65\45", ["\x25\145\x72\x72\157\162\115\145\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto bdafd; A9a1e: } public function deleteDatabase(Request $request) : Response { goto f3bb9; Bf114: try { goto ff771; f6e3f: $this->siteEntityManager->updateEntity($siteEntity); goto d2345; d2345: $eventData = ["\x73\x69\x74\145" => $domainName, "\144\x61\164\x61\142\x61\163\145" => $databaseEntity->getName()]; goto A43ef; D795b: $session = $request->getSession(); goto A4c80; ff771: $user = $this->getUser(); goto D795b; E46bf: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\163", $this->translator->trans("\x44\x61\x74\x61\142\141\163\145\x20\150\x61\x73\40\x62\x65\x65\156\40\x64\x65\154\145\x74\145\144\56")); goto cb6b8; A4c80: $domainName = $site->getDomainName(); goto Dacea; cad38: $databaseManager->deleteDatabase($databaseEntity, true); goto E67b6; E67b6: $siteEntity->removeDatabase($databaseEntity); goto f6e3f; Dacea: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto dace4; A43ef: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto E46bf; dace4: $databaseManager = new DatabaseManager($databaseServerEntity); goto cad38; cb6b8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\101\156\x20\x65\162\x72\157\162\x20\x68\141\163\x20\x6f\143\143\x75\x72\162\x65\144\x2c\x20\x65\x72\162\x6f\162\40\155\145\163\163\x61\x67\145\x3a\x20\x25\x65\x72\162\157\162\x4d\145\x73\163\x61\x67\x65\x25", ["\45\145\x72\x72\157\162\115\145\x73\x73\141\147\x65\45" => $e->getMessage()])); } goto d6861; Ef308: $databaseName = $request->get("\x64\x61\164\x61\x62\141\163\x65\116\x61\155\x65"); goto ebcbc; f9a54: e4353: goto af235; ba616: if (!(false === is_null($site))) { goto e4353; } goto Ef308; C3e43: return $response; goto A390e; d6861: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\145\137\x64\x61\x74\141\142\x61\x73\x65\163", ["\x64\x6f\155\141\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto A62c6; f3bb9: $site = $this->getSite($request); goto F555c; ebcbc: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto eb20a; dd51e: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto Ac9b2; } goto Bf114; F555c: $this->checkCsrfToken($request, "\x64\141\x74\141\142\141\x73\145\55\144\145\154\145\164\145"); goto ba616; Dd2d3: Ac9b2: goto f9a54; af235: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\x73")); goto C3e43; A62c6: return $response; goto Dd2d3; eb20a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto dd51e; A390e: } public function phpMyAdmin(Request $request) : Response { goto Ce385; F2272: $response = new RedirectResponse($phpMyAdminUrl); goto a0bea; Ce385: $domainName = $request->get("\144\x6f\x6d\141\x69\x6e\x4e\x61\x6d\145"); goto C24a2; Abfbe: goto d09d5; goto A43c0; dfadc: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto Aaa6b; da68e: $response->headers->clearCookie("\160\x6d\141\x41\x75\x74\150\x2d\x31\x5f\x68\164\164\160\x73"); goto F3a78; Dc1a1: if (!(false === is_null($site))) { goto b0427; } goto c8ce8; Ed9d6: $data = ["\150\157\x73\164" => $activeDatabaseServerEntity->getHost(), "\x70\x6f\x72\164" => $activeDatabaseServerEntity->getPort()]; goto Eb122; Aaa6b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b6ff6; b6ff6: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto C5a2a; } goto F11a0; Ff264: $session->set("\143\154\160\x2d\160\155\141", $data); goto F2272; C843f: $phpMyAdminUrl = sprintf("\x68\164\x74\160\163\x3a\x2f\x2f\x25\x73\72\45\163\x2f\x70\x68\160\155\171\141\x64\x6d\x69\156\57\154\157\x67\151\x6e\x2e\x70\x68\160", $request->getHost(), $request->getPort()); goto Ed9d6; a6110: $response = new RedirectResponse($phpMyAdminUrl); goto decbd; C24a2: $session = $request->getSession(); goto cde78; Ad2ca: return $response; goto a7e31; decbd: $response->headers->clearCookie("\143\x6c\x70\x2d\160\x6d\x61"); goto db545; e6f0f: A084a: goto Abfbe; c8ce8: $databaseUserName = $request->get("\144\141\x74\141\x62\x61\x73\145\x55\x73\145\x72\x4e\141\155\145"); goto dfadc; abd00: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto dc005; } goto eee9d; D844d: b0427: goto dfae2; bbc2e: $site = $this->getSite($request); goto Dc1a1; c0f98: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\x73")); goto Ad2ca; a0bea: return $response; goto Dd192; F3a78: $response->headers->clearCookie("\123\151\147\156\157\156\x53\145\x73\163\151\x6f\x6e"); goto Fb791; bb2b8: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A6173; Fb791: return $response; goto e6f0f; cde78: if (false === is_null($domainName)) { goto A0512; } goto bb2b8; fc7f6: $data = ["\150\157\163\164" => $activeDatabaseServerEntity->getHost(), "\x75\163\145\162\116\141\x6d\x65" => $databaseUserEntity->getUserName(), "\160\141\x73\163\x77\x6f\162\144" => $databaseUserEntity->getDecryptedPassword(), "\x70\x6f\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto Ff264; db545: $response->headers->clearCookie("\x70\150\x70\x4d\171\x41\x64\155\151\156\137\x68\x74\x74\160\163"); goto da68e; eee9d: $phpMyAdminUrl = sprintf("\x68\x74\164\160\163\x3a\x2f\x2f\45\x73\x3a\x25\163\x2f\160\150\x70\x6d\171\x61\144\155\x69\156\x2f\154\x6f\x67\x69\156\x2e\x70\150\x70", $request->getHost(), $request->getPort()); goto fc7f6; A6173: if (!(false === is_null($activeDatabaseServerEntity))) { goto A084a; } goto C843f; dfae2: d09d5: goto c0f98; Eb122: $session->set("\143\154\x70\x2d\x70\x6d\x61", $data); goto a6110; Dd192: dc005: goto b8476; b8476: C5a2a: goto D844d; A43c0: A0512: goto bbc2e; F11a0: $databaseEntity = $databaseUserEntity->getDatabase(); goto abd00; a7e31: } public function phpMyAdminLogout(Request $request) { goto C44d4; b2ad0: $response->headers->clearCookie("\123\x69\x67\x6e\x6f\x6e\123\x65\x73\163\151\x6f\156"); goto A26e7; C44d4: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\x73")); goto B8f8e; A26e7: return $response; goto d62b1; d7959: $response->headers->clearCookie("\x70\155\141\101\x75\x74\150\x2d\61\137\150\164\164\160\163"); goto b2ad0; B8f8e: $response->headers->clearCookie("\x63\154\x70\x2d\x70\x6d\x61"); goto f3e5b; f3e5b: $response->headers->clearCookie("\x70\x68\x70\115\171\x41\144\155\x69\156\137\x68\164\164\x70\x73"); goto d7959; d62b1: } public function newDatabaseUser(Request $request) : Response { goto A8212; e89c2: fd8c3: goto C4c98; C4c98: b5e7e: goto c5e0b; B07b1: $form->handleRequest($request); goto Eac6d; eafbf: $session->getFlashBag()->set("\144\141\x6e\x67\145\x72", $this->translator->trans("\116\x6f\40\144\x61\164\141\142\141\x73\x65\40\146\x6f\165\156\x64\x3b\40\143\x72\x65\x61\x74\x65\x20\141\x20\x64\x61\164\x61\x62\141\x73\145\40\x66\x69\x72\x73\x74\56")); goto Bb852; A0d0c: $response = $this->handleDatabaseUserForm($request, $form, $site); goto D57e5; Eac6d: if (!(true === $form->isSubmitted())) { goto a182d; } goto A0d0c; bf189: $databaseUserEntity->setSite($siteEntity); goto a2ec2; a55d3: Cadb5: goto F0897; C799f: f6e68: goto E910e; E910e: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto bf189; F0233: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\x73")); goto d2766; d7a99: $session = $request->getSession(); goto eafbf; A7e3e: if (false === is_null($site)) { goto A1eac; } goto F0233; A2038: $databases = $site->getDatabases(); goto C74b0; a2ec2: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto e2ea2; C74b0: $domainName = $site->getDomainName(); goto eaeb2; Bb852: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\x65\x5f\x64\141\164\141\x62\x61\x73\145\163", ["\x64\x6f\x6d\x61\x69\156\116\141\155\x65" => $site->getDomainName()])); goto C30fb; d2766: goto b5e7e; goto cae43; F0897: a182d: goto e7a3e; A8212: $site = $this->getSite($request); goto A7e3e; e7a3e: Ed713: goto F66f6; D57e5: if (!(false === is_null($response))) { goto Cadb5; } goto E91df; E91df: return $response; goto a55d3; cae43: A1eac: goto A2038; c5e0b: return $response; goto Fb5e4; eaeb2: $siteEntity = $this->getSiteEntity($domainName); goto e73f3; F66f6: $response = $this->render("\x46\x72\x6f\x6e\164\145\x6e\144\x2f\x53\151\x74\145\x2f\156\x65\x77\x2d\144\141\164\141\142\141\x73\145\x2d\x75\163\x65\x72\x2e\x68\x74\155\x6c\x2e\x74\167\x69\147", ["\x73\151\x74\x65" => $site, "\x64\141\164\x61\142\x61\163\145\125\x73\x65\x72" => $databaseUserEntity, "\x64\x61\164\x61\142\x61\x73\145\163" => $databases, "\x66\157\162\x6d" => $form->createView(), "\146\x6f\x72\155\105\162\162\157\162\163" => $this->formErrors]); goto e89c2; e73f3: if (count($databases) && false === is_null($siteEntity)) { goto f6e68; } goto d7a99; C30fb: goto fd8c3; goto C799f; e2ea2: if (!(true === $request->isMethod("\120\117\123\124"))) { goto Ed713; } goto B07b1; Fb5e4: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto Ce60c; e9aae: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\154\141\163\x73" => "\142\x74\x6e\40\x62\x74\x6e\x2d\x62\154\x75\145\x20\x62\164\156\x2d\154\x67"], "\x6c\141\142\145\x6c" => "\101\144\144\x20\x44\x61\x74\141\142\141\x73\x65\40\125\x73\145\162"]); goto ad916; ad916: return $form; goto d70c6; Ce60c: $form = $this->createForm("\x41\x70\x70\x5c\x46\x6f\x72\x6d\134\x53\x69\164\x65\104\x61\164\141\x62\x61\163\x65\125\x73\x65\x72\x54\171\160\145", $databaseUserEntity, ["\x61\x63\164\x69\x6f\156" => $this->generateUrl("\x63\x6c\160\x5f\163\151\x74\145\137\x64\x61\164\x61\142\141\x73\x65\x5f\165\x73\145\x72\x5f\x6e\x65\x77", ["\144\157\x6d\141\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()]), "\155\145\x74\150\x6f\144" => "\120\117\123\x54", "\x61\164\x74\x72" => []]); goto e9aae; d70c6: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto ed61b; cdc69: D9135: goto D5133; ed61b: if (true === $form->isValid()) { goto Ab496; } goto De282; dc51f: goto D9135; goto E35c7; d6118: try { goto A5367; C87b3: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto c6f31; D5667: $databaseEntity = $databaseUserEntity->getDatabase(); goto ce5e2; A7e92: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\x65\x5f\144\x61\164\141\142\141\163\145\137\165\x73\145\162\x5f\x6e\145\167", ["\144\x6f\155\x61\151\x6e\116\x61\155\x65" => $site->getDomainName()])); goto E682d; Da6ed: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto b383b; Ab17f: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c1ecb; add05: F0c90: goto f67ff; c1ecb: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto be341; fbd4d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\137\x64\x61\164\141\142\x61\163\x65\163", ["\144\157\155\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto add05; b383b: $databaseUserEntity->setPassword($encryptedPassword); goto Ab17f; A5367: $user = $this->getUser(); goto abb41; abb41: $session = $request->getSession(); goto Ecac6; f67ff: return $response; goto acee6; ca477: if (false === is_null($siteEntity)) { goto Fa1cb; } goto A7e92; c6f31: $session->getFlashBag()->set("\163\165\143\143\x65\x73\163", $this->translator->trans("\x44\x61\164\141\x62\141\163\145\x20\x55\x73\145\162\40\x68\x61\163\40\x62\x65\145\x6e\x20\x61\x64\x64\145\144\56")); goto fbd4d; E49b6: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto D5667; ce5e2: $databaseName = $databaseEntity->getName(); goto bf4ac; A9580: Fa1cb: goto c2343; bf4ac: $eventData = ["\x73\151\164\145" => $domainName, "\x64\x61\164\141\142\141\163\x65\x55\x73\145\x72\x4e\141\x6d\145" => $databaseUserEntity->getUserName(), "\160\145\162\155\151\163\163\151\x6f\x6e\x73" => $databaseUserEntity->getPermissions(), "\144\141\x74\141\142\141\163\x65" => $databaseName]; goto C87b3; E682d: goto F0c90; goto A9580; c2343: $databaseUserEntity = $form->getData(); goto Da6ed; Ecac6: $domainName = $site->getDomainName(); goto F8368; be341: $databaseManager->createUser($databaseUserEntity); goto E49b6; F8368: $siteEntity = $this->getSiteEntity($domainName); goto ca477; acee6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\x41\x6e\40\145\x72\162\157\162\x20\x68\x61\x73\40\x6f\143\x63\x75\162\162\x65\x64\54\40\145\162\162\x6f\162\x20\x6d\x65\x73\163\141\x67\145\x3a\x20\x25\145\x72\162\157\162\x4d\x65\x73\x73\x61\147\145\45", ["\x25\x65\x72\162\x6f\162\115\145\163\x73\141\x67\145\45" => $e->getMessage()])); } goto cdc69; De282: $this->formErrors = $this->getErrorMessages($form); goto dc51f; E35c7: Ab496: goto d6118; D5133: } public function editDatabaseUser(Request $request) : Response { goto C4d21; ef503: $response = $this->render("\x46\162\x6f\x6e\x74\x65\156\x64\x2f\123\x69\x74\145\57\x65\144\151\x74\x2d\144\x61\x74\141\142\x61\163\145\x2d\x75\163\145\x72\x2e\x68\x74\x6d\x6c\56\164\167\151\147", ["\x73\x69\164\x65" => $site, "\x64\x61\x74\x61\x62\x61\163\x65\x55\x73\145\162" => $databaseUserEntity, "\146\157\x72\x6d" => $form->createView(), "\x66\157\x72\155\x45\x72\162\x6f\x72\163" => $this->formErrors]); goto e8ded; F114d: if (count($databases) && false === is_null($siteEntity)) { goto d1eda; } goto D3851; c4fe6: goto f474a; goto E97ba; Cdf54: F7c2c: goto E7c9b; bb545: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\145\x73")); goto c4fe6; d7a04: f474a: goto D16c6; a5490: $domainName = $site->getDomainName(); goto eb359; d08f8: $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\116\157\40\x64\141\x74\x61\142\x61\x73\x65\x20\146\157\165\x6e\x64\x3b\40\143\162\145\141\x74\x65\x20\x61\40\144\x61\x74\141\x62\141\x73\x65\x20\x66\x69\162\163\164\56")); goto a134a; E7c9b: c613a: goto a563e; a134a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\x74\x65\137\x64\x61\x74\x61\x62\141\x73\x65\163", ["\144\157\x6d\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto d8235; b5040: return $response; goto Cdf54; e8ded: D22b5: goto b9919; D3851: $session = $request->getSession(); goto d08f8; fe782: $databaseUserName = $request->get("\x64\141\164\x61\x62\x61\x73\145\125\x73\145\162\x4e\141\155\145"); goto a5327; b7d36: if (!(false === is_null($response))) { goto F7c2c; } goto b5040; cf2a7: if (!(true === $form->isSubmitted())) { goto c613a; } goto A5cad; A0e86: d1eda: goto fe782; ac159: if (!(false === is_null($databaseUserEntity))) { goto D22b5; } goto Fff57; E97ba: Dc90c: goto Bf364; b9919: Ebdd2: goto d7a04; a5327: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto ac159; eb359: $siteEntity = $this->getSiteEntity($domainName); goto F114d; a563e: ee818: goto ef503; Fff57: $databaseUserEntity->setPassword(''); goto C4a4b; C4d21: $site = $this->getSite($request); goto d6822; d6822: if (false === is_null($site)) { goto Dc90c; } goto bb545; E8986: $form->handleRequest($request); goto cf2a7; A5cad: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto b7d36; Bf364: $databases = $site->getDatabases(); goto a5490; A8750: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto ee818; } goto E8986; D16c6: return $response; goto F1909; d8235: goto Ebdd2; goto A0e86; C4a4b: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto A8750; F1909: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto B70b5; Df0e6: return $form; goto a8d14; Cddfd: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\141\164\164\x72" => ["\143\154\x61\x73\x73" => "\142\164\x6e\x20\x62\x74\156\x2d\x62\x6c\x75\x65\x20\142\x74\x6e\x2d\x6c\147"], "\x6c\x61\142\145\154" => "\x53\141\166\x65"]); goto Df0e6; B70b5: $form = $this->createForm("\101\160\x70\x5c\x46\157\x72\x6d\x5c\123\151\x74\x65\104\141\164\141\142\141\163\145\x55\x73\x65\x72\x45\144\x69\x74\x54\171\160\x65", $databaseUserEntity, ["\141\143\x74\x69\157\156" => $this->generateUrl("\143\154\160\137\163\x69\x74\x65\x5f\144\141\164\x61\142\x61\x73\145\x5f\165\x73\145\162\137\x65\144\151\164", ["\144\157\x6d\141\151\156\116\141\155\145" => $site->getDomainName(), "\144\x61\x74\x61\142\x61\x73\x65\x55\x73\145\x72\116\x61\x6d\x65" => $databaseUserEntity->getUserName()]), "\x6d\145\x74\150\157\x64" => "\120\117\123\x54", "\x61\x74\x74\x72" => []]); goto Cddfd; a8d14: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto cbf69; b8a5e: $this->formErrors = $this->getErrorMessages($form); goto A0073; cbf69: if (true === $form->isValid()) { goto e07ec; } goto b8a5e; Ccfb4: e07ec: goto A92ed; E8f97: aeea1: goto abcc5; A92ed: try { goto F7b8d; b9d57: $siteEntity = $this->getSiteEntity($domainName); goto Adc95; f681c: $databaseManager->createUser($databaseUserEntity); goto e6c8d; D7e79: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto f681c; ea043: $databaseUserEntity = $form->getData(); goto Cc5d4; f12e8: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\137\x64\141\x74\141\x62\x61\163\x65\x5f\x75\x73\145\162\x5f\156\145\167", ["\144\157\x6d\141\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto B17bd; B17bd: goto Fd4ca; goto C76b4; Adc95: if (false === is_null($siteEntity)) { goto c04cd; } goto f12e8; C4e47: $databaseUserEntity->setPassword($encryptedPassword); goto F83c1; E0fe8: $domainName = $site->getDomainName(); goto b9d57; F7b8d: $user = $this->getUser(); goto E2bba; F83c1: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto D7e79; c4b88: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto A8b87; a1b98: Fd4ca: goto ab8e0; A8b87: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\104\141\164\141\142\141\163\145\40\x55\163\x65\x72\x20\x68\141\x73\40\142\x65\x65\156\x20\x75\160\x64\x61\164\x65\144\x2e")); goto dc5ff; Cc5d4: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto C4e47; e6c8d: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto Fd64e; ab8e0: return $response; goto ad43f; F52c7: $databaseName = $databaseEntity->getName(); goto d9c81; dc5ff: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\x65\137\x64\x61\164\141\142\x61\x73\145\163", ["\144\x6f\x6d\x61\x69\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto a1b98; E2bba: $session = $request->getSession(); goto E0fe8; C76b4: c04cd: goto ea043; d9c81: $eventData = ["\x73\151\x74\145" => $domainName, "\x64\141\164\141\x62\x61\x73\145\x55\163\x65\x72\116\x61\x6d\145" => $databaseUserEntity->getUserName(), "\160\145\162\x6d\151\163\163\x69\157\x6e\x73" => $databaseUserEntity->getPermissions(), "\144\141\x74\x61\142\141\163\145" => $databaseName]; goto c4b88; Fd64e: $databaseEntity = $databaseUserEntity->getDatabase(); goto F52c7; ad43f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\101\x6e\40\145\x72\x72\157\162\x20\150\141\x73\x20\157\143\143\165\x72\162\x65\x64\54\x20\x65\x72\x72\157\162\40\155\145\163\x73\141\147\145\x3a\40\45\145\x72\x72\157\162\x4d\145\163\163\141\x67\145\45", ["\x25\x65\x72\x72\x6f\x72\115\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto E8f97; A0073: goto aeea1; goto Ccfb4; abcc5: } public function deleteDatabaseUser(Request $request) : Response { goto Eee29; c9284: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\137\x64\141\164\141\x62\x61\163\145\x73", ["\x64\157\x6d\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto eb348; B0f6a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\145\163")); goto a3b49; B4f55: a5e1e: goto B0f6a; a3b49: return $response; goto E6158; Eee29: $site = $this->getSite($request); goto B8b96; eb348: return $response; goto e2e11; bb4e3: try { goto A1cfd; A1cfd: $databaseEntity = $databaseUserEntity->getDatabase(); goto Bc8ea; D0858: d9762: goto Cde13; B37d5: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto daf98; dc7ea: $domainName = $site->getDomainName(); goto B8f45; E4b69: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto D0858; E9872: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto e9a4e; e9a4e: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\163", $this->translator->trans("\x44\141\164\141\x62\x61\x73\145\x20\x55\x73\x65\x72\40\x68\x61\x73\40\x62\x65\x65\x6e\x20\144\145\x6c\x65\x74\145\x64\x2e")); goto b2405; Daaf4: $user = $this->getUser(); goto dc7ea; E9a85: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto B37d5; B8f45: $session = $request->getSession(); goto E9a85; daf98: $databaseManager->deleteUser($databaseUserEntity); goto E9872; b2405: $eventData = ["\x73\151\164\x65" => $domainName, "\144\x61\x74\x61\142\x61\x73\145\125\x73\x65\162\116\x61\155\145" => $databaseUserName]; goto E4b69; Bc8ea: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto d9762; } goto Daaf4; Cde13: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\162", $this->translator->trans("\101\156\40\x65\162\162\157\x72\x20\150\x61\163\40\x6f\143\143\x75\162\162\145\144\x2c\40\x65\x72\162\157\162\x20\x6d\145\x73\163\141\147\145\72\x20\45\x65\x72\x72\x6f\x72\115\x65\x73\x73\x61\147\x65\x25", ["\x25\145\162\162\157\x72\x4d\145\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto c9284; e2e11: d32d1: goto B4f55; c8f4c: if (!(false === is_null($databaseUserEntity))) { goto d32d1; } goto bb4e3; B8b96: $this->checkCsrfToken($request, "\x64\x61\164\141\x62\141\163\145\x2d\165\x73\x65\x72\x2d\144\145\154\x65\x74\x65"); goto Ace19; C95ba: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto c8f4c; C9b60: $databaseUserName = $request->get("\x64\x61\164\141\142\141\x73\145\125\x73\145\x72\x4e\141\155\x65"); goto C95ba; Ace19: if (!(false === is_null($site))) { goto a5e1e; } goto C9b60; E6158: } public function varnishCache(Request $request) : Response { goto a9ac7; fbb78: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\x73")); goto Cbd7e; A45cb: d39b4: goto f694f; bb666: c9b68: goto Ce70c; f694f: if (!(true === $purgeCacheForm->isSubmitted())) { goto A5af2; } goto Fb201; dc4b2: d0dba: goto A5936; adb86: return $response; goto cf1a1; ca674: if (!(false === is_null($response))) { goto ff7be; } goto Dbf6a; bca69: D6508: goto adb86; D5e6f: return $response; goto df03c; df03c: ed22a: goto efabe; efabe: A5af2: goto dc4b2; Cbd7e: goto D6508; goto bb666; F4f69: if (false === is_null($site) && true === $site->getVarnishCache()) { goto c9b68; } goto fbb78; Ce70c: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto Bb5ea; a8138: if (!(false === is_null($response))) { goto ed22a; } goto D5e6f; Bb5ea: $varnishCacheSettingsData = ["\151\163\x45\x6e\x61\142\154\145\144" => true === isset($varnishCacheSettings["\x65\156\141\x62\154\x65\144"]) && true === $varnishCacheSettings["\145\156\x61\142\x6c\145\x64"] ? true : false, "\163\145\x72\166\x65\162" => true === isset($varnishCacheSettings["\x73\145\x72\166\145\162"]) ? $varnishCacheSettings["\163\x65\162\166\x65\x72"] : "\x31\62\x37\x2e\x30\56\60\x2e\61\72\66\x30\70\61", "\143\x61\x63\150\x65\124\141\147\120\162\x65\146\151\170" => true === isset($varnishCacheSettings["\143\141\143\x68\145\124\141\147\x50\162\145\146\x69\170"]) ? $varnishCacheSettings["\143\x61\143\150\x65\124\x61\x67\x50\x72\145\146\151\170"] : substr(md5(time()), 0, 4), "\143\141\143\150\145\114\151\146\x65\x74\151\x6d\x65" => true === isset($varnishCacheSettings["\x63\x61\x63\x68\145\114\x69\x66\x65\x74\x69\155\145"]) ? $varnishCacheSettings["\x63\141\143\150\x65\114\x69\x66\x65\x74\151\155\x65"] : "\66\x30\x34\x38\x30\60", "\x65\170\143\154\165\x64\x65\x64\x50\141\x72\141\155\x73" => true === isset($varnishCacheSettings["\145\170\x63\x6c\x75\144\x65\x64\x50\x61\x72\x61\x6d\163"]) ? implode("\54", $varnishCacheSettings["\145\170\143\x6c\165\144\x65\x64\120\x61\162\141\x6d\163"]) : "\137\x5f\x53\x49\x44\54\156\157\x43\141\143\150\x65\54", "\145\170\143\154\165\x64\145\x73" => true === isset($varnishCacheSettings["\x65\x78\143\x6c\x75\144\145\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\145\x78\x63\x6c\165\144\145\x73"]) : '']; goto Fbb27; d49cc: if (!(true === $settingsForm->isSubmitted())) { goto d39b4; } goto Dd02d; Ef163: ff7be: goto A45cb; E60d9: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto d0dba; } goto baba7; Af497: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto E60d9; Dd02d: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto ca674; Fb201: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto a8138; Fbb27: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto Af497; Df6f9: $purgeCacheForm->handleRequest($request); goto d49cc; Dbf6a: return $response; goto Ef163; A5936: $response = $this->render("\106\162\x6f\156\164\x65\x6e\x64\57\123\151\164\x65\57\166\x61\x72\x6e\151\163\150\55\143\x61\143\x68\145\x2e\150\164\155\154\x2e\x74\167\151\147", ["\163\x69\x74\145" => $site, "\163\x65\x74\x74\151\x6e\147\163\x46\157\x72\155" => $settingsForm->createView(), "\x70\165\x72\147\145\103\x61\143\x68\145\x46\157\x72\x6d" => $purgeCacheForm->createView(), "\x66\x6f\162\x6d\x45\162\x72\157\162\163" => $this->formErrors]); goto bca69; baba7: $settingsForm->handleRequest($request); goto Df6f9; a9ac7: $site = $this->getSite($request); goto F4f69; cf1a1: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto b5445; E830c: return $form; goto cd52d; Fbdab: $form->add("\163\165\x62\x6d\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\141\x73\163" => "\x62\164\156\40\x62\164\156\55\x62\x6c\x75\145\40\x62\164\156\x2d\x6c\x67"], "\154\141\x62\x65\154" => "\123\x61\166\145"]); goto E830c; b5445: $form = $this->createForm("\101\x70\160\134\106\157\x72\155\134\123\x69\164\x65\126\141\x72\156\x69\163\x68\103\x61\x63\150\145\x53\x65\164\164\151\x6e\x67\x73\x54\x79\160\145", $data, ["\x61\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\x5f\166\141\162\x6e\151\x73\150\x5f\143\x61\143\150\x65", ["\x64\157\155\141\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()]), "\155\145\164\x68\157\144" => "\120\117\123\x54", "\x61\x74\164\x72" => []]); goto Fbdab; cd52d: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto a54a4; db4f5: return $form; goto E7e6b; a54a4: $form = $this->createForm("\101\x70\160\x5c\106\x6f\162\155\134\x53\x69\164\145\126\141\x72\x6e\x69\163\150\103\x61\143\150\145\x50\x75\x72\147\145\103\x61\x63\150\145\124\171\x70\145", ["\x73\x69\164\x65" => $site], ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\143\154\x70\x5f\x73\151\164\x65\x5f\x76\x61\162\x6e\x69\x73\150\137\143\141\143\150\145", ["\144\x6f\155\x61\151\x6e\116\141\155\x65" => $site->getDomainName()]), "\155\145\164\x68\x6f\144" => "\x50\117\123\x54", "\141\164\x74\162" => []]); goto F5ed9; F5ed9: $form->add("\x73\x75\x62\155\x69\x74", SubmitType::class, ["\141\164\164\162" => ["\x63\154\141\163\163" => "\142\x74\x6e\x20\x62\x74\x6e\x2d\142\x6c\165\145\x20\x62\164\x6e\x2d\x6c\147"], "\x6c\x61\142\x65\x6c" => "\x50\x75\x72\x67\x65\40\x43\141\x63\x68\x65"]); goto db4f5; E7e6b: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto e71db; E96f1: a7726: goto c480b; B06ff: $this->formErrors = $this->getErrorMessages($form); goto a69d2; a69d2: goto a7726; goto E09b7; E09b7: F53d7: goto F139e; e71db: if (true === $form->isValid()) { goto F53d7; } goto B06ff; F139e: try { goto D3e7b; Efc8b: if (false === is_null($siteEntity)) { goto f00cd; } goto B7bc4; f2c98: $siteEntity = $this->getSiteEntity($domainName); goto Efc8b; E4aef: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\x56\x61\x72\x6e\x69\x73\x68\40\x43\141\143\x68\145\40\x53\x65\164\164\151\156\147\x73\x20\150\x61\x76\145\x20\x62\145\x65\x6e\x20\163\141\166\x65\x64\56")); goto A204b; E2ff2: $cacheLifetime = $form->get("\143\141\x63\150\145\114\x69\146\x65\x74\x69\155\x65")->getData(); goto d91cf; b3a46: d8b2d: goto A438e; D3e7b: $session = $request->getSession(); goto feddb; Da49f: $isEnabled = $form->get("\151\x73\105\156\141\x62\154\145\x64")->getData(); goto fa071; a9370: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto E4aef; ef03d: $eventData = ["\x73\x69\x74\145" => $domainName, "\x76\141\x72\x6e\x69\163\x68\103\141\143\150\145\x45\156\x61\142\154\145\144" => $isEnabled, "\163\x65\x72\166\145\x72" => $server, "\x63\x61\143\x68\145\124\x61\147\x50\x72\145\x66\151\170" => $cacheTagPrefix, "\x63\x61\x63\x68\145\x4c\151\146\145\164\x69\155\145" => $cacheLifetime, "\145\170\143\154\x75\144\145\x73" => $excludes, "\145\170\143\x6c\x75\144\x65\144\x50\x61\x72\141\x6d\x73" => $excludedParams]; goto a9370; bc5b0: $siteUpdater = $this->getSiteUpdater($site); goto Df45e; B7bc4: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\x73")); goto C5129; A204b: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\145\137\x76\141\162\x6e\151\x73\150\x5f\143\141\x63\150\145", ["\144\157\x6d\141\151\x6e\116\141\155\145" => $site->getDomainName()])); goto b3a46; Db1cd: $varnishCacheSettings = ["\145\156\x61\142\x6c\145\144" => $isEnabled, "\163\145\162\x76\x65\x72" => $server, "\143\x61\x63\x68\145\124\x61\x67\x50\162\145\x66\151\x78" => $cacheTagPrefix, "\143\x61\143\x68\x65\x4c\x69\x66\x65\164\x69\x6d\x65" => $cacheLifetime, "\145\170\143\x6c\165\x64\145\163" => $excludes, "\145\x78\x63\x6c\165\144\145\x64\x50\x61\162\x61\155\x73" => $excludedParams]; goto A271f; Df45e: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto cfed5; A271f: $site->setVarnishCacheSettings($varnishCacheSettings); goto bc5b0; C5129: goto d8b2d; goto b1977; cfed5: $siteUpdater->phpSettings(); goto ef03d; b1977: f00cd: goto C622c; feddb: $domainName = $site->getDomainName(); goto f2c98; A438e: return $response; goto e68c0; d91cf: $cacheTagPrefix = $form->get("\x63\141\143\x68\145\x54\x61\x67\x50\x72\145\146\151\x78")->getData(); goto Fee73; fa071: $server = $form->get("\163\145\162\x76\x65\162")->getData(); goto E2ff2; Fee73: $excludedParams = array_map("\x74\x72\151\155", array_filter(explode("\x2c", trim($form->get("\x65\170\x63\154\165\144\145\x64\120\x61\162\141\155\x73")->getData())))); goto Dc065; C622c: $user = $this->getUser(); goto Da49f; Dc065: $excludes = array_map("\x74\x72\x69\x6d", array_filter(explode(PHP_EOL, trim($form->get("\x65\x78\143\x6c\x75\144\x65\163")->getData())))); goto Db1cd; e68c0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\101\x6e\x20\145\x72\x72\x6f\162\x20\x68\x61\x73\40\157\x63\143\x75\162\x72\x65\144\54\40\145\162\x72\x6f\162\x20\x6d\145\x73\x73\141\x67\x65\72\40\x25\145\x72\x72\x6f\x72\x4d\145\x73\163\141\147\x65\x25", ["\x25\x65\x72\162\157\162\x4d\x65\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto E96f1; c480b: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto D1a4b; F7a39: D567e: goto e70d6; E4dff: $this->formErrors = $this->getErrorMessages($form); goto f904b; f904b: goto Ba0cc; goto F7a39; e70d6: try { goto Ccd00; f3d3c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\x65\x73")); goto Dbf5c; Be4d0: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto e1a7c; e8ce9: $user = $this->getUser(); goto Be4d0; D745a: if (false === is_null($siteEntity)) { goto Cbc39; } goto f3d3c; E1320: foreach ($purgeValues as $purgeValue) { goto Eb42a; A906f: $varnishCacheClient->purgeUrl($purgeValue); goto F831a; c0170: goto a4c4c; goto Fe67d; cc3c4: bcd0e: goto c3055; B7dd3: $varnishCacheClient->purgeTag($purgeValue); goto c0170; F831a: a4c4c: goto cc3c4; c3055: Ac1cf: goto f85ab; Eb42a: $purgeValue = trim($purgeValue); goto E7411; Fe67d: a0e8a: goto A906f; f4b9c: if (true === str_starts_with($purgeValue, "\150\164\x74\x70")) { goto a0e8a; } goto B7dd3; E7411: if (!(false === empty($purgeValue))) { goto bcd0e; } goto f4b9c; f85ab: } goto De53e; Acb93: $domainName = $site->getDomainName(); goto e9b39; aa492: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto e09b4; Ccd00: $session = $request->getSession(); goto Acb93; d6990: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\145\x72\x76\145\x72"]) && false === empty($varnishCacheSettings["\x73\x65\x72\x76\145\162"])) { goto f3988; } goto f1fd8; e09b4: $session->getFlashBag()->set("\163\x75\143\143\145\163\163", $this->translator->trans("\x56\141\x72\x6e\x69\x73\150\40\103\x61\x63\150\145\40\150\x61\x73\x20\142\x65\x65\156\40\160\165\x72\x67\x65\x64\56")); goto Bb871; F8564: $eventData = ["\x73\x69\164\x65" => $domainName, "\166\x61\x6c\x75\x65\163" => implode("\54", $purgeValues)]; goto aa492; fc733: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\x72\166\145\x72"]); goto E1320; D986f: return $response; goto a85e3; a3654: $varnishCacheClient = new VarnishCacheClient(); goto fc733; f9021: B8bfd: goto D986f; e9b39: $siteEntity = $this->getSiteEntity($domainName); goto D745a; De53e: Cb669: goto Ab4ea; Dbf5c: goto B8bfd; goto B56a3; B56a3: Cbc39: goto e8ce9; e1a7c: $purgeValues = array_map("\x74\x72\151\x6d", array_filter(explode("\x2c", trim($form->get("\x76\x61\154\x75\145")->getData())))); goto d6990; f43f3: f3988: goto a3654; Ab4ea: F82e8: goto F8564; f1fd8: throw new \Exception("\126\141\x72\x6e\x69\x73\x68\x20\103\x61\143\x68\145\x20\x53\145\x74\x74\151\x6e\147\163\40\143\x61\x6e\x6e\x6f\164\40\x62\x65\x20\145\x6d\160\164\x79\x2e"); goto B0c22; B0c22: goto F82e8; goto f43f3; Bb871: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\x5f\166\141\x72\156\x69\x73\x68\x5f\143\x61\143\x68\145", ["\144\157\155\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto f9021; a85e3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\101\x6e\x20\x65\x72\162\x6f\162\x20\150\141\x73\x20\x6f\143\143\165\162\162\x65\x64\x2c\x20\145\162\162\157\162\40\155\x65\163\x73\141\x67\x65\x3a\40\x25\x65\x72\162\157\x72\x4d\x65\x73\163\x61\147\145\x25", ["\x25\145\x72\x72\157\x72\115\x65\x73\163\141\147\x65\45" => $e->getMessage()])); } goto A307f; D1a4b: if (true === $form->isValid()) { goto D567e; } goto E4dff; A307f: Ba0cc: goto a7b27; a7b27: } public function purgeVarnishCache(Request $request) : Response { goto Dbb1a; d8913: Ac515: goto b3b2c; Cd2c5: try { goto f3da4; bd35e: $varnishCacheClient->purgeTag($cacheTagPrefix); goto Eb87d; D4aa5: $session = $request->getSession(); goto Fe1ff; A15c4: $session->getFlashBag()->set("\163\x75\x63\143\145\x73\163", $this->translator->trans("\x56\x61\162\x6e\151\x73\x68\x20\103\x61\143\x68\x65\x20\x68\141\x73\x20\x62\145\x65\x6e\x20\x70\165\162\x67\145\144\x2e")); goto b5d4f; C5875: $cacheTagPrefix = $varnishCacheSettings["\143\141\x63\x68\145\x54\x61\147\120\162\145\146\x69\170"]; goto b81df; b81df: $varnishCacheClient = new VarnishCacheClient(); goto Af83e; e620e: if (!(true === isset($varnishCacheSettings["\163\x65\162\166\x65\x72"]) && true === isset($varnishCacheSettings["\x63\x61\x63\x68\x65\124\x61\x67\120\x72\145\146\x69\170"]) && false === empty($varnishCacheSettings["\x63\141\x63\x68\145\124\141\147\x50\x72\145\x66\151\170"]))) { goto dfaf3; } goto C5875; Af83e: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\x72\x76\x65\x72"]); goto bd35e; Eb87d: $varnishCacheClient->purgeHost($domainName); goto Da4b8; fa04e: $eventData = ["\x73\x69\164\x65" => $domainName, "\x70\165\162\147\145" => "\x66\x75\x6c\154"]; goto D8d62; f3da4: $user = $this->getUser(); goto D4aa5; Fe1ff: $domainName = $site->getDomainName(); goto C74dd; D8d62: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto A15c4; Da4b8: dfaf3: goto fa04e; C74dd: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto e620e; b5d4f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\101\156\x20\x65\162\162\x6f\x72\x20\x68\141\163\x20\157\143\143\165\162\162\145\x64\x2c\40\145\x72\162\x6f\x72\x20\x6d\145\163\163\x61\x67\145\x3a\x20\45\x65\162\162\x6f\162\115\145\163\x73\x61\x67\x65\x25", ["\x25\x65\162\162\x6f\x72\x4d\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto Dac3e; b35e6: goto Ac515; goto B8987; B8987: C0261: goto Cd2c5; Bac1f: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\145\x73")); goto b35e6; Dbb1a: $site = $this->getSite($request); goto ad373; Dac3e: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\x65\x5f\x76\141\x72\156\151\x73\150\137\143\x61\143\x68\145", ["\144\x6f\155\141\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto d28e3; ad373: if (false === is_null($site)) { goto C0261; } goto Bac1f; d28e3: return $response; goto d8913; b3b2c: return $response; goto fae3a; fae3a: } public function vhost(Request $request) : Response { goto Bebd9; A3e4f: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto d55b8; Daf5b: fa4cd: goto D4b9e; Ab649: $response = $this->render("\x46\x72\157\156\164\x65\x6e\144\57\x53\x69\x74\145\x2f\166\x68\x6f\163\164\x2e\150\x74\155\x6c\56\x74\167\151\147", ["\x73\x69\x74\145" => $site]); goto fe9b9; d55b8: $site->setVhostTemplate($vhostTemplate); goto Cf384; D4b9e: $vhostTemplate = trim($request->get("\x76\x68\x6f\163\164\55\x74\145\x6d\x70\154\141\x74\145")); goto e2c7b; Cf384: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto b3cba; b3cba: if (!(false === is_null($response))) { goto f900c; } goto C50c6; A8c4e: a72b9: goto Ab649; C50c6: return $response; goto E402a; A29c5: A22d9: goto A8c4e; a911e: ce745: goto c5830; c1571: $domainName = $site->getDomainName(); goto Ddb29; Ca190: if (false === is_null($site)) { goto ce745; } goto cd90e; c5830: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto a72b9; } goto C7243; fe9b9: Cafa9: goto Fc39d; C7243: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\x68\157\163\x74\55\165\160\144\x61\x74\x65", (string) $request->get("\x74\x6f\153\x65\x6e")); goto c157d; Fc39d: return $response; goto aaa5e; Bebd9: $site = $this->getSite($request); goto Ca190; e2c7b: if (!(false === empty($vhostTemplate))) { goto A22d9; } goto c1571; E402a: f900c: goto A29c5; Ddb29: $siteEntity = $this->getSiteEntity($domainName); goto A3e4f; b50e1: throw new InvalidCsrfTokenException("\124\150\x65\x20\103\123\122\106\x20\164\x6f\153\x65\x6e\40\x69\163\x20\x69\156\166\141\x6c\x69\x64\x2e"); goto Daf5b; cd90e: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\145\163")); goto A76d8; c157d: if (!(false === $isCsrfTokenValid)) { goto fa4cd; } goto b50e1; A76d8: goto Cafa9; goto a911e; aaa5e: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto f606f; Fc251: $domainName = $site->getDomainName(); goto D7274; D7274: $vhostTemplate = $site->getVhostTemplate(); goto d927e; F78fb: return $response; goto Aaad2; Ef650: $siteEntity->setVhostTemplate($vhostTemplate); goto D28da; b1f53: $siteUpdater->updateNginxVhostWithRollback(); goto Ef650; C1885: if (!(true === str_contains($site->getVhostTemplate(), "\144\151\163\141\142\x6c\x65\137\163\171\155\154\x69\156\x6b\163"))) { goto b7fda; } goto Ffbcc; D28da: $this->siteEntityManager->updateEntity($siteEntity); goto c7dba; c7dba: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\x73", $this->translator->trans("\126\x68\x6f\x73\164\40\x68\141\163\x20\142\x65\145\156\x20\163\141\x76\145\x64\56")); goto ddfd6; Ffbcc: throw new InvalidVhostException("\144\151\163\x61\142\x6c\145\137\x73\x79\155\154\151\x6e\x6b\x73\40\151\x73\40\156\157\x74\x20\x61\154\154\x6f\x77\145\x64\x2e"); goto cc298; f606f: $user = $this->getUser(); goto b7ba4; D5906: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto E38a5; b7ba4: $session = $request->getSession(); goto C1885; d927e: $siteUpdater = $this->getSiteUpdater($site); goto b1f53; cc298: b7fda: goto Fc251; E38a5: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\137\166\150\157\x73\164", ["\144\157\155\141\151\156\x4e\x61\155\x65" => $domainName])); goto F78fb; ddfd6: $eventData = ["\163\151\164\x65" => $domainName, "\166\x68\x6f\163\164" => $vhostTemplate, "\157\154\144\x56\x68\x6f\163\164" => $oldVhostTemplate]; goto D5906; Aaad2: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\126\150\x6f\x73\164\40\x69\x73\40\x6e\157\164\40\x76\x61\x6c\151\144\54\40\145\x72\x72\157\162\40\x6d\x65\163\163\141\147\x65\x3a\40\x25\145\x72\x72\157\x72\x4d\145\x73\x73\141\x67\145\45", ["\x25\145\162\162\157\x72\x4d\x65\163\163\141\x67\x65\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\101\156\40\145\162\162\157\162\40\150\141\163\40\157\x63\143\165\x72\x72\145\144\54\40\145\162\x72\157\x72\x20\x6d\x65\163\x73\141\x67\145\x3a\40\45\145\x72\x72\x6f\162\115\145\x73\x73\x61\147\x65\45", ["\45\x65\162\x72\157\x72\115\x65\x73\163\141\x67\145\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto F9ffa; A9522: dff06: goto A6f33; Dbf3d: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\x73")); goto F615e; D0c2e: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto f23d7; } goto f4af0; f2fb7: eda6a: goto E04a6; f172b: Ddb42: goto D0c2e; A6f33: fbb43: goto Ba268; c018a: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto Be05f; } goto Deadf; c0d7a: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto d08e3; d0234: $pythonSettings = $site->getPythonSettings(); goto f16a0; c492b: a170d: goto F8a00; Deadf: $currentPhpSettings = clone $phpSettings; goto E5cdd; B5500: $reverseProxySettingsForm->handleRequest($request); goto cb66d; B8a7d: $pageSpeedSettingsData = ["\x69\x73\x45\x6e\141\x62\154\145\144" => $site->getPageSpeedEnabled(), "\163\x65\x74\x74\151\x6e\x67\x73" => $site->getPageSpeedSettings()]; goto faf72; Ed993: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto c16e1; e3807: $currentNodeSettings = clone $nodejsSettings; goto Fb1a8; B7885: Cb7a9: goto A4513; Cb41a: a9694: goto F59f3; b5546: if (!(false === is_null($response))) { goto f3c48; } goto afa6f; c2ae0: f701d: goto F96a3; B5c58: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto b5546; f16a0: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto C6c0e; fcc0a: if (!(true === $request->isMethod("\120\117\123\124"))) { goto fbb43; } goto B5500; Aa5df: $siteUserSettingsForm->handleRequest($request); goto ff650; eeb7c: e00c5: goto A41a4; E7fc3: $parameters["\x70\x68\x70\x53\145\164\164\151\x6e\147\x73\x46\157\162\x6d"] = $phpSettingsForm->createView(); goto B7885; ff650: $siteDeleteForm->handleRequest($request); goto De2b6; F2879: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto a1f4c; } goto aba72; B7494: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto f172b; Aea9e: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto Ed993; F96a3: $parameters["\x6e\157\x64\145\152\x73\x53\145\x74\164\x69\156\147\163\106\x6f\162\155"] = $nodejsSettingsForm->createView(); goto b2a8a; C63ac: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto be465; C9579: $phpSettings = $site->getPhpSettings(); goto fb912; F9ffa: $site = $this->getSite($request); goto De1d6; bee25: fbf57: goto Dab26; F8a00: $parameters["\x70\171\164\x68\x6f\x6e\x53\x65\x74\x74\151\156\147\x73\106\x6f\162\155"] = $pythonSettingsForm->createView(); goto F4ad4; bcb3c: return $response; goto Fa414; Ae9e2: $response = $this->render("\106\x72\x6f\156\x74\145\156\x64\57\x53\x69\164\145\x2f\163\145\x74\x74\x69\156\147\163\56\150\164\x6d\x6c\56\x74\x77\x69\x67", $parameters); goto A4239; B3153: Be05f: goto E7fc3; Dab26: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto Cb7a9; } goto C9579; C55ab: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto f2fb7; aba72: $domainSettingsForm->handleRequest($request); goto Aa5df; F59f3: Ea135: goto c492b; Fa28a: $pythonSettingsForm->handleRequest($request); goto Ac030; bdfc7: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto e00c5; } goto Bece9; De593: $nodejsSettings = $site->getNodejsSettings(); goto F40e5; F615e: goto Aeec0; goto Ae8a2; d08e3: Efa17: goto e44f3; E33a3: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto E891f; fb912: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto c018a; b2655: $parameters = ["\x73\x69\164\x65" => $site, "\x64\x6f\155\141\151\x6e\x53\145\164\x74\151\x6e\147\163\106\x6f\162\155" => $domainSettingsForm->createView(), "\x73\151\164\x65\125\163\x65\162\x53\x65\164\164\151\x6e\147\x73\x46\157\x72\x6d" => $siteUserSettingsForm->createView(), "\x70\141\x67\x65\x53\160\145\x65\144\x53\x65\164\x74\x69\x6e\x67\x73\x46\x6f\x72\x6d" => $pageSpeedSettingsForm->createView(), "\163\151\x74\145\104\x65\x6c\x65\x74\x65\106\x6f\x72\x6d" => $siteDeleteForm->createView()]; goto D52dc; cb66d: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto dff06; } goto c69bc; F4ad4: D6890: goto bdfc7; cd5e6: if (!(true === $siteDeleteForm->isSubmitted())) { goto eda6a; } goto C55ab; E04a6: if (!(false === is_null($response))) { goto d6b96; } goto c1735; A5300: f23d7: goto cd5e6; e44f3: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto Ddb42; } goto B7494; E9f2d: d4936: goto c2ae0; c16e1: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto F2879; De1d6: if (false === is_null($site)) { goto a0c4c; } goto Dbf3d; Ba268: $parameters["\162\145\x76\x65\162\x73\x65\x50\x72\157\x78\171\x53\x65\164\x74\151\156\x67\163\x46\157\x72\155"] = $reverseProxySettingsForm->createView(); goto Dbdd5; faf72: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto Aea9e; C6c0e: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto a170d; } goto Fa28a; Bbd14: if (!(true === $domainSettingsForm->isSubmitted())) { goto Efa17; } goto c0d7a; De2b6: $pageSpeedSettingsForm->handleRequest($request); goto D9557; Cd178: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto d4936; } goto B5c58; A41a4: $parameters["\146\x6f\x72\x6d\x45\x72\x72\157\x72\x73"] = $this->formErrors; goto Ae9e2; f4af0: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto A5300; Bece9: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto fcc0a; c1735: return $response; goto F51bd; B43f0: f3c48: goto E9f2d; Ae8a2: a0c4c: goto F3b04; Bcd23: if (!(false === is_null($response))) { goto A6036; } goto A127a; f02c7: Ebec9: goto B3153; E891f: if (!(false === is_null($response))) { goto Aceec; } goto bff2f; bff2f: return $response; goto b6302; a56df: a1f4c: goto b2655; C310a: if (!(true === $phpSettingsForm->isSubmitted())) { goto Ebec9; } goto E33a3; F3b04: $domainSettingsData = ["\x64\x6f\155\141\x69\x6e\116\141\155\x65" => $site->getDomainName(), "\162\157\157\164\104\151\x72\145\143\164\x6f\162\171" => $site->getRootDirectory()]; goto D8996; c69bc: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto Bcd23; D9557: $response = null; goto Bbd14; b2a8a: unset($parameters["\160\x61\147\145\123\x70\x65\145\x64\123\x65\x74\x74\151\156\x67\163\x46\x6f\x72\x6d"]); goto bee25; A127a: return $response; goto F9de7; Bfb27: return $response; goto Cb41a; D52dc: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto fbf57; } goto De593; D0a1a: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto f701d; } goto e3807; be465: if (!(false === is_null($response))) { goto a9694; } goto Bfb27; Ac030: if (!(true === $pythonSettingsForm->isSubmitted())) { goto Ea135; } goto C63ac; F9de7: A6036: goto A9522; F51bd: d6b96: goto a56df; afa6f: return $response; goto B43f0; A4239: Aeec0: goto bcb3c; D8996: $siteUserSettingsData = ["\x73\151\x74\x65\x55\163\x65\x72" => $site->getUser(), "\163\x73\150\x4b\x65\x79\x73" => $site->getSshKeys()]; goto b4375; F40e5: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto D0a1a; Dbdd5: unset($parameters["\x70\141\x67\x65\x53\x70\145\145\144\123\x65\x74\x74\x69\156\x67\x73\106\x6f\162\155"]); goto eeb7c; b6302: Aceec: goto f02c7; E5cdd: $phpSettingsForm->handleRequest($request); goto C310a; b4375: $siteDeleteData = ["\x64\157\155\141\x69\156\116\141\x6d\x65" => $site->getDomainName()]; goto B8a7d; Fb1a8: $nodejsSettingsForm->handleRequest($request); goto Cd178; A4513: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto D6890; } goto d0234; Fa414: } public function purgePageSpeedCache(Request $request) : Response { goto D5ae6; e934a: goto B8583; goto Bca3a; fd206: return $response; goto Ba2ed; e1173: if (false === is_null($site)) { goto c510a; } goto ecef1; D5ae6: $site = $this->getSite($request); goto e1173; Bca3a: c510a: goto Dc1b1; Dc1b1: try { goto Dd0a1; B28fe: $session = $request->getSession(); goto a4fe0; fd264: $siteUpdater->purgePageSpeedCache(); goto e55a2; B2e97: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto f830e; e55a2: $eventData = ["\163\151\x74\x65" => $site->getDomainName()]; goto B2e97; f830e: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\163", $this->translator->trans("\120\x61\147\145\x20\x53\160\145\145\x64\x20\103\141\x63\x68\x65\x20\150\x61\163\40\142\x65\x65\x6e\40\x70\x75\162\147\x65\x64\56")); goto be666; a4fe0: $siteUpdater = $this->getSiteUpdater($site); goto fd264; Dd0a1: $user = $this->getUser(); goto B28fe; be666: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\157\x72\x20\150\141\x73\40\x6f\143\x63\x75\x72\162\x65\144\54\40\145\x72\x72\157\x72\40\155\145\163\163\141\147\x65\72\x20\45\145\162\x72\157\x72\x4d\145\163\163\141\x67\145\x25", ["\x25\145\162\162\x6f\162\115\x65\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto A088a; bced7: return $response; goto C7a39; A088a: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\145\137\163\145\164\x74\x69\156\147\163", ["\144\x6f\155\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto bced7; ecef1: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\145\163")); goto e934a; C7a39: B8583: goto fd206; Ba2ed: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto F15d8; Bf3fd: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\154\141\x73\x73" => "\x62\x74\156\x20\x62\x74\x6e\55\142\x6c\165\x65\x20\x62\164\156\x2d\154\147"], "\154\141\x62\145\154" => "\123\x61\166\145"]); goto f2c3a; f2c3a: return $form; goto c673c; F15d8: $form = $this->createForm("\101\x70\x70\134\x46\x6f\162\x6d\134\123\151\164\145\104\157\x6d\x61\151\156\x53\x65\x74\164\151\156\147\x73\x54\x79\x70\145", $data, ["\x61\x63\164\151\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\163\151\164\145\137\x73\145\164\x74\x69\x6e\x67\x73", ["\x64\x6f\155\x61\151\x6e\116\x61\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\150\x6f\x64" => "\120\117\x53\x54", "\x61\164\x74\x72" => []]); goto Bf3fd; c673c: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto B2a0d; Af5b3: $form->add("\163\x75\142\155\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\141\163\x73" => "\x62\164\x6e\40\142\x74\156\x2d\142\x6c\x75\x65\x20\142\x74\x6e\x2d\154\x67"], "\154\x61\142\145\x6c" => "\x53\x61\166\145"]); goto a1737; B2a0d: $form = $this->createForm("\x41\x70\160\x5c\106\x6f\162\x6d\x5c\x53\151\164\145\125\163\145\162\123\145\x74\164\x69\x6e\147\x73\x54\171\x70\145", $data, ["\x61\x63\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\137\163\x65\164\x74\151\156\x67\163", ["\144\157\155\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\150\157\144" => "\120\x4f\123\124", "\x61\164\164\x72" => []]); goto Af5b3; a1737: return $form; goto D8600; D8600: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto a4939; c72a2: $form->add("\163\x75\142\155\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\141\x73\163" => "\x62\x74\156\40\142\164\x6e\x2d\142\x6c\x75\145\40\142\x74\156\x2d\x6c\x67"], "\x6c\141\142\145\x6c" => "\123\x61\x76\145"]); goto E8bc9; a4939: $form = $this->createForm("\101\x70\x70\134\106\x6f\162\x6d\x5c\x53\x69\x74\x65\x50\141\x67\145\123\160\145\145\144\x53\145\164\x74\151\x6e\147\163\124\x79\x70\x65", $data, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\143\154\160\x5f\x73\151\164\x65\137\x73\x65\x74\164\x69\156\x67\163", ["\144\157\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\145\164\150\157\144" => "\x50\x4f\123\124", "\x61\164\164\x72" => []]); goto c72a2; E8bc9: return $form; goto Ec827; Ec827: } private function createReverseProxySettingsForm(Site $site) : Form { goto f057b; f018f: $form = $this->createForm("\101\160\160\x5c\x46\157\x72\155\134\123\151\x74\x65\122\x65\x76\145\162\x73\x65\x50\x72\157\x78\171\x53\145\x74\164\x69\x6e\x67\163\124\171\160\145", $data, ["\141\x63\x74\x69\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\163\x69\x74\145\137\x73\x65\x74\x74\x69\x6e\x67\x73", ["\144\157\155\141\151\156\116\141\x6d\x65" => $site->getDomainName()]), "\155\145\164\150\x6f\144" => "\x50\117\x53\124", "\x61\x74\164\162" => ["\x69\144" => "\162\x65\166\145\x72\x73\x65\55\x70\x72\157\170\x79\x2d\x73\145\164\x74\x69\156\x67\163\x2d\146\157\162\155"]]); goto fe821; Bcc8e: return $form; goto F35da; fe821: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\x61\163\163" => "\x62\x74\x6e\40\142\x74\x6e\x2d\x62\154\165\x65\40\x62\164\x6e\55\x6c\147"], "\154\141\142\x65\x6c" => "\x53\x61\166\x65"]); goto Bcc8e; f057b: $data = ["\x72\x65\166\145\x72\163\145\x50\162\157\x78\x79\x55\x72\154" => $site->getReverseProxyUrl()]; goto f018f; F35da: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto D489b; db3ee: return $form; goto D86cc; D489b: $form = $this->createForm("\101\160\x70\x5c\106\157\x72\x6d\x5c\x53\151\164\x65\116\x6f\144\145\152\163\x53\145\164\164\x69\x6e\x67\163\x54\171\x70\x65", $nodejsSettings, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\137\163\145\x74\164\x69\x6e\x67\163", ["\x64\157\x6d\141\x69\x6e\x4e\x61\155\145" => $site->getDomainName()]), "\155\145\x74\150\x6f\144" => "\120\117\x53\124", "\141\164\x74\162" => ["\151\x64" => "\156\x6f\144\x65\152\163\55\x73\145\164\x74\151\x6e\x67\163\x2d\146\157\x72\155"]]); goto e8d19; e8d19: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\154\141\163\x73" => "\x62\164\156\x20\x62\x74\156\55\142\x6c\x75\x65\40\142\x74\156\x2d\x6c\147"], "\154\141\142\145\154" => "\123\141\166\145"]); goto db3ee; D86cc: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto ff2b4; Cca52: return $form; goto E4c99; B76b6: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\141\x73\163" => "\x62\164\156\x20\142\x74\156\x2d\x62\x6c\x75\x65\x20\142\x74\156\55\154\x67"], "\154\141\x62\145\154" => "\x53\x61\x76\145"]); goto Cca52; ff2b4: $form = $this->createForm("\101\x70\x70\x5c\106\157\162\155\x5c\x53\x69\x74\x65\120\x68\x70\x53\145\x74\x74\x69\x6e\x67\163\x54\171\x70\x65", $phpSettings, ["\x61\x63\164\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\151\164\145\137\x73\145\x74\164\x69\156\147\163", ["\144\x6f\155\141\x69\x6e\x4e\x61\155\145" => $site->getDomainName()]), "\x6d\145\164\150\157\144" => "\x50\x4f\x53\124", "\x61\x74\x74\x72" => []]); goto B76b6; E4c99: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto cdc1a; a5a4f: $form->add("\x73\x75\x62\155\x69\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\x6c\x61\x73\x73" => "\x62\x74\x6e\40\142\x74\156\55\x62\x6c\165\x65\x20\142\164\x6e\x2d\154\x67"], "\x6c\x61\x62\145\x6c" => "\x53\x61\166\145"]); goto a10ff; a10ff: return $form; goto C36ae; cdc1a: $form = $this->createForm("\101\x70\160\x5c\106\x6f\x72\x6d\134\123\x69\x74\x65\120\x79\x74\150\157\x6e\x53\x65\x74\x74\151\x6e\x67\163\124\171\160\145", $pythonSettings, ["\x61\143\164\x69\157\x6e" => $this->generateUrl("\x63\154\160\137\163\x69\164\145\137\163\x65\x74\164\x69\x6e\x67\x73", ["\144\157\x6d\141\x69\156\x4e\x61\155\x65" => $site->getDomainName()]), "\x6d\x65\x74\x68\x6f\144" => "\120\x4f\123\124", "\141\164\164\162" => []]); goto a5a4f; C36ae: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto b83ea; c2b85: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\x6c\x61\163\163" => "\142\164\156\40\142\164\156\55\x62\154\165\x65\40\x62\x74\156\55\x6c\147", "\144\x69\163\x61\142\x6c\x65\144" => "\144\151\x73\x61\142\154\145\144"], "\x6c\x61\x62\x65\154" => "\104\145\154\145\x74\145\40\x53\151\x74\x65"]); goto Da884; Da884: return $form; goto Cec1f; b83ea: $form = $this->createForm("\x41\x70\160\x5c\106\x6f\162\x6d\x5c\x53\151\x74\x65\104\x65\154\145\164\145\x54\171\x70\145", $data, ["\141\x63\164\x69\157\x6e" => $this->generateUrl("\x63\154\160\137\163\151\x74\145\x5f\163\145\164\164\151\156\x67\163", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\150\x6f\x64" => "\x50\117\x53\x54", "\141\164\x74\162" => []]); goto c2b85; Cec1f: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto a2f57; d1e47: goto C8d2d; goto Ca594; C4f1e: $this->formErrors = $this->getErrorMessages($form); goto d1e47; a2f57: if (true === $form->isValid()) { goto af227; } goto C4f1e; Ca594: af227: goto F2789; Cc27c: C8d2d: goto e6a6e; F2789: try { goto d13ce; E3959: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto f72d8; C3c19: be9de: goto dfefb; a5f23: $site->setRootDirectory($rootDirectory); goto E587b; Fae90: $siteEntity = $this->getSiteEntity($domainName); goto c7376; d13ce: $user = $this->getUser(); goto F17b0; Ca2d5: $siteUpdater = $this->getSiteUpdater($site); goto D1d91; f72d8: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\163", $this->translator->trans("\122\157\x6f\x74\40\x44\x69\162\x65\143\x74\157\162\171\x20\x68\x61\x73\40\142\145\x65\156\40\163\x61\x76\145\144\56")); goto C3c19; D1d91: $siteUpdater->domainSettings(); goto F587d; D8d32: $domainName = $site->getDomainName(); goto Fae90; dfefb: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\x5f\x73\145\164\x74\151\156\147\x73", ["\144\x6f\155\141\151\x6e\116\141\155\x65" => $site->getDomainName()])); goto C978c; C978c: return $response; goto Cce6a; c7376: if (!(false === is_null($siteEntity))) { goto be9de; } goto c63be; F17b0: $session = $request->getSession(); goto D8d32; Dea47: $this->siteEntityManager->updateEntity($siteEntity); goto Ca2d5; F587d: $eventData = ["\163\x69\164\x65" => $domainName, "\x72\157\157\164\104\151\162\145\x63\164\x6f\162\171" => $rootDirectory]; goto E3959; c63be: $rootDirectory = rtrim($form->get("\162\157\x6f\x74\x44\x69\162\145\143\164\x6f\x72\x79")->getData(), "\x2f"); goto a5f23; E587b: $siteEntity->setRootDirectory($rootDirectory); goto Dea47; Cce6a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\x41\x6e\40\x65\162\162\x6f\x72\x20\x68\141\163\x20\x6f\x63\x63\165\x72\162\x65\x64\54\40\x65\162\x72\x6f\x72\40\x6d\x65\x73\163\x61\147\x65\x3a\x20\45\x65\162\162\157\162\115\145\163\163\141\147\145\x25", ["\45\145\162\162\157\162\115\145\x73\x73\141\147\145\45" => $e->getMessage()])); } goto Cc27c; e6a6e: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto e9b7e; D6526: try { goto B3e10; Ca64f: $this->siteEntityManager->updateEntity($siteEntity); goto fa109; Af6bd: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\137\x73\145\164\164\x69\156\x67\x73", ["\144\x6f\x6d\141\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto b6ce0; Dcad9: if (!(false === empty($password))) { goto A0549; } goto fed3d; E68d7: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto bb8a6; d530e: $password = trim($form->get("\160\x61\x73\163\x77\157\162\x64")->getData()); goto Bb014; B3e10: $user = $this->getUser(); goto ea63d; bb8a6: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\x73", $this->translator->trans("\123\x69\164\x65\x20\x55\163\145\x72\40\x53\x65\x74\164\151\x6e\147\163\40\150\x61\166\145\40\142\x65\145\156\40\x73\x61\x76\145\144\56")); goto c7915; Bb8ae: A0549: goto Ad38a; Bb014: $siteEntity->setSshKeys($sshKeys); goto Ca64f; ea63d: $session = $request->getSession(); goto D1699; Ad38a: $eventData = ["\x73\x69\x74\145" => $domainName, "\163\163\150\113\145\x79\163" => $sshKeys]; goto E68d7; fed3d: $siteUpdater->changeUserPassword($siteUser, $password); goto Bb8ae; c7915: df154: goto Af6bd; b6ce0: return $response; goto cb0e4; fa109: $siteUpdater = $this->getSiteUpdater($site); goto f762c; f762c: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto Dcad9; eab36: $siteEntity = $this->getSiteEntity($domainName); goto B824d; D1699: $domainName = $site->getDomainName(); goto eab36; A5fe0: $siteUser = $site->getUser(); goto f4b10; B824d: if (!(false === is_null($siteEntity))) { goto df154; } goto A5fe0; f4b10: $sshKeys = trim($form->get("\x73\x73\150\x4b\145\x79\163")->getData()); goto d530e; cb0e4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\162", $this->translator->trans("\x41\x6e\40\145\x72\x72\x6f\162\x20\150\141\163\40\157\143\143\165\x72\x72\x65\144\x2c\40\145\x72\162\x6f\162\x20\155\x65\x73\x73\x61\x67\x65\x3a\x20\x25\x65\x72\x72\x6f\x72\115\145\163\163\x61\x67\x65\x25", ["\x25\x65\x72\x72\157\162\115\145\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto Ad0cf; C1628: $this->formErrors = $this->getErrorMessages($form); goto D956a; de31e: bb810: goto D6526; D956a: goto b14d0; goto de31e; e9b7e: if (true === $form->isValid()) { goto bb810; } goto C1628; Ad0cf: b14d0: goto C47f0; C47f0: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto eb244; d0633: try { goto ab1e5; Bd08b: $isEnabled = $form->get("\151\163\x45\x6e\141\x62\x6c\145\144")->getData(); goto F47ad; afbec: if (!(false === is_null($siteEntity))) { goto fdc7a; } goto Bd08b; acea5: $siteEntity->setPageSpeedEnabled($isEnabled); goto Bd3df; Eed0e: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\145\x5f\163\x65\164\164\x69\x6e\x67\163", ["\144\x6f\155\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto D36ef; ee773: $session = $request->getSession(); goto d8d25; Bf873: fdc7a: goto Eed0e; F523b: $site->setPageSpeedEnabled($isEnabled); goto Fefde; E5cef: $siteUpdater = $this->getSiteUpdater($site); goto Ffc3f; Bd3df: $siteEntity->setPageSpeedSettings($settings); goto A9389; Fefde: $site->setPageSpeedSettings($settings); goto E5cef; Aed6e: $eventData = ["\x73\x69\164\x65" => $domainName, "\160\141\x67\145\123\160\x65\x65\x64\x45\156\141\142\154\145\x64" => $isEnabled, "\x70\141\147\145\x53\x70\x65\145\x64\x53\145\x74\x74\x69\x6e\x67\163" => $settings]; goto a7c58; A9389: $this->siteEntityManager->updateEntity($siteEntity); goto Aed6e; F47ad: $settings = trim($form->get("\163\145\164\164\x69\x6e\147\163")->getData()); goto F523b; edc4b: $session->getFlashBag()->set("\163\165\x63\143\145\x73\x73", $this->translator->trans("\x50\141\147\x65\x20\123\160\145\x65\144\x20\x53\145\164\164\x69\156\x67\x73\40\150\141\166\x65\40\142\145\145\156\x20\163\141\x76\x65\x64\56")); goto Bf873; a7c58: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto edc4b; f07b5: $siteEntity = $this->getSiteEntity($domainName); goto afbec; bb52f: $siteUpdater->purgePageSpeedCache(); goto acea5; Ffc3f: $siteUpdater->updateNginxVhostWithRollback(); goto bb52f; ab1e5: $user = $this->getUser(); goto ee773; d8d25: $domainName = $site->getDomainName(); goto f07b5; D36ef: return $response; goto cb798; cb798: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\156\147\145\162", $this->translator->trans("\120\141\147\145\x53\160\145\145\x64\40\x53\x65\164\164\x69\x6e\147\40\x61\x72\145\x20\156\x6f\164\x20\166\x61\154\151\144\x2c\x20\x65\x72\x72\157\x72\40\155\x65\163\163\x61\x67\145\72\x20\x25\x65\x72\162\x6f\x72\115\x65\163\163\x61\x67\145\45", ["\45\145\x72\162\157\162\115\x65\163\x73\x61\147\145\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\x6f\162\x20\x68\141\163\x20\157\x63\143\x75\162\162\145\144\x2c\x20\x65\162\x72\x6f\x72\x20\155\145\x73\x73\141\x67\145\x3a\x20\45\145\162\162\157\162\x4d\x65\x73\163\141\147\145\45", ["\45\145\x72\162\x6f\162\115\x65\x73\163\x61\147\145\x25" => $e->getMessage()])); } goto F41dc; E8985: goto D8efe; goto C84a5; C84a5: a2cb9: goto d0633; F41dc: D8efe: goto b21a7; eb244: if (true === $form->isValid()) { goto a2cb9; } goto F023c; F023c: $this->formErrors = $this->getErrorMessages($form); goto E8985; b21a7: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto e5bef; b0e88: ffaae: goto bb315; bb315: try { goto Bba92; abff4: ab717: goto b09bc; F0589: return $response; goto A653d; Bc74b: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\x73", $this->translator->trans("\x53\x69\x74\145\x20\x68\x61\x73\40\142\x65\145\x6e\40\144\145\154\145\x74\x65\144\x2e")); goto abff4; b09bc: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\145\x73")); goto F0589; E598d: $domainName = $site->getDomainName(); goto c8856; A1f20: $siteDeleter->delete(); goto fac0e; E0d06: $session = $request->getSession(); goto E598d; C99f4: $siteDeleter = $this->getSiteDeleter($site); goto A1f20; Eff26: if (!(false === is_null($siteEntity))) { goto ab717; } goto C99f4; Bba92: $user = $this->getUser(); goto E0d06; fac0e: $this->siteEntityManager->deleteEntity($siteEntity); goto bb0fb; cab83: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto Bc74b; c8856: $siteEntity = $this->getSiteEntity($domainName); goto Eff26; bb0fb: $eventData = ["\163\151\x74\145" => $domainName, "\164\x79\x70\145" => $site->getType()]; goto cab83; A653d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\x6f\x72\x20\150\x61\163\x20\157\143\143\165\x72\162\145\144\54\40\x65\x72\162\x6f\x72\x20\155\145\163\x73\141\x67\145\x3a\40\45\145\x72\x72\157\x72\115\x65\x73\x73\x61\x67\x65\x25", ["\45\x65\162\x72\157\x72\x4d\145\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto Ee556; bebe9: goto bd478; goto b0e88; Ee556: bd478: goto cb07b; b9eff: $this->formErrors = $this->getErrorMessages($form); goto bebe9; e5bef: if (true === $form->isValid()) { goto ffaae; } goto b9eff; cb07b: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto e072a; B459f: try { goto d7b26; e3682: $siteUpdater->nodejsSettings(); goto aabb2; Ea2b8: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\x5f\x73\x65\x74\x74\151\x6e\147\163", ["\144\157\x6d\x61\x69\x6e\x4e\141\155\145" => $site->getDomainName()])); goto add97; C9f19: $session = $request->getSession(); goto dbc55; Daed0: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto C7350; C7350: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\x73", $this->translator->trans("\116\x6f\x64\145\56\x6a\163\40\x53\145\x74\x74\151\x6e\147\x73\40\x68\141\x76\145\x20\x62\145\x65\x6e\x20\x73\141\x76\x65\144\x2e")); goto c41d4; c100e: if (!(false === is_null($siteEntity))) { goto f113e; } goto E8809; d7b26: $user = $this->getUser(); goto C9f19; c41d4: f113e: goto Ea2b8; f0446: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto Da7d6; dbc55: $domainName = $site->getDomainName(); goto f3d37; f3d37: $siteEntity = $this->getSiteEntity($domainName); goto c100e; C7725: $siteUpdater->installNodejsVersion(); goto A3181; add97: return $response; goto Fcb83; Ce947: $siteUpdater = $this->getSiteUpdater($site); goto A7144; E8809: $nodejsSettings = $form->getData(); goto f0446; E58ce: $eventData = ["\163\x69\164\x65" => $domainName, "\x6e\x6f\x64\x65\152\163\126\x65\x72\163\x69\x6f\x6e" => $nodejsVersion, "\160\157\x72\x74" => $nodejsSettings->getPort()]; goto Daed0; A3181: a3eb5: goto e3682; A7144: if (!(true === $hasNodejsVersionChanged)) { goto a3eb5; } goto C7725; aabb2: $this->siteEntityManager->updateEntity($siteEntity); goto E58ce; Da7d6: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto Ce947; Fcb83: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\x41\156\40\x65\162\x72\157\x72\40\150\x61\163\40\x6f\143\143\x75\162\162\x65\144\54\x20\145\162\x72\x6f\162\x20\155\x65\163\x73\x61\147\x65\x3a\x20\x25\145\162\x72\157\x72\x4d\x65\163\x73\141\147\x65\x25", ["\45\x65\x72\x72\157\x72\x4d\145\x73\163\x61\147\145\45" => $e->getMessage()])); } goto ca77c; be03e: goto c16db; goto d3399; e072a: if (true === $form->isValid()) { goto Ea2ec; } goto C6824; d3399: Ea2ec: goto B459f; ca77c: c16db: goto F7168; C6824: $this->formErrors = $this->getErrorMessages($form); goto be03e; F7168: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto Bcd30; Dcdb1: c85b8: goto Ce5eb; Bcd30: if (true === $form->isValid()) { goto Fdbac; } goto B4877; B4877: $this->formErrors = $this->getErrorMessages($form); goto Dc6d9; d6b90: try { goto E47a5; E47a5: $user = $this->getUser(); goto Aa355; F0c6e: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto A5cd3; B7aac: $siteUpdater->pythonSettings(); goto a4717; Faed4: $eventData = ["\x73\x69\164\145" => $domainName, "\x70\x79\x74\150\x6f\156\x56\145\162\x73\151\157\x6e" => $pythonVersion, "\x70\157\x72\164" => $pythonSettings->getPort()]; goto F0c6e; B2b33: $siteUpdater = $this->getSiteUpdater($site); goto b2ec6; a4717: $this->siteEntityManager->updateEntity($siteEntity); goto Faed4; D6d5a: $pythonVersion = $pythonSettings->getPythonVersion(); goto B2b33; dfe36: $siteEntity = $this->getSiteEntity($domainName); goto b2f51; bc6fc: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\x5f\163\145\x74\x74\151\156\147\x73", ["\x64\157\x6d\141\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto d0c59; b2f51: if (!(false === is_null($siteEntity))) { goto b70b8; } goto D4c29; A5cd3: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\120\x79\164\x68\157\156\40\x53\x65\164\164\x69\x6e\x67\x73\x20\x68\x61\166\x65\40\142\x65\x65\x6e\40\x73\x61\166\x65\x64\56")); goto a0a16; D4c29: $pythonSettings = $form->getData(); goto D6d5a; Aa355: $session = $request->getSession(); goto b9b30; a0a16: b70b8: goto bc6fc; d0c59: return $response; goto C68cb; b9b30: $domainName = $site->getDomainName(); goto dfe36; b2ec6: $siteUpdater->writePythonVersionFile(); goto B7aac; C68cb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\101\156\40\145\x72\x72\x6f\162\x20\150\141\163\x20\157\x63\143\x75\162\162\x65\x64\54\x20\x65\162\x72\x6f\162\x20\x6d\145\163\163\x61\x67\145\x3a\x20\x25\x65\162\x72\157\x72\115\145\163\x73\x61\147\145\45", ["\45\x65\x72\x72\x6f\x72\115\x65\163\x73\141\147\145\45" => $e->getMessage()])); } goto Dcdb1; Dc6d9: goto c85b8; goto c5111; c5111: Fdbac: goto d6b90; Ce5eb: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto A9356; A9356: if (true === $form->isValid()) { goto d1a37; } goto F64a0; e47fe: goto b48aa; goto c1a4f; Ecc0b: b48aa: goto ee2e1; c1a4f: d1a37: goto A3bad; A3bad: try { goto F57c8; A2d78: f6b0b: goto fa92f; fa92f: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\x65\137\163\145\164\164\151\156\147\x73", ["\x64\157\155\141\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto Ab2eb; b8ecf: $this->siteEntityManager->updateEntity($siteEntity); goto cd2da; F3f44: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\x52\x65\x76\x65\162\163\145\40\x50\x72\x6f\170\x79\40\123\x65\x74\x74\x69\x6e\147\x73\x20\x68\141\x76\x65\40\142\x65\145\156\40\x73\x61\x76\145\144\56")); goto A2d78; F57c8: $user = $this->getUser(); goto c83ab; C0c2c: $domainName = $site->getDomainName(); goto aab31; Ab2eb: return $response; goto ff5d9; e07bb: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto a37c1; Dc10b: $reverseProxyUrl = $form->get("\x72\x65\x76\145\x72\x73\x65\120\x72\157\x78\171\x55\x72\x6c")->getData(); goto Aedea; a37c1: $siteUpdater = $this->getSiteUpdater($site); goto F8e8e; F8e8e: $siteUpdater->updateNginxVhostWithRollback(); goto b8ecf; c83ab: $session = $request->getSession(); goto C0c2c; D8608: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto F3f44; cd2da: $eventData = ["\163\x69\x74\145" => $domainName, "\x72\x65\166\x65\x72\163\x65\x50\x72\x6f\x78\171\125\x72\154" => $reverseProxyUrl]; goto D8608; D85e7: if (!(false === is_null($siteEntity))) { goto f6b0b; } goto Dc10b; Aedea: $site->setReverseProxyUrl($reverseProxyUrl); goto e07bb; aab31: $siteEntity = $this->getSiteEntity($domainName); goto D85e7; ff5d9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x41\156\x20\145\162\x72\x6f\x72\x20\x68\141\x73\40\x6f\143\143\165\x72\162\x65\144\x2c\x20\x65\x72\x72\x6f\x72\40\155\145\x73\x73\x61\x67\145\x3a\40\45\145\x72\x72\x6f\162\115\x65\163\163\x61\x67\x65\x25", ["\45\x65\x72\x72\157\162\x4d\145\163\163\141\147\x65\x25" => $e->getMessage()])); } goto Ecc0b; F64a0: $this->formErrors = $this->getErrorMessages($form); goto e47fe; ee2e1: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto ac096; B8c53: goto bff42; goto de6d9; ac096: if (true === $form->isValid()) { goto B5b2d; } goto f917f; f917f: $this->formErrors = $this->getErrorMessages($form); goto B8c53; de6d9: B5b2d: goto C6728; C6728: try { goto d8575; aaced: $phpSettings = $form->getData(); goto f466c; F3e81: if (!(false === is_null($siteEntity))) { goto B67fc; } goto aaced; f466c: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto Cb1c9; B8404: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\x50\110\x50\x20\123\145\164\x74\x69\156\x67\x73\40\150\141\166\x65\x20\x62\145\x65\x6e\40\163\x61\x76\x65\x64\56")); goto E93cc; dde86: Ea000: goto b402e; D55be: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x5f\x73\145\164\164\x69\156\x67\x73", ["\144\x6f\x6d\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto e064c; b402e: $siteUpdater->phpSettings(); goto bb2a8; Fac57: $domainName = $site->getDomainName(); goto C7461; b9313: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto dde86; d8575: $user = $this->getUser(); goto a9177; bb2a8: $this->siteEntityManager->updateEntity($siteEntity); goto ca58b; Cb1c9: $siteUpdater = $this->getSiteUpdater($site); goto F52d3; e064c: return $response; goto A9390; ca58b: $eventData = ["\163\x69\x74\x65" => $domainName, "\x70\150\160\126\x65\x72\x73\151\157\156" => $phpSettings->getPhpVersion(), "\x6d\x65\x6d\157\162\x79\x5f\154\151\x6d\x69\x74" => $phpSettings->getMemoryLimit(), "\155\x61\x78\137\x65\170\x65\143\165\x74\x69\x6f\x6e\137\164\151\155\x65" => $phpSettings->getMaxExecutionTime(), "\155\x61\x78\x5f\151\x6e\x70\165\x74\x5f\x74\x69\155\x65" => $phpSettings->getMaxInputTime(), "\155\141\x78\x5f\151\156\160\x75\164\x5f\x76\x61\162\x73" => $phpSettings->getMaxInputVars(), "\160\157\163\x74\137\x6d\x61\170\137\163\151\x7a\x65" => $phpSettings->getPostMaxSize(), "\165\160\x6c\x6f\141\x64\x5f\x6d\141\170\x5f\146\151\x6c\145\163\x69\x7a\x65" => $phpSettings->getUploadMaxFileSize()]; goto f010d; C7461: $siteEntity = $this->getSiteEntity($domainName); goto F3e81; a9177: $session = $request->getSession(); goto Fac57; E93cc: B67fc: goto D55be; F52d3: if (!(true === $hasPhpVersionChanged)) { goto Ea000; } goto b9313; f010d: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto B8404; A9390: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\40\x65\x72\x72\x6f\x72\x20\x68\x61\163\40\157\x63\143\165\x72\x72\145\x64\x2c\x20\x65\162\162\x6f\x72\x20\x6d\x65\x73\x73\141\x67\145\72\x20\x25\145\x72\162\x6f\162\x4d\x65\x73\163\141\x67\145\x25", ["\45\x65\x72\x72\x6f\162\115\x65\163\163\x61\147\145\45" => $e->getMessage()])); } goto faece; faece: bff42: goto f269b; f269b: } private function getSite(Request $request) : ?Site { goto a1213; b15bd: $site->setCronJobs($siteEntity->getCronJobs()); goto Da6ce; B564d: if (!(false === is_null($siteEntity))) { goto a4909; } goto f4945; E9546: b0500: goto a42fa; f4945: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto e5905; } goto A13e5; E924f: $siteEntity = $this->getSiteEntity($domainName); goto A0d16; Eb36d: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Add06; A6f86: $site->setSshKeys($siteEntity->getSshKeys()); goto d7de1; Ece53: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Cca17; A9044: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Ea66f; E29d9: $site->setBlockedBots($siteEntity->getBlockedBots()); goto D2d35; Eb666: $site->setRegistrableDomain($registrableDomain); goto eeb4c; D1c51: if (!(false === is_null($site))) { goto F52cc; } goto A9044; a1213: $user = $this->getUser(); goto B1500; acd50: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto a0bf3; Ea66f: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Eb36d; Bfd92: $site->setBasicAuth($siteEntity->getBasicAuth()); goto E29d9; A13e5: return null; goto D9b35; cea6a: $site->setDatabases($siteDatabases); goto b3eed; B1500: $domainName = $request->get("\144\x6f\155\141\151\x6e\x4e\141\155\145"); goto E924f; Fb000: $site->setDomainName($siteEntity->getDomainName()); goto Eb666; A3cd0: $site->setSshUsers($siteEntity->getSshUsers()); goto A6f86; D9b35: e5905: goto af205; a42fa: Af974: goto D1c51; Add06: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Ece53; be8c1: return $site; goto b2b03; ef787: F52cc: goto Cc8d5; Da6ce: $site->setFtpUsers($siteEntity->getFtpUsers()); goto A3cd0; d7de1: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto f94ee; b3eed: $site->setCertificate($siteEntity->getCertificate()); goto e17d3; e17d3: $site->setCertificates($siteEntity->getCertificates()); goto b15bd; D2d35: $site->setBlockedIps($siteEntity->getBlockedIps()); goto cea6a; A0d16: $site = null; goto B564d; Be6c7: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Bfd92; Cca17: $site->setUser($siteEntity->getUser()); goto Fb000; af205: $siteType = $siteEntity->getType(); goto F134c; Cc8d5: a4909: goto be8c1; a0bf3: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto ef787; f94ee: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto acd50; eeb4c: $site->setSubdomain($subdomain); goto Be6c7; F134c: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto E61a3; E61a3: $site = new NodejsSite(); goto ffa12; Ea018: goto Af974; goto A6e4f; ffa12: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Ea018; A6e4f: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto Af974; case SiteEntity::TYPE_PHP: goto E1138; Df78c: $site->setVarnishCache($siteEntity->getVarnishCache()); goto D4581; E1138: $site = new PhpSite(); goto B12ec; D4581: goto Af974; goto F9561; B12ec: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Df78c; F9561: case SiteEntity::TYPE_PYTHON: goto b5f66; b5f66: $site = new PythonSite(); goto C6bc8; C9381: goto Af974; goto d345c; C6bc8: $site->setPythonSettings($siteEntity->getPythonSettings()); goto C9381; d345c: case SiteEntity::TYPE_REVERSE_PROXY: goto C53d0; C53d0: $site = new ReverseProxySite(); goto a023d; B886b: goto Af974; goto Ab593; a023d: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto B886b; Ab593: } goto E9546; b2b03: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto F49dc; C7a22: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto fb772; fb772: $databaseEntities = $siteEntity->getDatabases(); goto a599e; a599e: foreach ($databaseEntities as $databaseEntity) { goto b10d3; d9598: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto Dc705; } goto ca44c; b10d3: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto d9598; a0d1c: Dc705: goto Cf58d; Cf58d: aee81: goto C860e; ca44c: $siteDatabases->add($databaseEntity); goto a0d1c; C860e: } goto F4a17; F49dc: $siteDatabases = new ArrayCollection(); goto C7a22; d387b: return $siteDatabases; goto addb4; F4a17: a6e0c: goto d387b; addb4: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto Fe377; dc22e: Ed358: goto D0987; e3cc3: ccfae: goto dc22e; D0987: return $siteUpdater; goto d1d7b; Bdeda: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Ed358; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Ed358; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Ed358; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Ed358; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Ed358; } goto e3cc3; a135b: $siteType = $site->getType(); goto Bdeda; Fe377: $siteUpdater = null; goto a135b; d1d7b: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto c6654; D505b: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto Ea3a7; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto Ea3a7; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto Ea3a7; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto Ea3a7; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto Ea3a7; } goto F14da; B9840: Ea3a7: goto fbf5d; F14da: ccace: goto B9840; A769d: $siteType = $site->getType(); goto D505b; c6654: $siteDeleter = null; goto A769d; fbf5d: return $siteDeleter; goto c8f23; c8f23: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
