<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\164\x74\160\x73\72\57\x2f\x64\63\x71\x6e\x64\x35\x34\161\x38\x67\x62\63\x6a\145\x2e\x63\x6c\x6f\165\144\x66\x72\157\x6e\x74\56\x6e\x65\x74\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto Cd739; F4d82: $this->userManager = $userManager; goto Bddb0; Bddb0: $this->cachePool = $cachePool; goto Afe5b; fae5b: $this->databaseServerManager = $databaseServerManager; goto F4d82; Afe5b: $this->twig = $twig; goto a1145; Cd739: $this->configManager = $configManager; goto fae5b; a1145: } public function onKernelRequest(RequestEvent $event) : void { goto f0ac2; f820d: return; goto C21fd; f0ac2: if (!(false === $event->isMainRequest())) { goto C6bfd; } goto f820d; C21fd: C6bfd: goto ca734; ca734: $this->initialize($event); goto dbf7a; dbf7a: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto a7f77; e62f5: $this->initialize($event); goto A413a; Dca7e: if (!$command instanceof Command) { goto d4b06; } goto e62f5; a7f77: $command = $event->getCommand(); goto Dca7e; A413a: d4b06: goto ae158; ae158: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto f93cb; df7ce: $this->setEnvironment($event); goto C95a9; Ca3b5: $this->setCloudPanelReleaseChannel(); goto a8a98; c70a5: $this->setCloudPanelVersion(); goto Ca3b5; a8a98: $this->setLetsEncryptPrivateKey(); goto B780b; Ef118: $this->setInstanceUid(); goto c70a5; B780b: $this->setDatabaseServer($event); goto df7ce; f93cb: $this->setTimezone(); goto Ef118; C95a9: } private function setTimezone() : void { goto ef21b; c9cf2: e9b21: goto efd50; D4e9f: if (!(true === is_null($timezone))) { goto e9b21; } goto c6739; ef21b: $timezone = $this->configManager->get("\164\151\x6d\145\172\x6f\x6e\145"); goto D4e9f; c6739: $this->configManager->set("\x74\151\x6d\x65\172\x6f\156\145", "\125\124\103"); goto c9cf2; efd50: } private function setInstanceUid() : void { goto F78d2; F78d2: $instanceUid = $this->configManager->get("\x69\156\x73\x74\x61\x6e\143\x65\x5f\165\x69\x64"); goto ea10a; A9501: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto eff16; eff16: $this->configManager->set("\151\x6e\163\164\141\x6e\x63\x65\x5f\x75\x69\144", $instanceUid); goto B8d42; B8d42: D054b: goto A40f2; ea10a: if (!(true === is_null($instanceUid))) { goto D054b; } goto A9501; A40f2: } private function setCloudPanelVersion() : void { goto D4219; a56af: $this->configManager->set("\x61\x70\x70\137\x76\145\162\x73\x69\157\x6e", trim($appVersion)); goto C375a; D4219: $appVersion = $_ENV["\x41\x50\120\137\x56\x45\x52\123\x49\x4f\116"] ?? null; goto Be154; Be154: if (!(false === is_null($appVersion))) { goto B4879; } goto a56af; C375a: B4879: goto A8c84; A8c84: } private function setCloudPanelReleaseChannel() : void { goto E8c59; bc964: $this->configManager->set("\162\145\154\x65\141\163\x65\x5f\x63\x68\x61\156\156\x65\x6c", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto Cc417; Bfdbc: if (!(true === is_null($releaseChannel))) { goto Aa753; } goto bc964; E8c59: $releaseChannel = $this->configManager->get("\162\x65\x6c\145\141\163\145\137\143\150\141\x6e\156\x65\154"); goto Bfdbc; Cc417: Aa753: goto Bdd03; Bdd03: } private function setLetsEncryptPrivateKey() { goto fa24f; C74e7: f6bc5: goto F697f; Ae3cb: if (!(true === is_null($letsEncryptPrivateKey))) { goto c5f6f; } goto Ae138; fa24f: $numberOfUsers = $this->userManager->countAll(); goto fa0d6; fa0d6: if (!(0 < $numberOfUsers)) { goto f6bc5; } goto f26e4; f26e4: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\137\x70\x72\151\x76\x61\x74\145\x5f\x6b\145\171"); goto Ae3cb; B6568: $this->configManager->set("\x6c\145\137\160\162\151\166\x61\164\x65\x5f\x6b\x65\171", $privateKey->getPEM()); goto a45bd; Ae138: $rsaKeyGenerator = new RsaKeyGenerator(); goto f7c11; a45bd: c5f6f: goto C74e7; f7c11: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto B6568; F697f: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto C2ad7; Ac829: $encryptedPassword = Crypto::encrypt($password); goto f3505; a85dc: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto b586f; } goto c2347; Ac99e: $passwordGenerator = new PasswordGenerator(); goto A0530; bcb57: b586f: goto B64e6; ad317: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto b1ccd; D6b10: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto aedd6; dae36: $databaseServer->setVersion($databaseConnection->getVersion()); goto Dc5a8; Ee73e: $databaseServer->setUserName("\162\157\157\x74"); goto Dc42c; Ed921: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto F1472; b1ccd: f363c: goto C3c11; eed26: if (!("\144\145\x76" != $_ENV["\x41\120\120\137\105\116\x56"])) { goto f363c; } goto f7886; a11fd: $password = "\x72\157\x6f\164"; goto f580e; c2347: if ("\144\145\x76" == $_ENV["\x41\x50\x50\137\x45\x4e\126"]) { goto Bd601; } goto Ac99e; aedd6: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto ad317; D307e: $databaseServer->setIsDefault(true); goto c4dd9; f7886: $tmpDatabaseServer = clone $databaseServer; goto C623b; f87c2: $databaseServer->setHost("\61\62\67\56\60\56\60\56\x31"); goto Ee73e; F1472: $changeDatabaseUserPasswordCommand->setUserName("\x72\x6f\157\x74"); goto D6b10; Ed405: $databaseServer->setIsActive(true); goto D307e; bbe41: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto Ed405; Dcd47: $commandExecutor = new CommandExecutor(); goto Ed921; f580e: D5df6: goto Ac829; f3505: $databaseServer = $this->databaseServerManager->createEntity(); goto f87c2; C2ad7: $numberOfUsers = $this->userManager->countAll(); goto Fc951; A0530: $password = $passwordGenerator->generate(); goto Ae8c4; Ae8c4: goto D5df6; goto A7133; A7133: Bd601: goto a11fd; C623b: $tmpDatabaseServer->setPassword("\162\157\x6f\x74"); goto Dcd47; D3424: $databaseServer->setEngine($databaseConnection->getEngine()); goto dae36; Fc951: $databaseServers = $this->databaseServerManager->findAll(); goto a85dc; Dc5a8: $databaseServer->setPassword($encryptedPassword); goto eed26; C3c11: $this->databaseServerManager->updateEntity($databaseServer); goto bcb57; Dc42c: $databaseServer->setPassword(Crypto::encrypt("\162\x6f\157\164")); goto bbe41; c4dd9: $databaseConnection = new DatabaseConnection($databaseServer); goto D3424; B64e6: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto daa15; fc830: $this->twig->addGlobal("\x69\x73\x44\141\x72\153\115\157\144\145", $isDarkMode); goto c0317; d82b2: c002a: goto fde51; B9d62: $request->attributes->set("\x69\x73\104\x61\162\x6b\x4d\x6f\x64\x65", $isDarkMode); goto Aa6af; Cb723: $host = $request->getHost(); goto d9263; Aa6af: $this->twig->addGlobal("\151\x6e\x73\x74\141\156\x63\145", $instance); goto fc830; cd7c7: if (!(false === is_null($instanceUid))) { goto c002a; } goto e6ac2; ca137: $environment = new CloudPanelEnvironment(); goto e4153; f9999: F6a7f: goto E86d1; f2e39: try { $ipv4PublicIp = $this->cachePool->get("\x69\160\x76\64\x5f\160\x75\x62\x6c\x69\143\x5f\x69\160", function (ItemInterface $item) { goto ae09b; ae09b: $item->expiresAfter(3600); goto e01fa; ba552: $request = new Request("\107\105\124", self::IP_REQUEST_URL); goto bff72; bff72: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto d86cf; a9f3a: return $ipv4PublicIp; goto C3d84; e01fa: $ipv4PublicIp = null; goto F15e6; F15e6: $config = ["\x74\x69\155\x65\x6f\x75\164" => 5, "\166\145\162\151\146\171" => false, "\150\145\x61\144\145\162\163" => ["\125\163\x65\x72\55\x41\x67\145\x6e\164" => "\103\154\157\165\144\x50\x61\x6e\145\154\40\x76\62"]]; goto A1720; b151f: $ipv4PublicIp = trim((string) $response->getBody()); goto A1b9c; A1b9c: E9695: goto a9f3a; Dff80: if (!(200 == $responseStatusCode)) { goto E9695; } goto b151f; d86cf: $responseStatusCode = $response->getStatusCode(); goto Dff80; A1720: $httpClient = new HttpClient($config); goto ba552; C3d84: }); } catch (\Exception $e) { } goto Dd8b7; A149f: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto Edef4; e4153: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto c6b78; d4f02: if (!("\144\145\x76" == $_ENV["\101\120\x50\137\105\x4e\126"])) { goto e371e; } goto b825a; f9a13: $instance = new AwsInstance(); goto d4f02; e00f9: e371e: goto d7fb7; a54ac: $region = $_ENV["\104\x45\x56\x5f\x41\x57\123\x5f\x52\105\107\111\x4f\x4e"] ?? ''; goto c6057; a7d32: $instance->setInstanceType("\164\x33\56\x78\154\141\162\147\x65"); goto d0d21; c6057: $instance->setInstanceId($instanceId); goto a7d32; c6b78: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto f9a13; b825a: $instanceId = $_ENV["\x44\105\126\x5f\101\127\x53\137\x49\x4e\x53\x54\101\x4e\103\105\x5f\x49\x44"] ?? ''; goto a54ac; d0d21: $instance->setRegion($region); goto e00f9; d7fb7: goto Ff370; goto ab476; ab476: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto D9bc2; D9bc2: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto F0353; ee7dd: goto Ff370; goto a00f4; E4f84: $dropletId = $_ENV["\x44\105\x56\x5f\104\117\137\x44\x52\117\120\114\x45\x54\137\x49\104"] ?? ''; goto bbdf7; F0353: $doClient = new DoClient(); goto dcd3d; F3ad0: $doClient->setInstance($instance); goto b1872; a968c: $instance->setFloatingIp("\61\x32\67\x2e\x30\x2e\60\56\x31"); goto a1b25; B89ff: $doClient->setToken($token); goto b3ef1; f9004: $instance->setDropletId($dropletId); goto f5b2f; b1872: if (!("\x64\145\166" == $_ENV["\101\120\x50\x5f\105\116\x56"])) { goto C12bb; } goto E4f84; f5b2f: $instance->setRegion($region); goto a968c; b3ef1: D20ee: goto C984a; bbdf7: $region = $_ENV["\x44\x45\x56\137\104\117\137\x52\105\x47\111\117\116"] ?? ''; goto f9004; C984a: $instance = new DoInstance($doClient); goto F3ad0; dcd3d: $token = $this->configManager->get("\x64\157\137\141\x63\x63\145\163\163\137\164\x6f\x6b\x65\x6e"); goto bb6a4; a1b25: $instance->setIpv4PublicIp("\61\x32\67\x2e\60\x2e\60\x2e\61"); goto a8e75; bb6a4: if (!(false === is_null($token))) { goto D20ee; } goto B89ff; a8e75: C12bb: goto ee7dd; a00f4: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto ba25f; Fe1bb: $gceClient->setGceInstance($instance); goto e3f97; Cc829: f17f5: goto bc8e6; f9960: goto Ff370; goto af8c0; B0cbb: $projectId = $_ENV["\104\105\126\x5f\x47\x43\105\x5f\x50\x52\117\x4a\105\103\x54\x5f\111\x44"] ?? ''; goto e29c9; c49d3: $instance->setMachineType($machineType); goto B8402; e29c9: $instanceId = $_ENV["\x44\105\126\x5f\107\103\x45\137\111\x4e\x53\124\x41\116\x43\x45\137\x49\x44"] ?? ''; goto dad08; bc8e6: $instance = new GceInstance($gceClient); goto Fe1bb; B63ef: A0d4a: goto f9960; dad08: $instanceName = $_ENV["\104\x45\x56\x5f\107\103\105\x5f\x49\116\123\124\101\x4e\x43\105\x5f\116\x41\115\x45"] ?? ''; goto c2641; B8402: $instance->setZone($zone); goto B63ef; ea590: $instance->setInstanceName($instanceName); goto c49d3; e1f32: $gceClient->setAuthConfig($serviceAccountKeys); goto Cc829; e3f97: if (!("\x64\x65\x76" == $_ENV["\x41\x50\x50\137\105\116\126"])) { goto A0d4a; } goto B0cbb; F4836: if (!(false === is_null($serviceAccountKeys))) { goto f17f5; } goto E8661; ba25f: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto Fcdbb; Fcdbb: $gceClient = new GceClient(); goto B903a; a2c86: $instance->setIpv4PublicIp("\x31\62\x37\x2e\60\x2e\x30\56\x31"); goto f06d8; c2641: $machineType = $_ENV["\104\105\126\x5f\x47\103\x45\x5f\x4d\101\x43\110\111\116\x45\x5f\124\x59\x50\x45"] ?? ''; goto b3aa0; B903a: $serviceAccountKeys = $this->configManager->get("\x67\143\145\137\x73\x65\162\x76\x69\x63\145\x5f\x61\143\143\x6f\x75\156\164\x5f\x6b\145\171\x73"); goto F4836; b3aa0: $zone = $_ENV["\x44\x45\x56\x5f\107\x43\105\137\x5a\117\x4e\105"] ?? ''; goto a2c86; D563a: $instance->setInstanceId($instanceId); goto ea590; f06d8: $instance->setProjectId($projectId); goto D563a; E8661: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto e1f32; af8c0: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto D718e; A9488: $instanceId = $_ENV["\104\x45\x56\137\110\105\124\132\116\x45\122\x5f\111\x4e\123\124\x41\116\103\x45\137\111\x44"] ?? ''; goto D224d; B7441: if (!("\144\x65\x76" == $_ENV["\x41\x50\x50\x5f\x45\x4e\126"])) { goto aa123; } goto A9488; A4405: $hetznerClient->setToken($apiToken); goto b66cc; F4b6c: aa123: goto df1d4; D3d4a: $instance = new HetznerInstance($hetznerClient); goto ad416; A9bc2: if (!(false === is_null($apiToken))) { goto ab7e0; } goto A4405; D718e: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto fd1bf; b3dc6: $instance->setInstanceId($instanceId); goto F4b6c; D224d: $instance->setIpv4PublicIp("\61\62\x37\56\x30\x2e\x30\x2e\x31"); goto b3dc6; e98f6: $apiToken = $this->configManager->get("\x68\x65\164\x7a\156\145\x72\x5f\141\160\x69\x5f\x74\x6f\x6b\x65\x6e"); goto A9bc2; df1d4: goto Ff370; goto a78b2; fd1bf: $hetznerClient = new HetznerClient(); goto e98f6; b66cc: ab7e0: goto D3d4a; ad416: $hetznerClient->setInstance($instance); goto B7441; a78b2: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto e38c8; aeebf: $vultrClient->setApiKey($apiKey); goto Fc3d1; a2b17: $ipv4PublicIp = $_ENV["\104\105\x56\x5f\x56\x55\114\124\122\137\111\120\x5f\x56\x34\137\x50\x55\102\114\111\103"] ?? "\61\62\67\x2e\x30\56\60\56\x31"; goto Cb01a; Df1dc: $vultrClient->setVultrInstance($instance); goto b9cea; Fc3d1: ca1a4: goto D3a3c; Cb01a: $instance->setIpv4PublicIp($ipv4PublicIp); goto e9b02; e38c8: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto b4508; Dc5ee: Af64c: goto A9421; b4508: $vultrClient = new VultrClient(); goto Df8c3; F34be: if (!(false === is_null($apiKey))) { goto ca1a4; } goto aeebf; Df8c3: $apiKey = $this->configManager->get("\x76\x75\x6c\164\x72\137\141\160\x69\137\153\145\x79"); goto F34be; D3a3c: $instance = new VultrInstance($vultrClient); goto Df1dc; e9b02: $instance->setInstanceId($instanceId); goto Dc5ee; A9421: goto Ff370; goto d8db3; c1800: $instanceId = $_ENV["\104\105\126\137\x56\x55\114\124\122\x5f\111\x4e\x53\124\x41\116\103\105\x5f\111\104"] ?? ''; goto a2b17; b9cea: if (!("\x64\x65\166" == $_ENV["\101\x50\120\137\x45\x4e\126"])) { goto Af64c; } goto c1800; d8db3: default: $instance = new Instance(); goto Ff370; } goto B1e86; C9e5a: $request = $event->getRequest(); goto Cb723; Ab0f3: $instanceUid = $this->configManager->get("\151\156\x73\x74\141\x6e\143\x65\x5f\165\151\x64"); goto cd7c7; e6ac2: $instance->setUid($instanceUid); goto d82b2; de01b: $ipv4PublicIp = ''; goto f2e39; F1379: $command = $event->getCommand(); goto eedee; c0317: c5130: goto e8a31; fde51: $instance->setEnvironment($environment); goto c87d6; c87d6: $hostname = gethostname(); goto E7be4; E86d1: $request->attributes->set("\x69\156\163\164\141\156\x63\x65", $instance); goto B9d62; Edef4: if (!(true === empty($ipv4PublicIp))) { goto F6a7f; } goto de01b; daa15: $cloud = $this->configManager->get("\143\154\x6f\x75\x64"); goto ca137; ca419: Ff370: goto Ab0f3; E7be4: $instance->setHostname($hostname); goto Fdc03; Fdc03: if ($event instanceof RequestEvent) { goto E9e07; } goto F1379; Dd8b7: $instance->setIpv4PublicIp($ipv4PublicIp); goto f9999; d9263: $isDarkMode = false === is_null($request->cookies->get("\x74\150\145\155\145")) && "\x64\141\162\153" == $request->cookies->get("\164\150\x65\x6d\145") ? true : false; goto A149f; eedee: $command->setInstance($instance); goto D52a1; D52a1: goto c5130; goto a5235; B1e86: E5ea8: goto ca419; a5235: E9e07: goto C9e5a; e8a31: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\113\x65\x72\156\x65\154\122\x65\161\165\145\163\164", 25]], ConsoleEvents::COMMAND => [["\157\156\103\157\156\163\x6f\x6c\145\x43\157\155\x6d\x61\x6e\144", 25]]]; } }
