<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto d4fc3; De4ab: $this->addProcessor($rootDirectoryProcessor); goto fe7c8; b93b5: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto F9aba; B8633: $this->addProcessor($certificateKeyProcessor); goto b0804; Ac278: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto b93b5; E0070: $redirectDomainProcessor = new RedirectDomainProcessor(); goto bfe92; b0804: $this->addProcessor($certificateProcessor); goto Fd1b9; eb6a0: $this->addProcessor($nginxErrorLogProcessor); goto B8633; c1382: $settingsProcessor = new SettingsProcessor(); goto De4ab; F9aba: $certificateProcessor = new NginxCertificateProcessor(); goto c1382; Dfce4: $this->addProcessor($nginxAccessLogProcessor); goto eb6a0; bfe92: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto Ac278; a2278: $serverNameProcessor = new ServerNameProcessor(); goto f034c; Fd1b9: $this->addProcessor($settingsProcessor); goto A13f6; fe7c8: $this->addProcessor($serverNameProcessor); goto fe16d; fe16d: $this->addProcessor($redirectServerNameProcessor); goto cfc75; d4fc3: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto a2278; cfc75: $this->addProcessor($redirectDomainProcessor); goto Dfce4; f034c: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto E0070; A13f6: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto b7b03; b7676: Ff52e: goto B372b; Daf9c: foreach ($placeholders as $placeholder) { goto f625b; b2449: $processor = $processors[$placeholder]; goto F865b; cc286: Bf175: goto Dc628; bad9c: $this->removePlaceholder($placeholder); goto b69f8; f625b: $hasProcessor = $this->hasProcessor($placeholder); goto Fe5ad; b69f8: c3ae3: goto cc286; Fe5ad: if (!(true === $hasProcessor)) { goto c3ae3; } goto b2449; F865b: $processor->setSite($this->site); goto e47f9; e47f9: $this->content = $processor->process($this->content); goto bad9c; Dc628: } goto b7676; b7b03: $processors = $this->getProcessors(); goto Ac1ce; Ac1ce: $placeholders = $this->getPlaceholders(); goto Daf9c; B372b: } public function removeEmptyPlaceholders() : void { goto cc5f8; B7e3b: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); ece82: } goto A9611; A9611: Ea4f8: goto e18d2; cc5f8: $placeholders = $this->getPlaceholders(); goto B7e3b; e18d2: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto d64b0; ff633: D6ff8: goto fabe1; bbd3a: preg_match_all("\57\133\x7b\x7b\135\173\62\x7d\50\x5b\x5c\163\x61\x2d\x7a\x41\x2d\132\60\x2d\71\137\135\53\x29\x5b\x7d\x7d\x5d\173\62\x7d\57", $this->content, $placeholders); goto Fcb98; C435d: $placeholders = $placeholders[0]; goto B10ca; b01c3: B0960: goto ff633; Af04a: C52ba: goto b01c3; Fcb98: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto B0960; } goto C435d; fabe1: return $this->placeholders; goto a7578; d64b0: if (!(true === empty($this->placeholders))) { goto D6ff8; } goto bbd3a; B10ca: foreach ($placeholders as $placeholder) { goto eadd1; b60fe: $this->addPlaceholder($placeholder); goto D9328; D9328: C870d: goto a07d1; e8d83: if (!(false === empty($placeholder))) { goto C870d; } goto b60fe; a07d1: Ddbd1: goto Eed83; eadd1: $placeholder = trim($placeholder); goto e8d83; Eed83: } goto Af04a; a7578: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto F439a; F439a: if (!(true === isset($this->placeholders[$placeholder]))) { goto D1f5b; } goto b0e66; b0e66: unset($this->placeholders[$placeholder]); goto D1a24; D1a24: D1f5b: goto Fc488; Fc488: } }
