<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\145\164\143\57\x6e\147\151\x6e\170\57\x62\x61\163\x69\x63\x2d\141\x75\164\150\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\x65\164\143\x2f\x6e\147\x69\x6e\x78\x2f\163\151\164\145\x73\x2d\x65\156\x61\x62\x6c\145\x64\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\57\x65\x74\143\x2f\156\147\x69\x6e\170\57\x73\163\x6c\x2d\143\145\x72\x74\151\x66\151\x63\x61\164\x65\x73\x2f"; public const CRON_DIRECTORY = "\57\x65\x74\x63\57\143\162\157\x6e\56\x64\57"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto f865c; ac6ab: $writeVhostFileCommand->setContent($vhostContent); goto C8abb; ac6fe: $vhostFileContent = $this->site->getVhostTemplate(); goto a7953; a7953: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto cbe28; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto cbe28; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto cbe28; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto cbe28; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto cbe28; } goto Fbf3f; f865c: $domainName = $this->site->getDomainName(); goto ac6fe; A5857: $vhostTemplate->setContent($vhostFileContent); goto f02cb; Fbf3f: Ce8a0: goto c32d4; a836b: $vhostContent = $vhostTemplate->getContent(); goto df0b5; e53d0: $vhostTemplate->build(); goto B5c6d; C513b: $writeVhostFileCommand->setFile($vhostFile); goto ac6ab; C8abb: $this->commandExecutor->execute($writeVhostFileCommand); goto ee887; c32d4: cbe28: goto A5857; df0b5: $writeVhostFileCommand = new WriteFileCommand(); goto C513b; f02cb: $vhostFile = sprintf("\x25\163\x2f\x25\x73\56\143\x6f\156\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto e53d0; B5c6d: $vhostTemplate->removeEmptyPlaceholders(); goto a836b; ee887: } public function updateNginxVhostWithRollback() : void { try { goto c99d8; e6632: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto e0b22; B8d7f: $vhostFileContent = $this->site->getVhostTemplate(); goto D8e8c; ef892: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto D8537; ec2d8: $vhostFile = sprintf("\x25\x73\x2f\45\x73\x2e\143\x6f\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto B26e5; Bceb9: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto e6632; B26e5: $vhostTemplate->build(); goto ade60; D8e8c: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto dc562; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto dc562; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto dc562; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto dc562; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto dc562; } goto Ebfba; Ebfba: eee95: goto D445c; ade60: $vhostTemplate->removeEmptyPlaceholders(); goto c5bd5; f12ef: if (!("\x64\145\166" != $_ENV["\x41\120\x50\x5f\105\x4e\126"])) { goto dd7ae; } goto ef892; e71af: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto Aa0e9; Bd443: $this->commandExecutor->execute($reloadNginxServiceCommand); goto Ac3ae; f6be4: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto a4b6d; B2a34: $writeVhostFileCommand->setContent($vhostContent); goto e71af; C8b97: $vhostBackupFile = sprintf("\45\163\x2f\45\163\56\x63\157\156\146\56\142\141\153", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto f82e1; a4b6d: $this->commandExecutor->execute($writeVhostFileCommand); goto C12f4; D445c: dc562: goto E1868; f82e1: $copyVhostBackupFileCommand = new CopyFileCommand(); goto Bceb9; D8537: $reloadNginxServiceCommand->setServiceName("\x6e\147\151\x6e\x78"); goto Bd443; e0b22: $writeVhostFileCommand = new WriteFileCommand(); goto D9e81; D9e81: $writeVhostFileCommand->setFile($vhostFile); goto B2a34; C12f4: $this->commandExecutor->execute($nginxConfigTestCommand); goto f12ef; Ac3ae: dd7ae: goto f26b6; c99d8: $domainName = $this->site->getDomainName(); goto B8d7f; e820a: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto f6be4; f26b6: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto Fbd75; c5bd5: $vhostContent = $vhostTemplate->getContent(); goto C8b97; Aa0e9: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto e820a; E1868: $vhostTemplate->setContent($vhostFileContent); goto ec2d8; Fbd75: } catch (\Exception $e) { goto D5756; D5756: $errorMessage = $e->getMessage(); goto E757c; Cdbb8: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto D2cc8; f4fc1: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto f1395; E757c: if (!(true === isset($nginxConfigTestCommand))) { goto a5c61; } goto C0480; E2498: a5c61: goto cd1eb; D2cc8: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto Fe68b; f3715: if (!(true === isset($reloadNginxServiceCommand))) { goto A76f7; } goto Ca6fa; C0480: $errorMessage = $nginxConfigTestCommand->getOutput(); goto E2498; cd1eb: $restoreBackupFileCommand = new CopyFileCommand(); goto Cdbb8; Ee810: A76f7: goto f4fc1; Fe68b: $this->commandExecutor->execute($restoreBackupFileCommand); goto f3715; f1395: throw new InvalidVhostException($errorMessage); goto f073b; Ca6fa: $this->commandExecutor->execute($reloadNginxServiceCommand); goto Ee810; f073b: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto f1cd3; D9e10: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto b6c2c; bf6b7: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto D9e10; ad666: $siteUser = $site->getUser(); goto E2b1d; Aff5a: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\56\56\x2f\56\56\x2f\162\x65\163\x6f\x75\x72\x63\145\163\x2f\145\164\x63\x2f\163\x6b\x65\154\57\163\x73\150\55\165\x73\x65\162\x2f"); goto E4036; Ed640: foreach ($symlinkDirectories as $symlinkDirectory) { goto E799b; E799b: $source = sprintf("\x2f\150\x6f\155\x65\x2f\45\x73\57\x25\x73", $siteUser, $symlinkDirectory); goto ca7db; ee796: $symlinkCommand = new CreateSymlinkCommand(); goto aa535; E4867: $symlinkCommand->setSource($source); goto bb7c3; f2632: c9eb1: goto De4cc; aa535: $symlinkCommand->setRunAsUser($sshUserName); goto E4867; bb7c3: $symlinkCommand->setDestination($destination); goto F43c6; cb9f2: $this->commandExecutor->execute($symlinkCommand); goto f2632; F43c6: if (!("\144\145\166" != $_ENV["\101\120\x50\x5f\x45\x4e\x56"])) { goto c9eb1; } goto cb9f2; ca7db: $destination = sprintf("\57\x68\x6f\x6d\x65\57\x25\x73\x2f\x25\x73", $sshUserName, $symlinkDirectory); goto ee796; De4cc: E96e9: goto B3e00; B3e00: } goto a853e; bede1: $symlinkDirectories = ["\142\x61\143\153\165\x70\163", "\x68\x74\x64\x6f\143\x73", "\x6c\157\x67\x73"]; goto Ed640; bcb0a: $homeDirectory = sprintf("\x2f\150\157\x6d\x65\x2f\45\163", $sshUserName); goto Aff5a; B0dd4: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto b0214; a803b: $sshDirectoryChmodCommand = new FindChmodCommand(); goto C0f63; E7bf2: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto b6002; E4036: $createUserCommand = new CreateUserCommand(); goto Ddd04; ffd16: $this->commandExecutor->execute($createUserCommand); goto bede1; fb53d: $createUserCommand->createHomeDirectory(true); goto ffd16; f2244: $sshUserPassword = $sshUserEntity->getPassword(); goto bcb0a; fb8e8: $siteUserHomeDirectory = sprintf("\x2f\150\x6f\155\145\x2f\45\x73", $siteUser); goto B0dd4; b6002: $sshDirectoryChmodCommand->setFileChmod(600); goto fb8e8; ba86a: $createUserCommand->setHomeDirectory($homeDirectory); goto fb53d; Ddd04: $createUserCommand->setUserName($sshUserName); goto b36c3; C7cb4: $createUserCommand->setGroup($siteUser); goto De3ce; b6c2c: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto ad051; E2b1d: $sshUserName = $sshUserEntity->getUserName(); goto f2244; a853e: cc04f: goto D309b; b0214: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto Dbe41; De3ce: $createUserCommand->setShell("\x2f\x62\x69\x6e\x2f\142\x61\x73\x68"); goto C34cb; C0f63: $sshDirectoryChmodCommand->setFile($sshDirectory); goto E7bf2; Dbe41: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto bf6b7; D309b: $sshDirectory = sprintf("\57\x68\157\x6d\x65\x2f\45\x73\x2f\56\x73\163\150", $sshUserName); goto a803b; b36c3: $createUserCommand->setPassword($sshUserPassword); goto C7cb4; f1cd3: $site = $sshUserEntity->getSite(); goto ad666; C34cb: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto ba86a; ad051: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto E7674; C45b4: $createUserCommand->setHomeDirectory($homeDirectory); goto B9e14; C3f18: $ftpUserPassword = $ftpUserEntity->getPassword(); goto Dfa06; f2961: $createUserCommand->setGroups(["\x66\x74\x70\55\x75\163\145\x72"]); goto f62e4; f81d2: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto afe02; E7674: $site = $ftpUserEntity->getSite(); goto b419c; c6ef9: $createUserCommand->setGroup($siteUser); goto f2961; F1656: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto Bcd64; afe02: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto eab14; Bcd64: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto f81d2; f62e4: $createUserCommand->setShell("\57\x62\151\x6e\57\146\x61\154\163\145"); goto C45b4; eab14: $this->commandExecutor->execute($createUserCommand); goto f5b69; f5b69: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto a512f; B6dd3: $siteUserHomeDirectory = sprintf("\x2f\x68\x6f\155\145\57\45\x73", $siteUser); goto F1656; d4b81: $createUserCommand = new CreateUserCommand(); goto cca3a; cca3a: $createUserCommand->setUserName($ftpUserName); goto A672f; A672f: $createUserCommand->setPassword($ftpUserPassword); goto c6ef9; c8120: $ftpUserName = $ftpUserEntity->getUserName(); goto C3f18; Dfa06: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto d4b81; B9e14: $createUserCommand->createHomeDirectory(false); goto B6dd3; b419c: $siteUser = $site->getUser(); goto c8120; a512f: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto a0f1d; c64d6: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto F47d0; A94b8: $deleteUserCommand->setUserName($userName); goto c64d6; a0f1d: $deleteUserCommand = new DeleteUserCommand(); goto A94b8; F47d0: $this->commandExecutor->execute($deleteUserCommand); goto B25fb; B25fb: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto D707f; ead47: $certificateFile = sprintf("\x25\163\x2f\x25\163\56\x63\162\164", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto be47d; adfde: $this->reloadService("\156\147\151\156\x78"); goto Fe868; D6b32: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto Eefff; Eefff: $this->commandExecutor->execute($writeCertificateFileCommand); goto adfde; F5b3b: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto c7a04; bf0f5: $privateKeyFile = sprintf("\45\163\x2f\x25\x73\x2e\153\x65\171", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto ead47; c7a04: $writeCertificateFileCommand = new WriteFileCommand(); goto Be871; eafa0: $certificate .= sprintf("\45\163\45\163", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto B2d9c; E6eb9: $writeCertificateFileCommand->setContent($certificate); goto D6b32; Bbeb3: $writePrivateKeyFileCommand = new WriteFileCommand(); goto f0940; D707f: $domainName = $this->site->getDomainName(); goto bf0f5; Ce565: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto f2134; } goto eafa0; B2d9c: f2134: goto Bbeb3; Be871: $writeCertificateFileCommand->setFile($certificateFile); goto E6eb9; f0940: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto F5b3b; be47d: $certificate = $certificateEntity->getCertificate(); goto Ce565; Fe868: } public function deleteLetsEncryptChallengeDirectory() : void { goto F8186; F970f: $acemeChallengeDirectory = sprintf("\45\163\57\x2e\x77\145\154\154\x2d\153\x6e\x6f\167\156\57\x61\143\x6d\x65\x2d\x63\x68\x61\154\x6c\x65\x6e\x67\x65\x2f", rtrim($rootDirectory, "\x2f")); goto F47af; Ae776: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto f1bee; F8186: $rootDirectory = $this->getRootDirectory(); goto F970f; F47af: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto Ae776; f1bee: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto eb6ef; eb6ef: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto E0270; bd171: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto Cb0b0; Ccd94: $writeBasicAuthFileCommand = new WriteFileCommand(); goto Cce30; eb3cc: $basicAuthFileContent = sprintf("\45\163\x3a\x25\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto Ccd94; Cce30: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto bd171; Cb0b0: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto D102c; E0270: $basicAuthFile = sprintf("\x25\x73\57\x25\163", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto eb3cc; D102c: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto F2564; f83db: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto b0d63; b49a1: if (!count($challenges)) { goto b2846; } goto e9691; A02a7: $rootDirectory = $this->getRootDirectory(); goto dcc9e; c92de: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto Cc3e1; e6fb3: $acemeChallengeDirectory = sprintf("\x25\163\x2f\x2e\167\x65\154\154\55\x6b\156\x6f\x77\156\57\141\143\x6d\145\x2d\x63\150\141\154\x6c\145\156\147\145\x2f", rtrim($rootDirectory, "\x2f")); goto E6a40; fde15: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto e9259; e9259: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto f83db; dbfe0: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto Af148; e9691: foreach ($challenges as $challenge) { goto B207f; afe0f: $challengeWriteFileCommand->setContent($verificationContent); goto fdd0c; B207f: $token = $challenge["\x74\x6f\153\x65\156"] ?? null; goto d55f8; ca331: e7843: goto Ece0d; d55f8: $verificationContent = $challenge["\166\x65\x72\151\x66\151\143\x61\x74\151\x6f\156\103\x6f\x6e\164\x65\156\x74"] ?? null; goto C3f8e; Dd8b9: $challengeWriteFileCommand->setFile($challengeFile); goto afe0f; Dc724: f80b3: goto ca331; C3f8e: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto f80b3; } goto ef8fc; ef8fc: $challengeFile = sprintf("\x25\x73\x2f\45\163", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto E2941; fdd0c: $this->commandExecutor->execute($challengeWriteFileCommand); goto Dc724; E2941: $challengeWriteFileCommand = new WriteFileCommand(); goto Dd8b9; Ece0d: } goto c9a95; ae458: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto a2e5b; a2e5b: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto fd034; Af148: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto B92f5; a8b25: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto Eda81; E6a40: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto ae458; F2564: $siteUser = $this->site->getUser(); goto A02a7; Eda81: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto c92de; dcc9e: $wellKnownDirectory = sprintf("\45\x73\57\56\167\x65\154\x6c\x2d\153\156\x6f\x77\156\x2f", rtrim($rootDirectory, "\57")); goto e6fb3; c9a95: A9f07: goto Ec729; B92f5: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto fde15; a7af4: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto dbfe0; fd034: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto b49a1; Cc3e1: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto a7af4; Ec729: b2846: goto a8b25; b0d63: } public function updateUserCrontab() : void { goto ebb47; D84d1: $writeCrontabFileCommand->setContent($crontabContent); goto Aa86b; b85e3: $writeCrontabFileCommand = new WriteFileCommand(); goto B3d17; Aecd3: c505a: goto Cb684; fc29d: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); f27ce: } goto E2552; A7708: $cronJobs = $this->site->getCronJobs(); goto F79da; Aa86b: $this->commandExecutor->execute($writeCrontabFileCommand); goto F27c3; F79da: if (!count($cronJobs)) { goto c505a; } goto fc29d; ebb47: $siteUser = $this->site->getUser(); goto d63e8; decfa: $crontabEntries = ["\x4d\101\111\114\x54\x4f\x3d\x22\42"]; goto A7708; d63e8: $crontabFile = sprintf("\45\163\x2f\45\163", rtrim(self::CRON_DIRECTORY, "\57"), $siteUser); goto decfa; Cb684: $crontabContent = implode(PHP_EOL, $crontabEntries); goto b85e3; E2552: a2e43: goto Aecd3; B3d17: $writeCrontabFileCommand->setFile($crontabFile); goto D84d1; F27c3: } public function purgePageSpeedCache() : void { goto c2590; C6b29: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto d8175; bb835: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto D9569; D9569: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto C6b29; A8c69: $cacheDirectory = sprintf("\x2f\x68\x6f\x6d\145\57\x25\x73\x2f\164\155\x70\x2f\160\141\x67\x65\163\160\x65\x65\x64\x5f\143\x61\143\150\x65", $siteUser); goto bb835; c2590: $siteUser = $this->site->getUser(); goto A8c69; d8175: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto D7a2b; D3ca6: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto Fb087; D7a2b: $authorizedKeysFile = sprintf("\x2f\150\x6f\155\145\x2f\x25\x73\x2f\x2e\x73\x73\x68\57\141\x75\x74\x68\157\x72\x69\x7a\x65\144\x5f\153\145\171\163", $userName); goto E9f73; c848c: C1645: goto e146f; E9f73: $readLinkCommand = new ReadLinkCommand(); goto f7ba4; bfb7c: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto D3ca6; a7242: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto bfb7c; f7ba4: $readLinkCommand->setFile($authorizedKeysFile); goto c7236; Fb087: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto c848c; ab81a: $readLinkPath = $readLinkCommand->getOutput(); goto Dd91a; Dd91a: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto C1645; } goto a7242; c7236: $this->commandExecutor->execute($readLinkCommand); goto ab81a; e146f: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto bf322; e725d: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto B9ab8; bf322: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto Da3c2; B1f95: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto e725d; Da3c2: $changeUserHomeDirectoryCommand->setUserName($userName); goto B1f95; B9ab8: } public function changeUserPassword(string $userName, string $password) : void { goto D2df4; D2df4: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto e7cee; Ee216: $this->commandExecutor->execute($changeUserPasswordCommand); goto Ccbc6; e7cee: $changeUserPasswordCommand->setUserName($userName); goto A5995; A5995: $changeUserPasswordCommand->setPassword($password); goto Ee216; Ccbc6: } protected function getRootDirectory() : string { goto A678e; c64a0: $rootDirectory = sprintf("\x2f\x68\157\x6d\x65\x2f\45\163\x2f\150\x74\x64\157\143\163\x2f\x25\x73", $siteUser, $rootDirectory); goto Db9e2; A73de: $rootDirectory = $this->site->getRootDirectory(); goto c64a0; A678e: $siteUser = $this->site->getUser(); goto A73de; Db9e2: return $rootDirectory; goto b8569; b8569: } public function reloadNginxService() : void { $this->reloadService("\156\147\151\x6e\170"); } public function reloadService($serviceName) { goto C145c; ac42d: $this->commandExecutor->execute($reloadServiceCommand); goto db8d5; db8d5: a4d2e: goto ca465; E59af: $reloadServiceCommand->setServiceName($serviceName); goto ac42d; A379f: $reloadServiceCommand = new ServiceReloadCommand(); goto E59af; C145c: if (!("\144\x65\x76" != $_ENV["\101\x50\x50\x5f\x45\116\126"])) { goto a4d2e; } goto A379f; ca465: } }
